CREATE OR REPLACE FUNCTION ddoklskladupdatezauctovano()
  RETURNS trigger AS $$
declare
  _idPolDokl integer;
  _zuctovano boolean;
begin
  select isDokladZuctovan(NEW.idDoklSklad, 'Sklad') into _zuctovano;
  
  if (NEW.zuctovano <> _zuctovano) then
    update ddoklsklad set zuctovano = _zuctovano where idDoklSklad = NEW.idDoklSklad;
  end if;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;

CREATE TRIGGER ddoklskladupdatezauctovano AFTER UPDATE ON ddoklsklad
  FOR EACH ROW EXECUTE PROCEDURE ddoklskladupdatezauctovano();
