/*
 Nastavi ucet na dokladu a jeho polozkach
 @param tabulka - tabulka do ktere patri doklad (0 - dDoklFak, 1 - dDoklInt, 2 - dDoklSklad)
 @param idDoklad - id dokladu
 @param ucet - ucet ktery se ma zmenit (0 - primarni, 1 - protiucet, 2 - protiucet dph zakl, 3 - protiucet dph sniz)
 @param newIdUcet - id nastavovaneho uctu

 Autor:        Jan Besta
*/
create or replace function dNastavUcetDokladu(tabulka int, idDoklad int, ucet int,newIdUcet int) returns void as $$
declare typPohyb character varying(50);
        typDph character varying(50);
        primZkl boolean;
        primDph boolean;
        protiZkl boolean;
        protiDph boolean;
begin
  -- nacteni typu pohybu a nastaveni zmeny uctu na dokladu
  if (tabulka = 0) then             -- faktury
    select typPohybuK into typPohyb from dDoklFak where idDoklFak = idDoklad;

    if (ucet = 0) then
      update dDoklFak set idPrimUcet = newIdUcet where idDoklFak = idDoklad;
    end if;
    if (ucet = 1) then
      update dDoklFak set idProtiUcet = newIdUcet where idDoklFak = idDoklad;
    end if;
    if (ucet = 2) then
      update dDoklFak set idDphZaklUcet = newIdUcet where idDoklFak = idDoklad;
    end if;
    if (ucet = 3) then
      update dDoklFak set idDphSnizUcet = newIdUcet where idDoklFak = idDoklad;
    end if;
  else if (tabulka = 1) then        -- int/ban/pok
    select typPohybuK into typPohyb from dDoklInt where idDoklInt = idDoklad;

    if (ucet = 0) then
      update dDoklInt set idPrimUcet = newIdUcet where idDoklInt = idDoklad;
    end if;
    if (ucet = 1) then
      update dDoklInt set idProtiUcet = newIdUcet where idDoklInt = idDoklad;
    end if;
    if (ucet = 2) then
      update dDoklInt set idDphZaklUcet = newIdUcet where idDoklInt = idDoklad;
    end if;
    if (ucet = 3) then
      update dDoklInt set idDphSnizUcet = newIdUcet where idDoklInt = idDoklad;
    end if;
  else if (tabulka = 2) then        -- sklad
    select typPohybuK into typPohyb from dDoklSklad where idDoklSklad = idDoklad;

    if (ucet = 0) then
      update dDoklSklad set idPrimUcet = newIdUcet where idDoklSklad = idDoklad;
    end if;
    if (ucet = 1) then
      update dDoklSklad set idProtiUcet = newIdUcet where idDoklSklad = idDoklad;
    end if;
    if (ucet = 2) then
      update dDoklSklad set idDphZaklUcet = newIdUcet where idDoklSklad = idDoklad;
    end if;
    if (ucet = 3) then
      update dDoklSklad set idDphSnizUcet = newIdUcet where idDoklSklad = idDoklad;
    end if;
  else
    -- chyba
  end if;
  end if;
  end if;

  -- inicializace promennych
  typDph := null;
  primZkl := false;
  primDph := false;
  protiZkl := false;
  protiDph := false;

  if (ucet = 0) then
    primZkl := true;
    primDph := true;
  end if;
  if (ucet = 1) then
    protiZkl := true;
  end if;
  if (ucet = 2) then
    protiDph := true;
    typDph = 'typSzbDph.dphZakl';
  end if;
  if (ucet = 3) then
    protiDph := true;
    typDph = 'typSzbDph.dphSniz';
  end if;

  -- nastaveni uctu na polozkach dokladu
  if (typPohyb = 'typPohybu.prijem') then
    execute dNastavUctyPolozek(tabulka, idDoklad, primZkl, primDph, protiZkl, protiDph, newIdUcet, typDph);
  end if;

  if (typPohyb = 'typPohybu.vydej') then
    execute dNastavUctyPolozek(tabulka, idDoklad, protiZkl, protiDph, primZkl, primDph, newIdUcet, typDph);
  end if;

end;
$$ LANGUAGE plpgsql;