-------------------------------------------------------------------------------
-- Bug 45077 - Analytický přehled se zobrazuje i pro firmu s daňovou evidencí 
-------------------------------------------------------------------------------

delete from wdashboardpanel
where
  (select podvojUcto from nnastav order by coalesce(platioddata, '1900-01-01') desc limit 1) = false
  and kod = 'DEFAULT-ANALYTIC';

update wdashboardpanel set
  definition = $json$%dashboard-panel-1%$json$
where
  kod = 'DEFAULT-STATUS';
  
update wdashboardpanel set
  definition = $json$%dashboard-panel-2%$json$
where
  kod = 'DEFAULT-ANALYTIC';

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1002, 't', %appVersion%, clock_timestamp());
