------------------------------------------------------------------------------------------------------------------------
-- Bug 45582 - Opravit znaménko u účtů aktivací a změn stavu ve sloupečku minulé období ve výkazu zisku a ztrát 2016
-------------------------------------------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION runUpgradeSestav2016()
RETURNS void AS $$
DECLARE
  _idtyporgread integer;
BEGIN
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro podnikatele
  IF (_idtyporgread = 1) THEN

        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1095;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1096;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1097;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1098;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1099;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1100;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1101;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1102;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1103;
        UPDATE usesstdpred SET prevratznam = false WHERE idsesstdpred = 1104;

  END IF;
  RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runUpgradeSestav2016() OWNER TO %firmaRole%;
   
select runUpgradeSestav2016();
drop function runUpgradeSestav2016();
-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 1024, 't', %appVersion%, clock_timestamp());