-------------------------------------------------------------------------------
-- Bug 43421 - Automatická korekce zaokrouhlení v sestavách (rozvaha, výsledovka)
-------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION runUpgradeSestav()
RETURNS void AS $$
DECLARE
  _idtyporgread integer;
BEGIN
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro podnikatele
  IF (_idtyporgread = 1) THEN
        update usestavy as S set idradzaokr2 = 299 where uuid = 'CZ_PODNIKATELE_ROZVAHA_2016';
        update usestavy as S set idradzaokr2 = 60 where kod = 'ROZVAHA2006';
  END IF;

  RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runUpgradeSestav() OWNER TO %firmaRole%;
   
select runUpgradeSestav();
drop function runUpgradeSestav();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1030, 't', %appVersion%, clock_timestamp());
