-------------------------------------------------------------------------
-- Bug 45822 - Nový kód přenesení daňové povinnosti - 21 
-------------------------------------------------------------------------
create or replace function runupgrade()
    returns void as $$
declare
    stat character varying;
    cnt integer;
begin
    select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
        where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
    
    if (stat = 'CZ_CZ') then
        cnt := (select count(*) from udphpren where kod = '21');
        if (cnt = 0) then
            insert into udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
            values ('21', '§ 92f - poskytnutí telekomunikačních služeb', 'omezPrenDanPov.bezOmezeni', 2016, 9999, 'CZ_§92_21_2016');
        else
            update udphpren set nazev = '§ 92f - poskytnutí vymezených služeb elektronických komunikací', omezPrenDanPovK = 'omezPrenDanPov.bezOmezeni', 
                platiod = 2016, platido = 9999, uuid = 'CZ_§92_21_2016' where kod = '21';
        end if;
    end if;
 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();
-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 1042, 't', %appVersion%, clock_timestamp());
