--------------------------------------------------------------------------------
-- Bug 45419 - Na řádek sestavy přidat příznaky, které umožní rozlišit úroveň zjednodušení sestav    
--------------------------------------------------------------------------------

alter table uSesRadky add column zakladni boolean not null Default false;

CREATE OR REPLACE FUNCTION runupgrade()
RETURNS void AS $$
DECLARE
  _idtyporgread integer;
BEGIN
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro cechy
  IF (_idtyporgread = 1) THEN
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 202;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 203;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 237;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 274;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 279;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 301;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 302;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 307;
      UPDATE usesradky SET zakladni = true WHERE idsesradky = 341;
  END IF;
  RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;
   
select runupgrade();
drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 1060, 't', %appVersion%, clock_timestamp());
