-----------------------------------------------------------------------
-- -- Bug 46643 - Uživatelské XSLT transformace 
-----------------------------------------------------------------------

CREATE SEQUENCE seq_wxslt
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
ALTER TABLE public.seq_wxslt OWNER TO %firmaRole%;

CREATE TABLE wxslt
(
  idxslt integer DEFAULT nextval('seq_wXslt'::regclass) NOT NULL,
  lastupdate timestamp without time zone NOT NULL DEFAULT '2008-01-01 00:00:00'::timestamp without time zone,
  kod character varying(20) NOT NULL,
  nazev character varying(255) NOT NULL,
  nazeva character varying(255),
  nazevb character varying(255),
  nazevc character varying(255),
  popis text,
  poznam text,
  show boolean NOT NULL DEFAULT true,
  transformace text NOT NULL,
  CONSTRAINT wxslt_pkey PRIMARY KEY (idxslt)
);
ALTER TABLE wxslt OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 1096, 't', %appVersion%, clock_timestamp());
