--------------------------------------------------------------------------------
-- Bug 18076 – [WinStrom] Položku dokladu rozšířit o kopírování předpisu zaúčtování z hlavičky dokladu
--------------------------------------------------------------------------------

-- PolFak

-- Musime vypnout triggery, jinak bychom se u nekterych firem mohli vzit den volna
alter table dpolfak disable trigger dpoldoklupdateucto;
alter table dpolfak disable trigger dpolfakupdateucty;
alter table dpolfak disable trigger dpolfakupdatesklad;
alter table dpolfak disable trigger dpolfakupdatezauctovano;

ALTER TABLE dpolfak
  ADD COLUMN koptypucop boolean DEFAULT true NOT NULL;

UPDATE dpolfak SET koptypucop=false WHERE idtypucop IS NOT NULL;

UPDATE dpolfak p
SET idtypucop=(SELECT d.idtypucop FROM ddoklfak d WHERE d.iddoklfak = p.iddoklfak)
WHERE p.koptypucop=true;

alter table dpolfak enable trigger dpoldoklupdateucto;
alter table dpolfak enable trigger dpolfakupdateucty;
alter table dpolfak enable trigger dpolfakupdatesklad;
alter table dpolfak enable trigger dpolfakupdatezauctovano;


-- PolInt

alter table dpolint disable trigger dpoldoklupdateucto;
alter table dpolint disable trigger dpolintupdatesklad;
alter table dpolint disable trigger dpolintupdatezauctovano;

ALTER TABLE dpolint
  ADD COLUMN koptypucop boolean DEFAULT true NOT NULL;

UPDATE dpolint SET koptypucop=false WHERE idtypucop IS NOT NULL;

UPDATE dpolint p
SET idtypucop=(SELECT d.idtypucop FROM ddoklint d WHERE d.iddoklint = p.iddoklint)
WHERE p.koptypucop=true;

alter table dpolint enable trigger dpoldoklupdateucto;
alter table dpolint enable trigger dpolintupdatesklad;
alter table dpolint enable trigger dpolintupdatezauctovano;


-- PolObch

alter table dpolobch disable trigger dpolobchrealizovatelnost;
alter table dpolobch disable trigger dpolobchupdaterezer;

ALTER TABLE dpolobch
  ADD COLUMN koptypucop boolean DEFAULT true NOT NULL;

UPDATE dpolobch SET koptypucop=false WHERE idtypucop IS NOT NULL;

UPDATE dpolobch p
SET idtypucop=(SELECT d.idtypucop FROM ddoklobch d WHERE d.iddoklobch = p.iddoklobch)
WHERE p.koptypucop=true;

alter table dpolobch enable trigger dpolobchrealizovatelnost;
alter table dpolobch enable trigger dpolobchupdaterezer;


-- PolSklad

alter table dpolsklad disable trigger dpoldoklupdateucto;
alter table dpolsklad disable trigger dpolskladupdate;
alter table dpolsklad disable trigger dpolskladupdaterealizovatelnost;
alter table dpolsklad disable trigger dpolskladupdaterezer;
alter table dpolsklad disable trigger dpolskladupdateucty;
alter table dpolsklad disable trigger dpolskladupdatezauctovano;

ALTER TABLE dpolsklad
  ADD COLUMN koptypucop boolean DEFAULT true NOT NULL;

UPDATE dpolsklad SET koptypucop=false WHERE idtypucop IS NOT NULL;

UPDATE dpolsklad p
SET idtypucop=(SELECT d.idtypucop FROM ddoklsklad d WHERE d.iddoklsklad = p.iddoklsklad)
WHERE p.koptypucop=true;

alter table dpolsklad enable trigger dpoldoklupdateucto;
alter table dpolsklad enable trigger dpolskladupdate;
alter table dpolsklad enable trigger dpolskladupdaterealizovatelnost;
alter table dpolsklad enable trigger dpolskladupdaterezer;
alter table dpolsklad enable trigger dpolskladupdateucty;
alter table dpolsklad enable trigger dpolskladupdatezauctovano;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 254, 't');
