--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
-- napred smazeme slozky pokud nejake existujou ale nechceme rozbit mzdu tak vypneme trigger
ALTER TABLE pmzdsloz DISABLE TRIGGER pmzdslozupdatedatumvypoctu;
DELETE FROM pmzdsloz WHERE IdCisMzdSloz = 141;
ALTER TABLE pmzdsloz ENABLE TRIGGER pmzdslozupdatedatumvypoctu;

DELETE FROM pcismzdsloz WHERE IdCisMzdSloz = 141;

UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 1;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 2;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 3;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 4;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 5;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 6;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 7;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 9;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 10;
UPDATE pcismzdsloz SET nazev = 'Překážky z důvodů obecného zájmu - placené ', vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 11;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 12;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 13;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 14;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 15;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 16;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true, vscastmzd = false WHERE IdCisMzdSloz = 63;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 69;
UPDATE pcismzdsloz SET nazev = 'Náhrada za nemoc - 4 až 10 den', vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 70;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 75;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 76;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 77;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 78;
UPDATE pcismzdsloz SET vsprocmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 79;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 80;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 82;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 83;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 84;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 85;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 88;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 91;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 92;
UPDATE pcismzdsloz SET vsprocmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 93;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 94;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 95;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 96;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 97;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 98;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 99;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 100;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 101;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 102;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 103;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 104;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 105;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 106;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 107;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 108;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 109;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 117;
UPDATE pcismzdsloz SET vsprocmzd = true WHERE IdCisMzdSloz = 118;
UPDATE pcismzdsloz SET cisrad = 8065 WHERE IdCisMzdSloz = 135;
UPDATE pcismzdsloz SET kod = 'K VÝPLATĚ', nazev = 'K výplatě (čistý příjem - suma srážek)', cisrad = 8074, vyznamk = null WHERE IdCisMzdSloz = 140;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 145;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 146;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 147;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 150;
UPDATE pcismzdsloz SET vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 151;
UPDATE pcismzdsloz SET nazev = 'Mimo evidenci ', vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 152;
UPDATE pcismzdsloz SET nazev = 'Mimo evidenci neomluveno', cisrad = 2113, vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 153;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 157;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 158;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 159;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 162;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 163;
UPDATE pcismzdsloz SET vsprocmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 164;
UPDATE pcismzdsloz SET naosobu = true, vsprocmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 165;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 166;
UPDATE pcismzdsloz SET kod = 'HRUBÁ MZDA CELKEM ' WHERE IdCisMzdSloz = 167;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 168;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 169;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 170;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 171;
UPDATE pcismzdsloz SET nazev = 'Náhrada za karanténu - 4 až 10 den', vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 177;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 178;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true, vscastmzd = false WHERE IdCisMzdSloz = 179;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 181;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true, vscastmzd = false WHERE IdCisMzdSloz = 183;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 184;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 185;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 186;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 188;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 189;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 190;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 191;
UPDATE pcismzdsloz SET vsprocmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 196;
UPDATE pcismzdsloz SET vsprocmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 198;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 199;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 200;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 201;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 202;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 204;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 217;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 218;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 219;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 220;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 221;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 222;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 223;
UPDATE pcismzdsloz SET kod = 'NÁHRADA ZA PRAC.NES.', nazev = 'Náhrada za pr.neschopnost' WHERE IdCisMzdSloz = 226;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 227;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 228;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 229;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 232;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 233;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true, vscastmzd = true WHERE IdCisMzdSloz = 234;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 235;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 236;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 238;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 239;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 240;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 241;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 243;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 244;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 245;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 246;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 252;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnyprac = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 253;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 254;
UPDATE pcismzdsloz SET vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 255;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodinysvatek = true WHERE IdCisMzdSloz = 256;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 267;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 268;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 269;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 270;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 271;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 272;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 273;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 274;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 275;
UPDATE pcismzdsloz SET vshodiny = true, vscastnahod = true, vscastnaden = true, vsprocmzd = true, vszaklmzd = true WHERE IdCisMzdSloz = 285;
UPDATE pcismzdsloz SET vsdnykal = true, vsdnysvatek = true, vshodiny = true, vshodinysvatek = true WHERE IdCisMzdSloz = 287;
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, vyznamk, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole)
 VALUES (292, '2010-04-07 00:00:00.000', 'ČISTÁ MZDA', 'Čistá mzda', true, 8030, 'typSlozky.vypocet', 'skupinaSlozky.vyplata', true, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, 'vyznamSlozky.cistaMzda', 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castmzd');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole)
 VALUES (293, '2010-04-07 00:00:00.000', 'ČISTÝ PŘÍJEM', 'Čistý příjem ( čistá mzda + roční zůčtování + daň. bonus)', true, 8055, 'typSlozky.vypocet', 'skupinaSlozky.vyplata', true, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castmzd');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole)
 VALUES (294, '2010-04-07 00:00:00.000', 'NÁHR. ZA PRAC.NESCH.', 'Náhrada za pr.neschopnost', true, 8040, 'typSlozky.vypocet', 'skupinaSlozky.vyplata', false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castMzd');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole)
 VALUES (295, '2010-04-09 00:00:00.000', 'VOJ.CVIČ.NEPLACENÉ', 'Vojenské cvičení neplacené', true, 2115, 'typSlozky.vstup', 'skupinaSlozky.nepritNeplac', false, false, false, true, true, true, true, true, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castMzd');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole)
 VALUES (296, '2010-04-09 00:00:00.000', 'OSTATNÍ NEPLACENÉ', 'Ostatní překážky v práci neplacené', true, 2117, 'typSlozky.vstup', 'skupinaSlozky.nepritNeplac', false, false, false, true, true, true, true, true, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'hodiny;castMzd');

PERFORM pg_catalog.setval('seq_pcismzdsloz', 296, true);


-- update inicializacnich radek kalkulacky
-- update radek kalkulacky
DELETE FROM pmzdcalc WHERE IdMzdCalc = 121;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 200;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 311;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 381;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 387;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 391;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 390;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 535;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 540;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 542;
DELETE FROM pmzdcalc WHERE IdMzdCalc = 590;
UPDATE pmzdcalc SET cisrad = 69 WHERE IdMzdCalc = 1;
UPDATE pmzdcalc SET cisrad = 70 WHERE IdMzdCalc = 5;
UPDATE pmzdcalc SET cisrad = 76 WHERE IdMzdCalc = 7;
UPDATE pmzdcalc SET cisrad = 75 WHERE IdMzdCalc = 8;
UPDATE pmzdcalc SET cisrad = 77 WHERE IdMzdCalc = 9;
UPDATE pmzdcalc SET cisrad = 79 WHERE IdMzdCalc = 11;
UPDATE pmzdcalc SET cisrad = 84 WHERE IdMzdCalc = 24;
UPDATE pmzdcalc SET cisrad = 152 WHERE IdMzdCalc = 27;
UPDATE pmzdcalc SET cisrad = 151 WHERE IdMzdCalc = 29;
UPDATE pmzdcalc SET cisrad = 85 WHERE IdMzdCalc = 30;
UPDATE pmzdcalc SET cisrad = 156 WHERE IdMzdCalc = 31;
UPDATE pmzdcalc SET cisrad = 86 WHERE IdMzdCalc = 32;
UPDATE pmzdcalc SET cisrad = 87 WHERE IdMzdCalc = 33;
UPDATE pmzdcalc SET cisrad = 92 WHERE IdMzdCalc = 34;
UPDATE pmzdcalc SET cisrad = 93 WHERE IdMzdCalc = 35;
UPDATE pmzdcalc SET cisrad = 104 WHERE IdMzdCalc = 37;
UPDATE pmzdcalc SET cisrad = 105 WHERE IdMzdCalc = 38;
UPDATE pmzdcalc SET cisrad = 106 WHERE IdMzdCalc = 40;
UPDATE pmzdcalc SET cisrad = 127 WHERE IdMzdCalc = 41;
UPDATE pmzdcalc SET cisrad = 137 WHERE IdMzdCalc = 42;
UPDATE pmzdcalc SET cisrad = 129 WHERE IdMzdCalc = 43;
UPDATE pmzdcalc SET cisrad = 133 WHERE IdMzdCalc = 44;
UPDATE pmzdcalc SET cisrad = 139 WHERE IdMzdCalc = 45;
UPDATE pmzdcalc SET cisrad = 121 WHERE IdMzdCalc = 46;
UPDATE pmzdcalc SET cisrad = 140 WHERE IdMzdCalc = 47;
UPDATE pmzdcalc SET cisrad = 124 WHERE IdMzdCalc = 48;
UPDATE pmzdcalc SET cisrad = 138 WHERE IdMzdCalc = 49;
UPDATE pmzdcalc SET cisrad = 154 WHERE IdMzdCalc = 51;
UPDATE pmzdcalc SET cisrad = 155 WHERE IdMzdCalc = 52;
UPDATE pmzdcalc SET cisrad = 157 WHERE IdMzdCalc = 53;
UPDATE pmzdcalc SET cisrad = 158 WHERE IdMzdCalc = 55;
UPDATE pmzdcalc SET cisrad = 159 WHERE IdMzdCalc = 56;
UPDATE pmzdcalc SET cisrad = 160 WHERE IdMzdCalc = 57;
UPDATE pmzdcalc SET cisrad = 153 WHERE IdMzdCalc = 58;
UPDATE pmzdcalc SET cisrad = 161 WHERE IdMzdCalc = 59;
UPDATE pmzdcalc SET cisrad = 162 WHERE IdMzdCalc = 61;
UPDATE pmzdcalc SET cisrad = 163 WHERE IdMzdCalc = 62;
UPDATE pmzdcalc SET cisrad = 164 WHERE IdMzdCalc = 63;
UPDATE pmzdcalc SET cisrad = 178 WHERE IdMzdCalc = 64;
UPDATE pmzdcalc SET cisrad = 203 WHERE IdMzdCalc = 68;
UPDATE pmzdcalc SET cisrad = 204 WHERE IdMzdCalc = 69;
UPDATE pmzdcalc SET cisrad = 218 WHERE IdMzdCalc = 70;
UPDATE pmzdcalc SET cisrad = 193 WHERE IdMzdCalc = 75;
UPDATE pmzdcalc SET cisrad = 206 WHERE IdMzdCalc = 76;
UPDATE pmzdcalc SET cisrad = 219 WHERE IdMzdCalc = 78;
UPDATE pmzdcalc SET kod = '10', nazev = '---- Základ zdravotního pojištění', cisrad = 247 WHERE IdMzdCalc = 79;
UPDATE pmzdcalc SET cisrad = 233 WHERE IdMzdCalc = 80;
UPDATE pmzdcalc SET cisrad = 234 WHERE IdMzdCalc = 81;
UPDATE pmzdcalc SET cisrad = 235 WHERE IdMzdCalc = 82;
UPDATE pmzdcalc SET cisrad = 236 WHERE IdMzdCalc = 83;
UPDATE pmzdcalc SET cisrad = 237 WHERE IdMzdCalc = 86;
UPDATE pmzdcalc SET cisrad = 242 WHERE IdMzdCalc = 89;
UPDATE pmzdcalc SET cisrad = 241 WHERE IdMzdCalc = 92;
UPDATE pmzdcalc SET cisrad = 243 WHERE IdMzdCalc = 93;
UPDATE pmzdcalc SET nazev = '--', cisrad = 249 WHERE IdMzdCalc = 94;
UPDATE pmzdcalc SET nazev = '== Zdravotní zdravotního  pojištění firmy - zaokrouhlená matematicky', cisrad = 270, koeficient2 = 0.0 WHERE IdMzdCalc = 95;
UPDATE pmzdcalc SET kod = '10', nazev = '== ZDRAV.POJ.PRAC.= ZDRAV.POJ.CELKEM - ZDRAV.POJ.FIRMA', cisrad = 274 WHERE IdMzdCalc = 96;
UPDATE pmzdcalc SET nazev = '----- Oprava pojištění firmy', cisrad = 272 WHERE IdMzdCalc = 97;
UPDATE pmzdcalc SET nazev = '----- Oprava pojištění pracovníka', cisrad = 276 WHERE IdMzdCalc = 98;
UPDATE pmzdcalc SET cisrad = 321 WHERE IdMzdCalc = 99;
UPDATE pmzdcalc SET cisrad = 288 WHERE IdMzdCalc = 100;
UPDATE pmzdcalc SET cisrad = 320 WHERE IdMzdCalc = 101;
UPDATE pmzdcalc SET cisrad = 289 WHERE IdMzdCalc = 103;
UPDATE pmzdcalc SET cisrad = 295, polein = 'procMzd' WHERE IdMzdCalc = 104;
UPDATE pmzdcalc SET cisrad = 296 WHERE IdMzdCalc = 106;
UPDATE pmzdcalc SET cisrad = 297 WHERE IdMzdCalc = 107;
UPDATE pmzdcalc SET cisrad = 298 WHERE IdMzdCalc = 108;
UPDATE pmzdcalc SET cisrad = 299 WHERE IdMzdCalc = 109;
UPDATE pmzdcalc SET cisrad = 300 WHERE IdMzdCalc = 110;
UPDATE pmzdcalc SET cisrad = 306 WHERE IdMzdCalc = 111;
UPDATE pmzdcalc SET cisrad = 329 WHERE IdMzdCalc = 112;
UPDATE pmzdcalc SET cisrad = 330 WHERE IdMzdCalc = 113;
UPDATE pmzdcalc SET cisrad = 327 WHERE IdMzdCalc = 114;
UPDATE pmzdcalc SET cisrad = 192 WHERE IdMzdCalc = 115;
UPDATE pmzdcalc SET cisrad = 191 WHERE IdMzdCalc = 116;
UPDATE pmzdcalc SET cisrad = 332 WHERE IdMzdCalc = 117;
UPDATE pmzdcalc SET cisrad = 225 WHERE IdMzdCalc = 119;
UPDATE pmzdcalc SET kod = 'ZDRAVOTNÍ POJIŠTĚNÍ', nazev = 'Výpočet zdravotky *********************************************', cisrad = 246 WHERE IdMzdCalc = 120;
UPDATE pmzdcalc SET nazev = '--', cisrad = 248, idmzdslozout = 92 WHERE IdMzdCalc = 122;
UPDATE pmzdcalc SET cisrad = 292 WHERE IdMzdCalc = 123;
UPDATE pmzdcalc SET cisrad = 279, koeficient2 = 0.0 WHERE IdMzdCalc = 124;
UPDATE pmzdcalc SET cisrad = 305 WHERE IdMzdCalc = 125;
UPDATE pmzdcalc SET cisrad = 290, zaokrjakk = 'zaokrJak.nahoru', zaokrnak = 'zaokrNa.jednotky', polein = 'castMzd;castMzd', poleout = 'zaklMzd;procMzd' WHERE IdMzdCalc = 130;
UPDATE pmzdcalc SET cisrad = 293, polein = 'castMzd;castMzd', poleout = 'zaklMzd;procMzd' WHERE IdMzdCalc = 131;
UPDATE pmzdcalc SET cisrad = 205 WHERE IdMzdCalc = 133;
UPDATE pmzdcalc SET cisrad = 238 WHERE IdMzdCalc = 134;
UPDATE pmzdcalc SET cisrad = 239 WHERE IdMzdCalc = 135;
UPDATE pmzdcalc SET cisrad = 302 WHERE IdMzdCalc = 136;
UPDATE pmzdcalc SET cisrad = 325 WHERE IdMzdCalc = 139;
UPDATE pmzdcalc SET cisrad = 326 WHERE IdMzdCalc = 140;
UPDATE pmzdcalc SET cisrad = 322 WHERE IdMzdCalc = 145;
UPDATE pmzdcalc SET cisrad = 328 WHERE IdMzdCalc = 146;
UPDATE pmzdcalc SET cisrad = 334 WHERE IdMzdCalc = 147;
UPDATE pmzdcalc SET cisrad = 337 WHERE IdMzdCalc = 172;
UPDATE pmzdcalc SET cisrad = 338 WHERE IdMzdCalc = 173;
UPDATE pmzdcalc SET cisrad = 339 WHERE IdMzdCalc = 174;
UPDATE pmzdcalc SET cisrad = 340 WHERE IdMzdCalc = 175;
UPDATE pmzdcalc SET cisrad = 33 WHERE IdMzdCalc = 181;
UPDATE pmzdcalc SET cisrad = 34 WHERE IdMzdCalc = 183;
UPDATE pmzdcalc SET cisrad = 35 WHERE IdMzdCalc = 184;
UPDATE pmzdcalc SET cisrad = 36 WHERE IdMzdCalc = 185;
UPDATE pmzdcalc SET cisrad = 37 WHERE IdMzdCalc = 186;
UPDATE pmzdcalc SET cisrad = 38 WHERE IdMzdCalc = 187;
UPDATE pmzdcalc SET cisrad = 39 WHERE IdMzdCalc = 188;
UPDATE pmzdcalc SET cisrad = 40 WHERE IdMzdCalc = 189;
UPDATE pmzdcalc SET cisrad = 41 WHERE IdMzdCalc = 190;
UPDATE pmzdcalc SET cisrad = 42 WHERE IdMzdCalc = 191;
UPDATE pmzdcalc SET cisrad = 43 WHERE IdMzdCalc = 192;
UPDATE pmzdcalc SET cisrad = 335 WHERE IdMzdCalc = 193;
UPDATE pmzdcalc SET cisrad = 336 WHERE IdMzdCalc = 194;
UPDATE pmzdcalc SET cisrad = 345 WHERE IdMzdCalc = 195;
UPDATE pmzdcalc SET cisrad = 352 WHERE IdMzdCalc = 196;
UPDATE pmzdcalc SET cisrad = 341 WHERE IdMzdCalc = 197;
UPDATE pmzdcalc SET cisrad = 346 WHERE IdMzdCalc = 198;
UPDATE pmzdcalc SET nazev = 'Celková náhrada za nemoc', cisrad = 376, idmzdslozin = 226 WHERE IdMzdCalc = 202;
UPDATE pmzdcalc SET cisrad = 353 WHERE IdMzdCalc = 206;
UPDATE pmzdcalc SET cisrad = 377 WHERE IdMzdCalc = 207;
UPDATE pmzdcalc SET cisrad = 51 WHERE IdMzdCalc = 208;
UPDATE pmzdcalc SET cisrad = 54 WHERE IdMzdCalc = 209;
UPDATE pmzdcalc SET cisrad = 71 WHERE IdMzdCalc = 211;
UPDATE pmzdcalc SET cisrad = 378 WHERE IdMzdCalc = 215;
UPDATE pmzdcalc SET cisrad = 66 WHERE IdMzdCalc = 216;
UPDATE pmzdcalc SET cisrad = 65 WHERE IdMzdCalc = 217;
UPDATE pmzdcalc SET cisrad = 363 WHERE IdMzdCalc = 221;
UPDATE pmzdcalc SET cisrad = 361 WHERE IdMzdCalc = 222;
UPDATE pmzdcalc SET cisrad = 369 WHERE IdMzdCalc = 223;
UPDATE pmzdcalc SET cisrad = 174 WHERE IdMzdCalc = 225;
UPDATE pmzdcalc SET cisrad = 55 WHERE IdMzdCalc = 226;
UPDATE pmzdcalc SET cisrad = 309 WHERE IdMzdCalc = 227;
UPDATE pmzdcalc SET cisrad = 32 WHERE IdMzdCalc = 228;
UPDATE pmzdcalc SET cisrad = 59 WHERE IdMzdCalc = 234;
UPDATE pmzdcalc SET cisrad = 68 WHERE IdMzdCalc = 236;
UPDATE pmzdcalc SET cisrad = 311 WHERE IdMzdCalc = 238;
UPDATE pmzdcalc SET cisrad = 307 WHERE IdMzdCalc = 239;
UPDATE pmzdcalc SET cisrad = 312 WHERE IdMzdCalc = 240;
UPDATE pmzdcalc SET cisrad = 313 WHERE IdMzdCalc = 241;
UPDATE pmzdcalc SET cisrad = 317 WHERE IdMzdCalc = 245;
UPDATE pmzdcalc SET cisrad = 318 WHERE IdMzdCalc = 247;
UPDATE pmzdcalc SET cisrad = 319 WHERE IdMzdCalc = 249;
UPDATE pmzdcalc SET cisrad = 228 WHERE IdMzdCalc = 250;
UPDATE pmzdcalc SET cisrad = 227 WHERE IdMzdCalc = 251;
UPDATE pmzdcalc SET cisrad = 229 WHERE IdMzdCalc = 252;
UPDATE pmzdcalc SET cisrad = 230 WHERE IdMzdCalc = 253;
UPDATE pmzdcalc SET cisrad = 231 WHERE IdMzdCalc = 254;
UPDATE pmzdcalc SET cisrad = 362 WHERE IdMzdCalc = 256;
UPDATE pmzdcalc SET nazev = '--', cisrad = 250 WHERE IdMzdCalc = 258;
UPDATE pmzdcalc SET nazev = '--', cisrad = 251 WHERE IdMzdCalc = 259;
UPDATE pmzdcalc SET nazev = '--', cisrad = 252 WHERE IdMzdCalc = 260;
UPDATE pmzdcalc SET nazev = '--', cisrad = 253 WHERE IdMzdCalc = 261;
UPDATE pmzdcalc SET nazev = '--', cisrad = 255 WHERE IdMzdCalc = 262;
UPDATE pmzdcalc SET cisrad = 125 WHERE IdMzdCalc = 272;
UPDATE pmzdcalc SET cisrad = 126 WHERE IdMzdCalc = 274;
UPDATE pmzdcalc SET cisrad = 117 WHERE IdMzdCalc = 275;
UPDATE pmzdcalc SET cisrad = 115 WHERE IdMzdCalc = 278;
UPDATE pmzdcalc SET cisrad = 116 WHERE IdMzdCalc = 280;
UPDATE pmzdcalc SET cisrad = 119 WHERE IdMzdCalc = 281;
UPDATE pmzdcalc SET cisrad = 120 WHERE IdMzdCalc = 282;
UPDATE pmzdcalc SET cisrad = 122 WHERE IdMzdCalc = 288;
UPDATE pmzdcalc SET cisrad = 123 WHERE IdMzdCalc = 290;
UPDATE pmzdcalc SET cisrad = 132 WHERE IdMzdCalc = 291;
UPDATE pmzdcalc SET cisrad = 130 WHERE IdMzdCalc = 296;
UPDATE pmzdcalc SET cisrad = 131 WHERE IdMzdCalc = 297;
UPDATE pmzdcalc SET cisrad = 435 WHERE IdMzdCalc = 307;
UPDATE pmzdcalc SET cisrad = 437 WHERE IdMzdCalc = 308;
UPDATE pmzdcalc SET kod = '10', nazev = '----- Překopírování základu do výsledného pojištění ', cisrad = 269, polein = 'zaklMzd', poleout = 'zaklMzd', idmzdslozin = 234 WHERE IdMzdCalc = 310;
UPDATE pmzdcalc SET cisrad = 220 WHERE IdMzdCalc = 320;
UPDATE pmzdcalc SET cisrad = 222 WHERE IdMzdCalc = 321;
UPDATE pmzdcalc SET cisrad = 223 WHERE IdMzdCalc = 322;
UPDATE pmzdcalc SET cisrad = 221 WHERE IdMzdCalc = 323;
UPDATE pmzdcalc SET kod = 'ZÁKLAD PRO VÝPOČET', cisrad = 232, idmzdslozout = 201 WHERE IdMzdCalc = 324;
UPDATE pmzdcalc SET cisrad = 240 WHERE IdMzdCalc = 325;
UPDATE pmzdcalc SET cisrad = 244 WHERE IdMzdCalc = 326;
UPDATE pmzdcalc SET cisrad = 245 WHERE IdMzdCalc = 327;
UPDATE pmzdcalc SET cisrad = 370 WHERE IdMzdCalc = 328;
UPDATE pmzdcalc SET cisrad = 371 WHERE IdMzdCalc = 329;
UPDATE pmzdcalc SET cisrad = 372 WHERE IdMzdCalc = 330;
UPDATE pmzdcalc SET cisrad = 373 WHERE IdMzdCalc = 331;
UPDATE pmzdcalc SET cisrad = 67 WHERE IdMzdCalc = 332;
UPDATE pmzdcalc SET cisrad = 354 WHERE IdMzdCalc = 333;
UPDATE pmzdcalc SET cisrad = 73 WHERE IdMzdCalc = 336;
UPDATE pmzdcalc SET cisrad = 74 WHERE IdMzdCalc = 339;
UPDATE pmzdcalc SET cisrad = 31 WHERE IdMzdCalc = 341;
UPDATE pmzdcalc SET cisrad = 194 WHERE IdMzdCalc = 342;
UPDATE pmzdcalc SET cisrad = 195 WHERE IdMzdCalc = 343;
UPDATE pmzdcalc SET cisrad = 196 WHERE IdMzdCalc = 345;
UPDATE pmzdcalc SET cisrad = 197 WHERE IdMzdCalc = 346;
UPDATE pmzdcalc SET cisrad = 198 WHERE IdMzdCalc = 347;
UPDATE pmzdcalc SET cisrad = 199 WHERE IdMzdCalc = 348;
UPDATE pmzdcalc SET cisrad = 200 WHERE IdMzdCalc = 349;
UPDATE pmzdcalc SET cisrad = 201 WHERE IdMzdCalc = 350;
UPDATE pmzdcalc SET cisrad = 202 WHERE IdMzdCalc = 351;
UPDATE pmzdcalc SET cisrad = 294, polein = 'procMzd', poleout = 'procMzd' WHERE IdMzdCalc = 353;
UPDATE pmzdcalc SET cisrad = 315 WHERE IdMzdCalc = 356;
UPDATE pmzdcalc SET cisrad = 434 WHERE IdMzdCalc = 358;
UPDATE pmzdcalc SET cisrad = 436 WHERE IdMzdCalc = 359;
UPDATE pmzdcalc SET cisrad = 280 WHERE IdMzdCalc = 361;
UPDATE pmzdcalc SET cisrad = 281 WHERE IdMzdCalc = 362;
UPDATE pmzdcalc SET cisrad = 282 WHERE IdMzdCalc = 363;
UPDATE pmzdcalc SET cisrad = 283 WHERE IdMzdCalc = 364;
UPDATE pmzdcalc SET cisrad = 285 WHERE IdMzdCalc = 365;
UPDATE pmzdcalc SET cisrad = 286 WHERE IdMzdCalc = 367;
UPDATE pmzdcalc SET cisrad = 287 WHERE IdMzdCalc = 368;
UPDATE pmzdcalc SET cisrad = 303 WHERE IdMzdCalc = 369;
UPDATE pmzdcalc SET cisrad = 304 WHERE IdMzdCalc = 370;
UPDATE pmzdcalc SET cisrad = 113 WHERE IdMzdCalc = 377;
UPDATE pmzdcalc SET cisrad = 342 WHERE IdMzdCalc = 379;
UPDATE pmzdcalc SET cisrad = 343 WHERE IdMzdCalc = 380;
UPDATE pmzdcalc SET cisrad = 344 WHERE IdMzdCalc = 382;
UPDATE pmzdcalc SET cisrad = 351 WHERE IdMzdCalc = 386;
UPDATE pmzdcalc SET cisrad = 379 WHERE IdMzdCalc = 388;
UPDATE pmzdcalc SET kod = '10', nazev = '--', cisrad = 256 WHERE IdMzdCalc = 389;
UPDATE pmzdcalc SET kod = '10', nazev = '----- Doplatek - zvýšení základu pracovníka', cisrad = 265 WHERE IdMzdCalc = 392;
UPDATE pmzdcalc SET kod = '10', nazev = '----- Základ pro neplacené volno - pouze pracovník', cisrad = 257 WHERE IdMzdCalc = 393;
UPDATE pmzdcalc SET nazev = '--', cisrad = 259 WHERE IdMzdCalc = 394;
UPDATE pmzdcalc SET cisrad = 262 WHERE IdMzdCalc = 395;
UPDATE pmzdcalc SET nazev = '--', cisrad = 258 WHERE IdMzdCalc = 397;
UPDATE pmzdcalc SET nazev = '----- Základ = dny neplaceného volna * částka na den (8000 / kal.dny)', cisrad = 260 WHERE IdMzdCalc = 399;
UPDATE pmzdcalc SET nazev = '----- Základ je stejný pro neomlucenou absenci', cisrad = 261 WHERE IdMzdCalc = 401;
UPDATE pmzdcalc SET nazev = '----- Výpočet rozdílu oproti vypočtenému základu pracovníka', cisrad = 263 WHERE IdMzdCalc = 402;
UPDATE pmzdcalc SET nazev = '----- Nulování když je prázdný', cisrad = 264 WHERE IdMzdCalc = 404;
UPDATE pmzdcalc SET cisrad = 367 WHERE IdMzdCalc = 405;
UPDATE pmzdcalc SET nazev = '----- Překopírování základu do výsledného pojištění firmy', cisrad = 271, idmzdslozin = 202 WHERE IdMzdCalc = 407;
UPDATE pmzdcalc SET nazev = '----- Překopírování základu do výsledného pojištění pracovníka', cisrad = 275, koeficient2 = 1.0 WHERE IdMzdCalc = 408;
UPDATE pmzdcalc SET cisrad = 78 WHERE IdMzdCalc = 409;
UPDATE pmzdcalc SET cisrad = 366 WHERE IdMzdCalc = 410;
UPDATE pmzdcalc SET cisrad = 128 WHERE IdMzdCalc = 411;
UPDATE pmzdcalc SET cisrad = 380 WHERE IdMzdCalc = 413;
UPDATE pmzdcalc SET cisrad = 381 WHERE IdMzdCalc = 414;
UPDATE pmzdcalc SET cisrad = 382 WHERE IdMzdCalc = 416;
UPDATE pmzdcalc SET cisrad = 383 WHERE IdMzdCalc = 418;
UPDATE pmzdcalc SET cisrad = 384 WHERE IdMzdCalc = 420;
UPDATE pmzdcalc SET cisrad = 387 WHERE IdMzdCalc = 421;
UPDATE pmzdcalc SET cisrad = 388 WHERE IdMzdCalc = 422;
UPDATE pmzdcalc SET cisrad = 402 WHERE IdMzdCalc = 423;
UPDATE pmzdcalc SET cisrad = 392 WHERE IdMzdCalc = 424;
UPDATE pmzdcalc SET cisrad = 395 WHERE IdMzdCalc = 425;
UPDATE pmzdcalc SET cisrad = 385 WHERE IdMzdCalc = 426;
UPDATE pmzdcalc SET cisrad = 386 WHERE IdMzdCalc = 427;
UPDATE pmzdcalc SET cisrad = 389 WHERE IdMzdCalc = 428;
UPDATE pmzdcalc SET cisrad = 394 WHERE IdMzdCalc = 429;
UPDATE pmzdcalc SET cisrad = 401 WHERE IdMzdCalc = 430;
UPDATE pmzdcalc SET cisrad = 396 WHERE IdMzdCalc = 431;
UPDATE pmzdcalc SET cisrad = 397 WHERE IdMzdCalc = 432;
UPDATE pmzdcalc SET cisrad = 398 WHERE IdMzdCalc = 433;
UPDATE pmzdcalc SET cisrad = 399 WHERE IdMzdCalc = 434;
UPDATE pmzdcalc SET cisrad = 400 WHERE IdMzdCalc = 435;
UPDATE pmzdcalc SET cisrad = 414 WHERE IdMzdCalc = 436;
UPDATE pmzdcalc SET cisrad = 188 WHERE IdMzdCalc = 437;
UPDATE pmzdcalc SET cisrad = 189 WHERE IdMzdCalc = 438;
UPDATE pmzdcalc SET cisrad = 190 WHERE IdMzdCalc = 439;
UPDATE pmzdcalc SET cisrad = 187 WHERE IdMzdCalc = 440;
UPDATE pmzdcalc SET cisrad = 179 WHERE IdMzdCalc = 445;
UPDATE pmzdcalc SET cisrad = 180 WHERE IdMzdCalc = 446;
UPDATE pmzdcalc SET cisrad = 181 WHERE IdMzdCalc = 447;
UPDATE pmzdcalc SET cisrad = 182 WHERE IdMzdCalc = 448;
UPDATE pmzdcalc SET cisrad = 183 WHERE IdMzdCalc = 449;
UPDATE pmzdcalc SET cisrad = 184 WHERE IdMzdCalc = 450;
UPDATE pmzdcalc SET cisrad = 185 WHERE IdMzdCalc = 451;
UPDATE pmzdcalc SET cisrad = 186 WHERE IdMzdCalc = 452;
UPDATE pmzdcalc SET cisrad = 421 WHERE IdMzdCalc = 454;
UPDATE pmzdcalc SET cisrad = 393 WHERE IdMzdCalc = 455;
UPDATE pmzdcalc SET cisrad = 357 WHERE IdMzdCalc = 456;
UPDATE pmzdcalc SET cisrad = 358 WHERE IdMzdCalc = 457;
UPDATE pmzdcalc SET cisrad = 359 WHERE IdMzdCalc = 458;
UPDATE pmzdcalc SET cisrad = 211 WHERE IdMzdCalc = 460;
UPDATE pmzdcalc SET cisrad = 212 WHERE IdMzdCalc = 461;
UPDATE pmzdcalc SET cisrad = 213 WHERE IdMzdCalc = 462;
UPDATE pmzdcalc SET cisrad = 214 WHERE IdMzdCalc = 463;
UPDATE pmzdcalc SET cisrad = 207 WHERE IdMzdCalc = 464;
UPDATE pmzdcalc SET cisrad = 208 WHERE IdMzdCalc = 465;
UPDATE pmzdcalc SET cisrad = 209 WHERE IdMzdCalc = 466;
UPDATE pmzdcalc SET cisrad = 210 WHERE IdMzdCalc = 467;
UPDATE pmzdcalc SET cisrad = 217 WHERE IdMzdCalc = 468;
UPDATE pmzdcalc SET cisrad = 284 WHERE IdMzdCalc = 471;
UPDATE pmzdcalc SET cisrad = 301 WHERE IdMzdCalc = 472;
UPDATE pmzdcalc SET cisrad = 215 WHERE IdMzdCalc = 473;
UPDATE pmzdcalc SET cisrad = 216 WHERE IdMzdCalc = 474;
UPDATE pmzdcalc SET nazev = '--', cisrad = 254 WHERE IdMzdCalc = 475;
UPDATE pmzdcalc SET cisrad = 226 WHERE IdMzdCalc = 476;
UPDATE pmzdcalc SET cisrad = 291, polein = 'castMzd;castMzd', poleout = 'zaklMzd;procMzd' WHERE IdMzdCalc = 477;
UPDATE pmzdcalc SET cisrad = 333 WHERE IdMzdCalc = 478;
UPDATE pmzdcalc SET cisrad = 175 WHERE IdMzdCalc = 480;
UPDATE pmzdcalc SET cisrad = 114 WHERE IdMzdCalc = 481;
UPDATE pmzdcalc SET cisrad = 72 WHERE IdMzdCalc = 482;
UPDATE pmzdcalc SET cisrad = 88 WHERE IdMzdCalc = 484;
UPDATE pmzdcalc SET cisrad = 91 WHERE IdMzdCalc = 485;
UPDATE pmzdcalc SET cisrad = 176 WHERE IdMzdCalc = 486;
UPDATE pmzdcalc SET cisrad = 177 WHERE IdMzdCalc = 487;
UPDATE pmzdcalc SET cisrad = 364 WHERE IdMzdCalc = 488;
UPDATE pmzdcalc SET cisrad = 107 WHERE IdMzdCalc = 489;
UPDATE pmzdcalc SET cisrad = 118 WHERE IdMzdCalc = 490;
UPDATE pmzdcalc SET cisrad = 108 WHERE IdMzdCalc = 491;
UPDATE pmzdcalc SET cisrad = 109 WHERE IdMzdCalc = 492;
UPDATE pmzdcalc SET cisrad = 110 WHERE IdMzdCalc = 493;
UPDATE pmzdcalc SET cisrad = 111 WHERE IdMzdCalc = 494;
UPDATE pmzdcalc SET cisrad = 418 WHERE IdMzdCalc = 495;
UPDATE pmzdcalc SET cisrad = 419 WHERE IdMzdCalc = 496;
UPDATE pmzdcalc SET cisrad = 112 WHERE IdMzdCalc = 497;
UPDATE pmzdcalc SET cisrad = 171 WHERE IdMzdCalc = 498;
UPDATE pmzdcalc SET cisrad = 172 WHERE IdMzdCalc = 499;
UPDATE pmzdcalc SET cisrad = 173 WHERE IdMzdCalc = 500;
UPDATE pmzdcalc SET cisrad = 165 WHERE IdMzdCalc = 501;
UPDATE pmzdcalc SET cisrad = 166 WHERE IdMzdCalc = 502;
UPDATE pmzdcalc SET cisrad = 167 WHERE IdMzdCalc = 503;
UPDATE pmzdcalc SET cisrad = 168 WHERE IdMzdCalc = 504;
UPDATE pmzdcalc SET cisrad = 169 WHERE IdMzdCalc = 505;
UPDATE pmzdcalc SET cisrad = 170 WHERE IdMzdCalc = 508;
UPDATE pmzdcalc SET cisrad = 52 WHERE IdMzdCalc = 509;
UPDATE pmzdcalc SET cisrad = 53 WHERE IdMzdCalc = 510;
UPDATE pmzdcalc SET cisrad = 310, polein = 'procMzd' WHERE IdMzdCalc = 513;
UPDATE pmzdcalc SET cisrad = 417 WHERE IdMzdCalc = 514;
UPDATE pmzdcalc SET cisrad = 424 WHERE IdMzdCalc = 516;
UPDATE pmzdcalc SET cisrad = 425 WHERE IdMzdCalc = 517;
UPDATE pmzdcalc SET cisrad = 426 WHERE IdMzdCalc = 518;
UPDATE pmzdcalc SET cisrad = 427 WHERE IdMzdCalc = 519;
UPDATE pmzdcalc SET cisrad = 428 WHERE IdMzdCalc = 520;
UPDATE pmzdcalc SET cisrad = 431 WHERE IdMzdCalc = 521;
UPDATE pmzdcalc SET cisrad = 355 WHERE IdMzdCalc = 522;
UPDATE pmzdcalc SET cisrad = 391 WHERE IdMzdCalc = 523;
UPDATE pmzdcalc SET cisrad = 390 WHERE IdMzdCalc = 524;
UPDATE pmzdcalc SET cisrad = 90 WHERE IdMzdCalc = 525;
UPDATE pmzdcalc SET cisrad = 89 WHERE IdMzdCalc = 526;
UPDATE pmzdcalc SET cisrad = 44 WHERE IdMzdCalc = 527;
UPDATE pmzdcalc SET cisrad = 49 WHERE IdMzdCalc = 528;
UPDATE pmzdcalc SET cisrad = 134 WHERE IdMzdCalc = 529;
UPDATE pmzdcalc SET cisrad = 356 WHERE IdMzdCalc = 530;
UPDATE pmzdcalc SET cisrad = 80 WHERE IdMzdCalc = 531;
UPDATE pmzdcalc SET cisrad = 81 WHERE IdMzdCalc = 532;
UPDATE pmzdcalc SET cisrad = 82 WHERE IdMzdCalc = 533;
UPDATE pmzdcalc SET cisrad = 83 WHERE IdMzdCalc = 534;
UPDATE pmzdcalc SET kod = '10', nazev = '----- Absence - zvýšení základu pracovníka', cisrad = 267, polein = 'zaklMzd', poleout = 'zaklMzd', idmzdslozout = 234 WHERE IdMzdCalc = 536;
UPDATE pmzdcalc SET cisrad = 423 WHERE IdMzdCalc = 537;
UPDATE pmzdcalc SET cisrad = 432 WHERE IdMzdCalc = 538;
UPDATE pmzdcalc SET kod = '10', nazev = '----- Celkové zdravotní pojištění do pracovníka', cisrad = 273, idmzdslozin = 218 WHERE IdMzdCalc = 541;
UPDATE pmzdcalc SET cisrad = 323 WHERE IdMzdCalc = 543;
UPDATE pmzdcalc SET cisrad = 324 WHERE IdMzdCalc = 544;
UPDATE pmzdcalc SET cisrad = 308 WHERE IdMzdCalc = 545;
UPDATE pmzdcalc SET cisrad = 314 WHERE IdMzdCalc = 546;
UPDATE pmzdcalc SET cisrad = 316 WHERE IdMzdCalc = 547;
UPDATE pmzdcalc SET cisrad = 50 WHERE IdMzdCalc = 548;
UPDATE pmzdcalc SET cisrad = 224 WHERE IdMzdCalc = 549;
UPDATE pmzdcalc SET cisrad = 433 WHERE IdMzdCalc = 550;
UPDATE pmzdcalc SET cisrad = 56 WHERE IdMzdCalc = 551;
UPDATE pmzdcalc SET cisrad = 58 WHERE IdMzdCalc = 552;
UPDATE pmzdcalc SET cisrad = 64 WHERE IdMzdCalc = 553;
UPDATE pmzdcalc SET cisrad = 57 WHERE IdMzdCalc = 554;
UPDATE pmzdcalc SET cisrad = 141 WHERE IdMzdCalc = 557;
UPDATE pmzdcalc SET cisrad = 142 WHERE IdMzdCalc = 558;
UPDATE pmzdcalc SET cisrad = 143 WHERE IdMzdCalc = 559;
UPDATE pmzdcalc SET cisrad = 144 WHERE IdMzdCalc = 560;
UPDATE pmzdcalc SET cisrad = 145 WHERE IdMzdCalc = 561;
UPDATE pmzdcalc SET cisrad = 146 WHERE IdMzdCalc = 562;
UPDATE pmzdcalc SET cisrad = 147 WHERE IdMzdCalc = 563;
UPDATE pmzdcalc SET cisrad = 148 WHERE IdMzdCalc = 564;
UPDATE pmzdcalc SET cisrad = 149 WHERE IdMzdCalc = 565;
UPDATE pmzdcalc SET cisrad = 150 WHERE IdMzdCalc = 566;
UPDATE pmzdcalc SET cisrad = 94 WHERE IdMzdCalc = 567;
UPDATE pmzdcalc SET cisrad = 95 WHERE IdMzdCalc = 568;
UPDATE pmzdcalc SET cisrad = 96 WHERE IdMzdCalc = 569;
UPDATE pmzdcalc SET cisrad = 97 WHERE IdMzdCalc = 570;
UPDATE pmzdcalc SET cisrad = 98 WHERE IdMzdCalc = 571;
UPDATE pmzdcalc SET cisrad = 99 WHERE IdMzdCalc = 572;
UPDATE pmzdcalc SET cisrad = 100 WHERE IdMzdCalc = 573;
UPDATE pmzdcalc SET cisrad = 101 WHERE IdMzdCalc = 574;
UPDATE pmzdcalc SET cisrad = 102 WHERE IdMzdCalc = 575;
UPDATE pmzdcalc SET cisrad = 103 WHERE IdMzdCalc = 576;
UPDATE pmzdcalc SET cisrad = 403 WHERE IdMzdCalc = 577;
UPDATE pmzdcalc SET cisrad = 404 WHERE IdMzdCalc = 578;
UPDATE pmzdcalc SET cisrad = 405 WHERE IdMzdCalc = 579;
UPDATE pmzdcalc SET cisrad = 406 WHERE IdMzdCalc = 580;
UPDATE pmzdcalc SET cisrad = 407 WHERE IdMzdCalc = 581;
UPDATE pmzdcalc SET cisrad = 408 WHERE IdMzdCalc = 582;
UPDATE pmzdcalc SET cisrad = 409 WHERE IdMzdCalc = 583;
UPDATE pmzdcalc SET cisrad = 410 WHERE IdMzdCalc = 585;
UPDATE pmzdcalc SET cisrad = 411 WHERE IdMzdCalc = 586;
UPDATE pmzdcalc SET cisrad = 412 WHERE IdMzdCalc = 587;
UPDATE pmzdcalc SET kod = '10', nazev = '----- Výpočet celkového zdravotního pojištění', cisrad = 268, poleout = 'castMzd', idmzdslozin = 234, idmzdslozout = 218 WHERE IdMzdCalc = 589;
UPDATE pmzdcalc SET cisrad = 135 WHERE IdMzdCalc = 592;
UPDATE pmzdcalc SET cisrad = 136 WHERE IdMzdCalc = 593;
UPDATE pmzdcalc SET cisrad = 365 WHERE IdMzdCalc = 595;
UPDATE pmzdcalc SET cisrad = 368 WHERE IdMzdCalc = 596;
UPDATE pmzdcalc SET cisrad = 23 WHERE IdMzdCalc = 608;
UPDATE pmzdcalc SET cisrad = 24 WHERE IdMzdCalc = 609;
UPDATE pmzdcalc SET cisrad = 25 WHERE IdMzdCalc = 610;
UPDATE pmzdcalc SET cisrad = 26 WHERE IdMzdCalc = 611;
UPDATE pmzdcalc SET cisrad = 27 WHERE IdMzdCalc = 612;
UPDATE pmzdcalc SET cisrad = 28 WHERE IdMzdCalc = 613;
UPDATE pmzdcalc SET cisrad = 29 WHERE IdMzdCalc = 614;
UPDATE pmzdcalc SET cisrad = 30 WHERE IdMzdCalc = 615;
UPDATE pmzdcalc SET cisrad = 45 WHERE IdMzdCalc = 616;
UPDATE pmzdcalc SET cisrad = 48 WHERE IdMzdCalc = 617;
UPDATE pmzdcalc SET cisrad = 60 WHERE IdMzdCalc = 619;
UPDATE pmzdcalc SET cisrad = 61 WHERE IdMzdCalc = 620;
UPDATE pmzdcalc SET cisrad = 62 WHERE IdMzdCalc = 623;
UPDATE pmzdcalc SET cisrad = 63 WHERE IdMzdCalc = 624;
UPDATE pmzdcalc SET cisrad = 360 WHERE IdMzdCalc = 625;
UPDATE pmzdcalc SET cisrad = 420 WHERE IdMzdCalc = 628;
UPDATE pmzdcalc SET cisrad = 374 WHERE IdMzdCalc = 630;
UPDATE pmzdcalc SET cisrad = 415 WHERE IdMzdCalc = 632;
UPDATE pmzdcalc SET cisrad = 416 WHERE IdMzdCalc = 633;
UPDATE pmzdcalc SET cisrad = 430 WHERE IdMzdCalc = 634;
UPDATE pmzdcalc SET cisrad = 429 WHERE IdMzdCalc = 635;
UPDATE pmzdcalc SET cisrad = 422 WHERE IdMzdCalc = 636;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (637, '2010-04-08 00:00:00.000', 'ČISTÁ MZDA', 'K výplatě = čistý příjem - suma srážek', true, 331, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 140, 292);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (638, '2010-04-07 00:00:00.000', 'ČISTÝ PŘÍJEM', 'K výplatě = čistý příjem - suma srážek', true, 413, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 140, 293);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (639, '2010-04-07 00:00:00.000', 'NÁHR. ZA PRAC.NESCH.', 'Celková náhrada za pracovní neschopnost', true, 375, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 226, 294);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (641, '2010-04-08 00:00:00.000', '10', '----- Neplacené volno - zvýšení základu pracovníka', true, 266, 1.0, 1.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 106, 234);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (644, '2010-04-08 00:00:00.000', '10', '----- Oprava pojištění pracovníka', true, 277, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 77, 218);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (645, '2010-04-08 00:00:00.000', '10', 'Oprava zdrav. pojištění - firma', true, 277, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 78, 218);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (646, '2010-04-09 00:00:00.000', 'SVÁTEK', 'Vojenské cvičení neplacené', true, 21, -1.0, 1.0, 0.0, 'dnySvatek;hodinySvatek;dnySvatek;hodinySvatek', 'dnySvatek;hodinySvatek;dnyPrac;hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 295, 256);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (647, '2010-04-09 00:00:00.000', 'SVÁTEK', 'Ostatní překážky v práci neplacené', true, 22, -1.0, 1.0, 0.0, 'dnySvatek;hodinySvatek;dnySvatek;hodinySvatek', 'dnySvatek;hodinySvatek;dnyPrac;hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 296, 256);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (648, '2010-04-09 00:00:00.000', '1', 'Vojenské cvičení neplacené', true, 46, 1.0, 1.0, 0.0, 'dnyPrac;dnyKal;hodiny;dnySvatek;hodinySvatek', 'dnyPrac;dnyKal;hodiny;dnyPrac;hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 295, 16);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (649, '2010-04-09 00:00:00.000', '1', 'Ostatní překážky v práci neplacené', true, 47, 1.0, 1.0, 0.0, 'dnyPrac;dnyKal;hodiny;dnySvatek;hodinySvatek', 'dnyPrac;dnyKal;hodiny;dnyPrac;hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 296, 16);
UPDATE pmzdcalc SET cisrad = 347 WHERE IdMzdCalc = 201;
UPDATE pmzdcalc SET cisrad = 348 WHERE IdMzdCalc = 383;
UPDATE pmzdcalc SET cisrad = 349 WHERE IdMzdCalc = 384;
UPDATE pmzdcalc SET cisrad = 350 WHERE IdMzdCalc = 385;

PERFORM pg_catalog.setval('seq_pmzdcalc', 649, true);

-- pracovni pomery
-- parametry pro typ prac pom

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 279, 't');
