-------------------------------------------------------------------------------------------------------------
-- Bug 19897 – [WinStrom] Umožnit tisk sestavy pohledávek a závazků - 30, 60, 90, .....360 dnů po splatnosti
-------------------------------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION ismenacizi(i_menaid integer, i_datvyst date)
  RETURNS boolean AS
$BODY$    
declare    
  idMenyTuzemsko integer;   
begin    
  /* Vybrani tuzemske meny */   
  select idMeny into idMenyTuzemsko from nNastav where i_DatVyst >= PlatiOdData order by PlatiOdData desc limit 1;   
  if (idMenyTuzemsko is null) then   
    select idMeny into idMenyTuzemsko from nNastav where PlatiOdData is null limit 1;    
  end if;   
   
  /* Pokud je mena null nebo stejna jako tuzemska tak vracim false*/   
  if(i_menaid is null or i_menaid = idMenyTuzemsko) then   
    return false;   
  end if;    
  return true;    
end;    
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION ismenacizi(integer, date) OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 358, 't');
