---------------------------------------------------------------------------------------
-- Bug 25920 – [WinStrom] přidat externí ID do uživatelských dotazů
---------------------------------------------------------------------------------------

alter table wextid add column idDotaz integer;
alter table wextid add column idDotazParam integer;
alter table wextid add column idDotazProp integer;

alter table wextid add constraint wextid_idDotaz FOREIGN KEY (idDotaz)
      REFERENCES wDotazy (idDotaz) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;      
alter table wextid add constraint wextid_idDotazParam FOREIGN KEY (idDotazParam)
      REFERENCES wDotazyParam (idDotazParam) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;
alter table wextid add constraint wextid_idDotazProp FOREIGN KEY (idDotazProp)
      REFERENCES wDotazyProp (idDotazProp) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX wExtId_IdDotaz_index ON wExtId USING btree (idDotaz);
CREATE INDEX wExtId_IdDotazParam_index ON wExtId USING btree (idDotazParam);
CREATE INDEX wExtId_IdDotazProp_index ON wExtId USING btree (idDotazProp);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 546, 't', %appVersion%, clock_timestamp());
