----------------------------------------------------------------------------------------------
-- Bug 28081 – [winstrom] odpisy majetku - měsíční
----------------------------------------------------------------------------------------------

create or replace function upgrade() returns void as
$BODY$
declare _idsazby integer;
begin
    -- idstatuleg je konstantni po celou dobu trvani firmy
    if ((select max(idstatuleg) from nnastav) = (select idstatu from astaty where uuid = 'CZ_CZ')) then
        -- nema jeste pridanou tuhle sazbu (mohl si ji pridat sam rucne) nad kod mame unique
        select idsazby into _idsazby from msazby where kod = 'M240';
        if (_idsazby is null) then
            INSERT INTO msazby (lastupdate, kod, nazev, nazeva, nazevb, nazevc, platido, platiod, popis, poznam, show, dobaodp, koefzrodp1, koefzrodpdalsi, koefzrodpzvceny, mindobaodp, prcroodp1, prcroodpdalsi, prcroodpzvceny, typodpk, zamek, zmena, uuid)
                VALUES ('2012-06-04 00:00:00', 'M240', '240 měsíců', NULL, NULL, NULL, 9999, 0, NULL, NULL, true, 240, 0, 0, 0, 120, 0.00, 0.00, 0.00, 'typOdp.mesic', false, false, 'CZ_M240');
        end if;
    end if;
end;
$BODY$
LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION upgrade() OWNER TO %firmaRole%;

select upgrade();
drop function upgrade();


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 620, 't', %appVersion%, clock_timestamp());
