--------------------------------------------------------------------------------
-- Bug 31058 – [winstrom] mzdy - oprava tisku pásky a mzdového listu
-- Bug 30902 – [winstrom] zápočtový list
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
ALTER TABLE pmzdsloz DISABLE TRIGGER pmzdslozupdatedatumvypoctu;

UPDATE pcismzdsloz SET zapoctovylist = false WHERE idcismzdsloz = 119;
UPDATE pcismzdsloz SET zapoctovylist = false WHERE idcismzdsloz = 120;
UPDATE pcismzdsloz SET vyznamk = null WHERE idcismzdsloz = 297;
UPDATE pcismzdsloz SET vyznamk = null WHERE idcismzdsloz = 351;
UPDATE pcismzdsloz SET paskamala = false, paskavelka = false WHERE idcismzdsloz = 354;

ALTER TABLE pmzdsloz ENABLE TRIGGER pmzdslozupdatedatumvypoctu;

-- inicializace
-- radky
-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 654, 't', %appVersion%, clock_timestamp());
