--------------------------------------------------------------------------------
-- Bug 32194 – [WinStrom] - Zboží - skupiny zboží - účtování pro skupinu
--------------------------------------------------------------------------------

ALTER TABLE cskupzboz
  ADD COLUMN idprotiucetsklholyv integer,
  ADD COLUMN idprotiucetsklprevv integer,
  ADD CONSTRAINT cskupzboz_idprotiucetsklholyv FOREIGN KEY (idprotiucetsklholyv)
      REFERENCES uucty(iducet) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  ADD CONSTRAINT cskupzboz_idprotiucetsklprevv FOREIGN KEY (idprotiucetsklprevv)
      REFERENCES uucty(iducet) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX cskupzboz_idprotiucetsklholyv_index ON cskupzboz USING btree (idprotiucetsklholyv);
CREATE INDEX cskupzboz_idprotiucetsklprevv_index ON cskupzboz USING btree (idprotiucetsklprevv);


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 685, 't', %appVersion%, clock_timestamp());
