--------------------------------------------------------------------------------
-- Bug 35203 – [FlexiBee] - Rozšíření datových struktur pro emeldi
--------------------------------------------------------------------------------

ALTER TABLE aadresar ADD COLUMN katastruzemi character varying(255);
ALTER TABLE aadresar ADD COLUMN parcela character varying(255);

ALTER TABLE dsmlouvy ADD COLUMN katastruzemi character varying(255);
ALTER TABLE dsmlouvy ADD COLUMN parcela character varying(255);

ALTER TABLE mmajetek ADD COLUMN katastruzemi character varying(255);
ALTER TABLE mmajetek ADD COLUMN parcela character varying(255);
ALTER TABLE mmajetek ADD COLUMN vozcislo character varying(255);
ALTER TABLE mmajetek ADD COLUMN vozspz character varying(255);
ALTER TABLE mmajetek ADD COLUMN vozznacka character varying(255);
ALTER TABLE mmajetek ADD COLUMN vozmodel character varying(255);
ALTER TABLE mmajetek ADD COLUMN voztyp character varying(255);
ALTER TABLE mmajetek ADD COLUMN vozobjem numeric(15,2) NOT NULL DEFAULT 0.0;
ALTER TABLE mmajetek ADD COLUMN vozhavar character varying(255);
ALTER TABLE mmajetek ADD COLUMN vozhavarvyse numeric(15,2) NOT NULL DEFAULT 0.0;
ALTER TABLE mmajetek ADD COLUMN vozvybava text;

ALTER TABLE mleasing ADD COLUMN vozcislo character varying(255);
ALTER TABLE mleasing ADD COLUMN vozspz character varying(255);
ALTER TABLE mleasing ADD COLUMN vozznacka character varying(255);
ALTER TABLE mleasing ADD COLUMN vozmodel character varying(255);
ALTER TABLE mleasing ADD COLUMN voztyp character varying(255);
ALTER TABLE mleasing ADD COLUMN vozobjem numeric(15,2) NOT NULL DEFAULT 0.0;
ALTER TABLE mleasing ADD COLUMN vozhavar character varying(255);
ALTER TABLE mleasing ADD COLUMN vozhavarvyse numeric(15,2) NOT NULL DEFAULT 0.0;
ALTER TABLE mleasing ADD COLUMN vozvybava text;

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 757, 't', %appVersion%, clock_timestamp());
