--------------------------------------------------------------------------------
-- Bug 38829 – [Bug+Leg] Oprava snížení základu pro ZP
-- Bug 36323 – winstrom mzdy - složka oprava zdravot.pojištění
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
UPDATE pmzdcalc SET koeficient3 = 5829.0 WHERE idmzdcalc = 5315;
UPDATE pmzdcalc SET cisrad = 352 WHERE idmzdcalc = 5349;
UPDATE pmzdcalc SET cisrad = 353 WHERE idmzdcalc = 5350;
UPDATE pmzdcalc SET cisrad = 354 WHERE idmzdcalc = 5351;
UPDATE pmzdcalc SET cisrad = 355 WHERE idmzdcalc = 5352;
UPDATE pmzdcalc SET cisrad = 356 WHERE idmzdcalc = 5353;
UPDATE pmzdcalc SET cisrad = 351 WHERE idmzdcalc = 5354;
-- hlavicka
-- radky
-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 837, 't', %appVersion%, clock_timestamp());
