CREATE SEQUENCE seq_svyrobnicislo
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE seq_svyrobnicislo OWNER TO %firmaRole%;

DROP VIEW dpolskladf;

ALTER TABLE svyrobnicislo DROP COLUMN idpolsklad;
ALTER TABLE svyrobnicislo ADD COLUMN idPolSkladPrijem integer;
ALTER TABLE svyrobnicislo ADD COLUMN idPolSkladVydej integer;
ALTER TABLE svyrobnicislo ADD COLUMN idPolFakPrijem integer;
ALTER TABLE svyrobnicislo ADD COLUMN idPolFakVydej integer;
ALTER TABLE svyrobnicislo ADD COLUMN idPolIntPrijem integer;
ALTER TABLE svyrobnicislo ADD COLUMN idPolIntVydej integer;
ALTER TABLE svyrobnicislo ALTER COLUMN idVyrobniCislo SET DEFAULT nextval('seq_svyrobnicislo'::regclass);
  

-- View: dpolskladf
-- DROP VIEW dpolskladf;
CREATE OR REPLACE VIEW dpolskladf AS 
 SELECT p.idpolsklad, p.mnozmj - jevydano(p.idpolsklad) AS pocet, p.cenamj, p.datvyst, p.expirace, p.idzakazky, p.idskladu, p.idcenik, p.sarze, (-1) AS idvyrobnicislo, ( SELECT c.evidvyrcis
           FROM ccenik c
          WHERE c.idcenik = p.idcenik) AS evidvyrcis
   FROM dpolskladdoklad p
  WHERE p.typpohybuk::text = 'typPohybu.prijem'::text AND (p.mnozmj - jevydano(p.idpolsklad)) > 0::numeric AND (( SELECT c.evidvyrcis
           FROM ccenik c
          WHERE c.idcenik = p.idcenik)) = false AND p.storno <> true
UNION ALL 
 SELECT p.idpolsklad, 1 AS pocet, p.cenamj, p.datvyst, p.expirace, p.idzakazky, p.idskladu, p.idcenik, p.sarze, v.idvyrobnicislo, ( SELECT c.evidvyrcis
           FROM ccenik c
          WHERE c.idcenik = p.idcenik) AS evidvyrcis
   FROM svyrobnicislo v
   LEFT JOIN dpolskladdoklad p ON p.idpolsklad = v.idpolskladprijem
  WHERE p.typpohybuk::text = 'typPohybu.prijem'::text AND (( SELECT c.evidvyrcis
      FROM ccenik c
     WHERE c.idcenik = p.idcenik)) = true AND NOT (v.idvyrobnicislo IN ( SELECT sfifovazby.idvyrobnicislo
      FROM sfifovazby
     WHERE sfifovazby.idpolskladprijem = p.idpolsklad)) AND p.storno <> true;

ALTER TABLE dpolskladf OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 85, 't');
