--Bug 41879 - Nové kódy přenesené daňové povinnosti § 92 od 1.4.2015

alter table udphpren add column omezPrenDanPovK character varying(50)  NOT NULL DEFAULT 'omezPrenDanPov.bezOmezeni';

-- Kódy § 92a platné od 1.1.2012
update udphpren set nazev = '§ 92d – povolenky (do 31. 3. 2015)', platido = 2015 where uuid = 'CZ_§92_2_2012';

-- aktulizujeme záznamy pokud existují, jinak je vložíme
UPDATE udphpren SET nazev='§ 92f – povolenky (od 1. 4. 2015)', omezPrenDanPovK = 'omezPrenDanPov.bezOmezeni', platiod = 2015, platido = 9999, uuid = 'CZ_§92_11_2015' WHERE kod='11';
INSERT INTO udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
       SELECT '11', '§ 92f – povolenky (od 1. 4. 2015)','omezPrenDanPov.bezOmezeni', 2015, 9999, 'CZ_§92_11_2015'
       WHERE NOT EXISTS (SELECT 1 FROM udphpren WHERE kod='11');
       
UPDATE udphpren SET nazev='§ 92f – obiloviny a technické plodiny', omezPrenDanPovK = 'omezPrenDanPov.odCastky100k', platiod = 2015, platido = 9999, uuid = 'CZ_§92_12_2015' WHERE kod='12';
INSERT INTO udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
       SELECT '12', '§ 92f – obiloviny a technické plodiny','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_12_2015'
       WHERE NOT EXISTS (SELECT 1 FROM udphpren WHERE kod='12');
       
UPDATE udphpren SET nazev='§ 92f – kovy', omezPrenDanPovK = 'omezPrenDanPov.odCastky100k', platiod = 2015, platido = 9999, uuid = 'CZ_§92_13_2015' WHERE kod='13';
INSERT INTO udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
       SELECT '13', '§ 92f – kovy','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_13_2015'
       WHERE NOT EXISTS (SELECT 1 FROM udphpren WHERE kod='13');    
          
UPDATE udphpren SET nazev='§ 92f – mobilní telefony', omezPrenDanPovK = 'omezPrenDanPov.odCastky100k', platiod = 2015, platido = 9999, uuid = 'CZ_§92_14_2015' WHERE kod='14';
INSERT INTO udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
       SELECT '14', '§ 92f – mobilní telefony','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_14_2015'
       WHERE NOT EXISTS (SELECT 1 FROM udphpren WHERE kod='14');       
       
UPDATE udphpren SET nazev='§ 92f – integrované obvody', omezPrenDanPovK = 'omezPrenDanPov.odCastky100k', platiod = 2015, platido = 9999, uuid = 'CZ_§92_15_2015' WHERE kod='15';
INSERT INTO udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
       SELECT '15', '§ 92f – integrované obvody','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_15_2015'
       WHERE NOT EXISTS (SELECT 1 FROM udphpren WHERE kod='15');    
          
UPDATE udphpren SET nazev='§ 92f – přenosná zařízení pro automatizované zpracování dat', omezPrenDanPovK = 'omezPrenDanPov.odCastky100k', platiod = 2015, platido = 9999, uuid = 'CZ_§92_16_2015' WHERE kod='16';
INSERT INTO udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
       SELECT '16', '§ 92f – přenosná zařízení pro automatizované zpracování dat','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_16_2015'
       WHERE NOT EXISTS (SELECT 1 FROM udphpren WHERE kod='16');  
            
UPDATE udphpren SET nazev='§ 92f – videoherní konzole', omezPrenDanPovK = 'omezPrenDanPov.odCastky100k', platiod = 2015, platido = 9999, uuid = 'CZ_§92_17_2015' WHERE kod='17';
INSERT INTO udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
       SELECT '17', '§ 92f – videoherní konzole','omezPrenDanPov.odCastky100k', 2015, 9999, 'CZ_§92_17_2015'
       WHERE NOT EXISTS (SELECT 1 FROM udphpren WHERE kod='17');

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
    values (nextval('seq_dbversion'), 907, 't', %appVersion%, clock_timestamp());