--------------------------------------------------------------------------------
-- Bug 13586 – [WinStrom] Nastavení zaokrouhlení přímo na dokladu
--------------------------------------------------------------------------------

ALTER TABLE ddoklfak ADD COLUMN zaokrjaksumk character varying(50);
ALTER TABLE ddoklfak ADD COLUMN zaokrnasumk character varying(50);
ALTER TABLE ddoklfak ADD COLUMN zaokrjakdphk character varying(50);
ALTER TABLE ddoklfak ADD COLUMN zaokrnadphk character varying(50);

ALTER TABLE ddoklint ADD COLUMN zaokrjaksumk character varying(50);
ALTER TABLE ddoklint ADD COLUMN zaokrnasumk character varying(50);
ALTER TABLE ddoklint ADD COLUMN zaokrjakdphk character varying(50);
ALTER TABLE ddoklint ADD COLUMN zaokrnadphk character varying(50);

ALTER TABLE ddoklsklad ADD COLUMN zaokrjaksumk character varying(50);
ALTER TABLE ddoklsklad ADD COLUMN zaokrnasumk character varying(50);
ALTER TABLE ddoklsklad ADD COLUMN zaokrjakdphk character varying(50);
ALTER TABLE ddoklsklad ADD COLUMN zaokrnadphk character varying(50);

ALTER TABLE ddoklobch ADD COLUMN zaokrjaksumk character varying(50);
ALTER TABLE ddoklobch ADD COLUMN zaokrnasumk character varying(50);
ALTER TABLE ddoklobch ADD COLUMN zaokrjakdphk character varying(50);
ALTER TABLE ddoklobch ADD COLUMN zaokrnadphk character varying(50);


-- Upgrade dat v tabulce ddoklfak

UPDATE ddoklfak d
SET zaokrjaksumk = ( SELECT td.zaokrjaksumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklfak d
SET zaokrnasumk  = ( SELECT td.zaokrnasumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklfak d
SET zaokrjakdphk = ( SELECT td.zaokrjakdphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklfak d
SET zaokrnadphk  = ( SELECT td.zaokrnadphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

-- Upgrade dat v tabulce ddoklint

UPDATE ddoklint d
SET zaokrjaksumk = ( SELECT td.zaokrjaksumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklint d
SET zaokrnasumk  = ( SELECT td.zaokrnasumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklint d
SET zaokrjakdphk = ( SELECT td.zaokrjakdphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklint d
SET zaokrnadphk  = ( SELECT td.zaokrnadphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );


-- Upgrade dat v tabulce ddoklsklad
UPDATE ddoklsklad d
SET zaokrjaksumk = ( SELECT td.zaokrjaksumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklsklad d
SET zaokrnasumk  = ( SELECT td.zaokrnasumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklsklad d
SET zaokrjakdphk = ( SELECT td.zaokrjakdphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklsklad d
SET zaokrnadphk  = ( SELECT td.zaokrnadphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );


-- Upgrade dat v tabulce ddoklobch

UPDATE ddoklobch d
SET zaokrjaksumk = ( SELECT td.zaokrjaksumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklobch d
SET zaokrnasumk  = ( SELECT td.zaokrnasumk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklobch d
SET zaokrjakdphk = ( SELECT td.zaokrjakdphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );

UPDATE ddoklobch d
SET zaokrnadphk  = ( SELECT td.zaokrnadphk 
                     FROM dtypdokl td 
                     WHERE td.idtypdokl = d.idtypdokl );


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 98, 't');