-----------------------------------------------------------------------------------
-- Bug 44934 - Nový řádek rozvahy P A V 2 se nepromítne do součtového řádku P A V 1
-----------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;

begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  -- chceme provést aktualizaci jen pro podnikatele
  if (_idtyporg = 1) then
    INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
        VALUES (382, '2016-03-11 00:00:00.000', true, 60, 188);
    
    INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
        VALUES (383, '2016-03-14 00:00:00.000', false, 104, 188);
  
    end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 989, 't', %appVersion%, clock_timestamp());

