---------------------------------------------------------------------------------------------
-- Bug 44988 - Zápočet pomocí průvodce - chybné počítání KR
---------------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION dnastavuctypolozek(tabulka integer, iddoklad integer, mdzkl boolean, mddph boolean, dalzkl boolean, daldph boolean, newiducet integer, typdph character varying) RETURNS void
    AS $$  
declare typPohyb character varying(50);  
begin  
  if (tabulka = 0) then             -- faktury  
    if (mdZkl = true) then  
        update dPolFak set lastupdate = now(), idZklMdUcet=newIdUcet where idDoklFak = idDoklad and kopZklMdUcet = true and compareId(idZklMdUcet, newIdUcet) = false;  
    end if;  
    if (mdDph = true) then  
        update dPolFak set lastupdate = now(), idDphMdUcet=newIdUcet where idDoklFak = idDoklad and kopDphMdUcet = true and compareId(idDphMdUcet, newIdUcet) = false and  
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);  
    end if;  
    if (dalZkl = true) then  
        update dPolFak set lastupdate = now(), idZklDalUcet=newIdUcet where idDoklFak = idDoklad and kopZklDalUcet = true and compareId(idZklDalUcet, newIdUcet) = false;  
    end if;  
    if (dalDph = true) then  
        update dPolFak set lastupdate = now(), idDphDalUcet=newIdUcet where idDoklFak = idDoklad and kopDphDalUcet = true and compareId(idDphDalUcet, newIdUcet) = false and  
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph) 
            and iddoklfak not in (select df.iddoklfak from ddoklfak df inner join uclendph c on df.idclendph = c.idclendph 
            where c.typPlneniK in ('typPlneni.prijataRCH', 'typPlneni.uskutecnenaRCH' , 'typPlneni.obojiRCH' ) 
            and df.iddoklfak = iddoklfak and df.typPohybuK = 'typPohybu.vydej');  
    end if;  
  else if (tabulka = 1) then        -- int/ban/pok  
    if (mdZkl = true) then  
        update dPolInt set lastupdate = now(), idZklMdUcet=newIdUcet where idDoklInt = idDoklad and kopZklMdUcet = true and compareId(idZklMdUcet, newIdUcet) = false;  
    end if;  
    if (mdDph = true) then  
        update dPolInt set lastupdate = now(), idDphMdUcet=newIdUcet where idDoklInt = idDoklad and kopDphMdUcet = true and compareId(idDphMdUcet, newIdUcet) = false and  
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);  
    end if;  
    if (dalZkl = true) then  
        update dPolInt set lastupdate = now(), idZklDalUcet=newIdUcet where idDoklInt = idDoklad and kopZklDalUcet = true and compareId(idZklDalUcet, newIdUcet) = false;  
    end if;  
    if (dalDph = true) then  
        update dPolInt set lastupdate = now(), idDphDalUcet=newIdUcet where idDoklInt = idDoklad and kopDphDalUcet = true and compareId(idDphDalUcet, newIdUcet) = false and  
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);  
    end if;  
  else if (tabulka = 2) then        -- sklad  
    if (mdZkl = true) then  
        update dPolSklad set lastupdate = now(), idZklMdUcet=newIdUcet where idDoklSklad = idDoklad and kopZklMdUcet = true and compareId(idZklMdUcet, newIdUcet) = false;  
    end if;  
    if (mdDph = true) then  
        update dPolSklad set lastupdate = now(), idDphMdUcet=newIdUcet where idDoklSklad = idDoklad and kopDphMdUcet = true and compareId(idDphMdUcet, newIdUcet) = false and  
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);  
    end if;  
    if (dalZkl = true) then  
        update dPolSklad set lastupdate = now(), idZklDalUcet=newIdUcet where idDoklSklad = idDoklad and kopZklDalUcet = true and compareId(idZklDalUcet, newIdUcet) = false;  
    end if;  
    if (dalDph = true) then  
        update dPolSklad set lastupdate = now(), idDphDalUcet=newIdUcet where idDoklSklad = idDoklad and kopDphDalUcet = true and compareId(idDphDalUcet, newIdUcet) = false and  
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);  
    end if;  
  else  
    -- chyba  
  end if;  
  end if;  
  end if;  
end;  
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.dnastavuctypolozek(tabulka integer, iddoklad integer, mdzkl boolean, mddph boolean, dalzkl boolean, daldph boolean, newiducet integer, typdph character varying) OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 990, 't', %appVersion%, clock_timestamp());