<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="MoneyData">
    <xsl:apply-templates select="SeznamPredkontaci"/>
  </xsl:template>
  
  <xsl:template match="SeznamPredkontaci">
    <xsl:apply-templates select="Predkontace" />
  </xsl:template>
  
  <xsl:template match="Predkontace">
    <xsl:if test="Typ = 'FV' or Typ = 'PF'">
      <Predkontace>
        <Zkrat><xsl:value-of select="Zkrat"/></Zkrat>
        <Typ><xsl:value-of select="Typ"/></Typ>
        <Popis><xsl:value-of select="Popis"/></Popis>
        <UcMD><xsl:value-of select="UcMD"/></UcMD>
        <UcD><xsl:value-of select="UcD"/></UcD>
      </Predkontace>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>