<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />



    <xsl:key name="cisloKey" match="_Řádky_vyd.fa" use="Kód_položky"/>

    <xsl:template match="/Root">
        <winstrom version="1.0">
<!--            <xsl:apply-templates select="*[local-name() = 'Řádky_příjemek' and position() &lt; 100]"/> -->
            <xsl:apply-templates select="_Řádky_vyd.fa"/> 
        </winstrom>
    </xsl:template>


<!--
/usr/share/flexibee/bin/flexibee2xml -t knihavf-cenik-in.xslt -x knihavf-radky.xml -o knihavf-cenik.xml
kod, nazev
-->

    <xsl:template match="_Řádky_vyd.fa">
	<xsl:if test="generate-id(.) = generate-id(key('cisloKey', Kód_položky)[1])">
             <xsl:if test="Kód_položky != ''">
		    <cenik update="ignore">
			<id>code:<xsl:value-of select="java:flexibee.Tool.toUpper(Kód_položky)"/></id>
			<kod><xsl:value-of select="java:flexibee.Tool.toUpper(Kód_položky)"/></kod>
			<nazev>Již smazané zboží: <xsl:value-of select="java:flexibee.Tool.toUpper(Kód_položky)"/></nazev>
			<skladove>true</skladove>
<!--			<platiDo>2010</platiDo> -->
		    </cenik>
             </xsl:if>
	</xsl:if>

    </xsl:template>

</xsl:stylesheet>
