<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:template match="/Root">
        <winstrom version="1.0">
            <xsl:apply-templates select="Sklady"/>
        </winstrom>
    </xsl:template>

    <xsl:template match="/Sklady">
        <winstrom version="1.0">
            <xsl:apply-templates select="Sklady"/>
        </winstrom>
    </xsl:template>

<!--
.\flexibee2xml.exe -t adresar.in.xslt -x adresar.out.xml -o vystup.xml 2>a.out
kod, nazev
-->

    <xsl:template match="Sklady">
        <sklad>
                <!-- Seznam sklady zatim nepodporuje externi identifikatory -->
		<!--<id>ext:4DD-SKL:<xsl:value-of select="java:flexibee.Tool.toUpper(Označení)"/></id>-->
            <id>code:<xsl:value-of select="java:flexibee.Tool.toUpper(Označení)"/></id>
            <kod><xsl:value-of select="java:flexibee.Tool.toUpper(Označení)"/></kod>
            <xsl:choose>
                <xsl:when test="Název != ''">
                    <nazev><xsl:value-of select="Název"/></nazev>
                </xsl:when>
                <xsl:otherwise>
                    <nazev><xsl:value-of select="Označení"/></nazev>
                </xsl:otherwise>
            </xsl:choose>
            <!--<nazev><xsl:value-of select="Název"/></nazev>-->
            <stredisko  if-not-found="null">code:<xsl:value-of select="java:flexibee.Tool.toUpper(Středisko)"/></stredisko>
            <!--<primUcet  if-not-found="null">code:<xsl:value-of select="Účet_skladu"/></primUcet>-->
            <xsl:if test="java:flexibee.Tool.trim(Účet_skladu) != ''">
                <xsl:choose>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet_skladu), 4)) = 0">
                        <primUcet if-not-found="null">code:<xsl:value-of select="java:flexibee.Tool.substring(Účet_skladu, 0, 3)"/>001</primUcet>
                    </xsl:when>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet_skladu), 4)) = 1">
                        <primUcet if-not-found="null">code:<xsl:value-of select="java:flexibee.Tool.substring(Účet_skladu, 0, 3)"/>00<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet_skladu), 4)"/></primUcet>
                    </xsl:when>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet_skladu), 4)) = 2">
                        <primUcet if-not-found="null">code:<xsl:value-of select="java:flexibee.Tool.substring(Účet_skladu, 0, 3)"/>0<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet_skladu), 4)"/></primUcet>
                    </xsl:when>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet_skladu), 4)) = 3">
                        <primUcet if-not-found="null">code:<xsl:value-of select="java:flexibee.Tool.substring(Účet_skladu, 0, 3)"/><xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet_skladu), 4)"/></primUcet>
                    </xsl:when>
                    <xsl:otherwise>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:if>

            <radaPrijem>code:SKLAD+</radaPrijem>
            <radaVydej>code:SKLAD-</radaVydej>
        </sklad>
    </xsl:template>

</xsl:stylesheet>
