CREATE OR REPLACE FUNCTION ddoklfakupdatezauctovano()
  RETURNS trigger AS $$
declare
  _idPolDokl integer;
  _zuctovano boolean;
begin
  select isDokladZuctovan(NEW.idDoklFak, 'Fak') into _zuctovano;
  
  if (NEW.zuctovano <> _zuctovano) then
    update ddoklfak set zuctovano = _zuctovano where idDoklFak = NEW.idDoklFak;
  end if;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;

CREATE TRIGGER ddoklfakupdatezauctovano AFTER UPDATE ON ddoklfak
  FOR EACH ROW EXECUTE PROCEDURE ddoklfakupdatezauctovano();
