--------------------------------------------------------------------------------
-- Bug 17059 – [Winstrom] Možnost evidence výrobce na ceníku
--------------------------------------------------------------------------------

ALTER TABLE ccenik
  ADD COLUMN idvyrobce integer,
  ADD CONSTRAINT ccenik_idvyrobce FOREIGN KEY (idvyrobce)
      REFERENCES aadresar (idfirmy)
      ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX ccenik_idvyrobce_index ON ccenik USING btree (idvyrobce);


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 203, 't');