--------------------------------------------------------------------------------
-- Bug 18075 – [WinStrom] Výchozí předpisy zaúčtování pro daňovou evidenci
-- Doplnění existujících předpisů zaúčtování pro mzdy
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);

  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku

UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost' WHERE uuid='CZ_POD_TUO_MZDY_SOC_PRAC';
UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost' WHERE uuid='CZ_POD_TUO_MZDY_SOC_FIRMA';
UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost' WHERE uuid='CZ_POD_TUO_MZDY_ZDRAV_FIRMA';
UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost' WHERE uuid='CZ_POD_TUO_MZDY_ZDRAV_PRAC';
UPDATE uTypUcOp SET DanEvidK='danEvid.NeDanEvid' WHERE uuid='CZ_POD_TUO_MZDY_HRUBA_MZDA';
UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost', KodPlneniK='kodPlneni.bezVlivu' WHERE uuid='CZ_POD_TUO_MZDY_ZAMESTNANCI';
UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost', KodPlneniK='kodPlneni.bezVlivu' WHERE uuid='CZ_POD_TUO_MZDY_ZALOHA';
UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost' WHERE uuid='CZ_POD_TUO_MZDY_SRAZKY';
UPDATE uTypUcOp SET DanEvidK='danEvid.Par7Zivnost' WHERE uuid='CZ_POD_TUO_MZDY_DOBIRKA';

-- konec ceskeho bloku
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 252, 't');
