--------------------------------------------------------------------------------
-- Bug 22289 – [WinStrom] Zisk v rozvaze a výkazu zisku a ztrát v tisících se nerovná
--------------------------------------------------------------------------------

ALTER TABLE usestavy ADD COLUMN idradzaokr2 integer;
ALTER TABLE usestavy ADD COLUMN idradzaokr1 integer;

ALTER TABLE usestavy ADD CONSTRAINT usestavy_idradzaokr1 FOREIGN KEY (idradzaokr1)
  REFERENCES usesradky (idsesradky) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE usestavy ADD CONSTRAINT usestavy_idradzaokr2 FOREIGN KEY (idradzaokr2)
  REFERENCES usesradky (idsesradky) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
  
CREATE INDEX uSestavy_IdRadZaokr1_index ON uSestavy USING btree (IdRadZaokr1);
CREATE INDEX uSestavy_IdRadZaokr2_index ON uSestavy USING btree (IdRadZaokr2);

-- nastaveni do sestav ceskych podnikatelu
update usestavy as S set idradzaokr1 = (select idsesradky from usesradky as R where cisrad = 1 and R.idsestavy = S.idsestavy),
                         idradzaokr2 = (select idsesradky from usesradky as R where cisrad = 86 and R.idsestavy = S.idsestavy)
 where uuid = 'CZ_PODNIKATELE_ROZVAHA';

update usestavy as S set sloupec6sum45 = true, idradzaokr1 = (select idsesradky from usesradky as R where cisrad = 60 and R.idsestavy = S.idsestavy)
 where uuid = 'CZ_PODNIKATELE_VYSLEDOVKA';

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 447, 't', %appVersion%, clock_timestamp());
