---------------------------------------------------------------------------------------
-- Bug 27440 – [WinStrom] Přidat podporu externích ID do smluv
---------------------------------------------------------------------------------------

alter table wextid add column idSmlouvy integer;
alter table wextid add column idPolSml integer;

alter table wextid add CONSTRAINT wextid_idSmlouva FOREIGN KEY (idSmlouvy)
      REFERENCES dSmlouvy(idSmlouvy) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade;
alter table wextid add  CONSTRAINT wextid_idPolSmlouvy FOREIGN KEY (idPolSml)
      REFERENCES dPolSml(idPolSml) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE cascade;

CREATE INDEX wExtId_IdSmlouvy_index ON wExtId USING btree (idSmlouvy);
CREATE INDEX wExtId_IdPolSml_index ON wExtId USING btree (idPolSml);


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 570, 't', %appVersion%, clock_timestamp());

