--------------------------------------------------------------------------------
-- Bug 32538: [WinStrom] Fixopie pri pokusu o filtraci na neobsahuje
--------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION ws_lexize(i_hodnota character varying)
  RETURNS character varying AS $$
DECLARE
  _pg_version text;
  result varchar(50);
  tmpGloTxVarTableExists boolean;
BEGIN
  SELECT version() INTO _pg_version;
  IF (_pg_version LIKE 'PostgreSQL 8.%') THEN
    RETURN i_hodnota;
  ELSE
    RETURN (ts_lexize('unaccent', i_hodnota))[1];
  END IF;
END;
$$ LANGUAGE plpgsql;

ALTER FUNCTION ws_lexize(character varying) OWNER TO %firmaRole%;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 721, 't', %appVersion%, clock_timestamp());
