--------------------------------------------------------------------------------
-- Bug 36309 – [WinStrom] Kasa s uhradami prevedena na fakturu nejde smazat
--------------------------------------------------------------------------------

ALTER TABLE dformauhrady DROP CONSTRAINT dformauhrady_iddoklfak;

ALTER TABLE dformauhrady ADD CONSTRAINT dformauhrady_iddoklfak FOREIGN KEY (iddoklfak)
  REFERENCES ddoklfak (iddoklfak) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE CASCADE;

-- odstraneni jiz existujicich spatnych uhrad
DELETE FROM dformauhrady as F USING ddoklfak as D WHERE F.iddoklfak = D.iddoklfak AND D.prodejka = false;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 789, 't', %appVersion%, clock_timestamp());


