--------------------------------------------------------------------------------
-- Bug 37432 – flexibee mzdy - změny od 1.1.2014
-- Bug 37202 – flexibee mzdy - chybně počítaná solidární daň
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
ALTER TABLE pmzdsloz DISABLE TRIGGER pmzdslozupdatedatumvypoctu;

UPDATE pcismzdsloz SET kod = 'DAŇ NAD 100 000 KČ P', uuid = 'DAN_NAD_100_000_KC_P' WHERE idcismzdsloz = 355;
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole, zapoctovylist, uuid)
 VALUES (380, '2014-01-16 00:00:00.000', 'DAŇ NAD 100 000 KČ', 'Záloha daně nad 100 000 Kč pro solidární zdanění', true, 5200, 'typSlozky.vypocet', 'skupinaSlozky.dan', true, false, false, false, false, false, false, false, false, false, true, true, false, true, true, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, true, true, 'castMzd', false, 'DAN_NAD_100_000_KC');

ALTER TABLE pmzdsloz ENABLE TRIGGER pmzdslozupdatedatumvypoctu;
PERFORM pg_catalog.setval('seq_pcismzdsloz', 380, true);

-- ukonceni platnosti pracovniho pomeru
UPDATE ptyppracpom SET platido = '2013-12-31' WHERE idtyppracpom = 9;

-- hlavicka
UPDATE pmzdcalchlav SET poznam = e'vyřazení nulování zdravotky pro zaměstnání malého rozsahu u \nstandardního pracovního poměru - pořadí 50\n2014-01-16 ID zbytečných řádků: 5407,5408,5089 a okolní' WHERE idmzdcalchlav = 6;

-- radky
UPDATE pmzdcalc SET poznam = e'27.12.2010\n16.1.2014 koef2 = 0 - nedopočítáváme minimum do 48,1 ale nechávám jaké je', koeficient2 = 0.0 WHERE idmzdcalc = 5089;
UPDATE pmzdcalc SET odhodnoty = 1245216.0 WHERE idmzdcalc = 5292;
UPDATE pmzdcalc SET koeficient3 = -103768.0, idmzdslozout = 380 WHERE idmzdcalc = 5369;
UPDATE pmzdcalc SET cisrad = 372, idmzdslozin = 380, idmzdslozout = 380 WHERE idmzdcalc = 5370;
UPDATE pmzdcalc SET cisrad = 373, idmzdslozin = 380, idmzdslozout = 380 WHERE idmzdcalc = 5371;
UPDATE pmzdcalc SET cisrad = 374 WHERE idmzdcalc = 5372;
UPDATE pmzdcalc SET cisrad = 375 WHERE idmzdcalc = 5373;
UPDATE pmzdcalc SET cisrad = 376 WHERE idmzdcalc = 5374;
UPDATE pmzdcalc SET cisrad = 377 WHERE idmzdcalc = 5375;
UPDATE pmzdcalc SET cisrad = 378 WHERE idmzdcalc = 5376;
UPDATE pmzdcalc SET cisrad = 379 WHERE idmzdcalc = 5377;
UPDATE pmzdcalc SET cisrad = 380 WHERE idmzdcalc = 5378;
UPDATE pmzdcalc SET cisrad = 381 WHERE idmzdcalc = 5379;
UPDATE pmzdcalc SET cisrad = 382 WHERE idmzdcalc = 5380;
UPDATE pmzdcalc SET cisrad = 383 WHERE idmzdcalc = 5381;
UPDATE pmzdcalc SET cisrad = 384 WHERE idmzdcalc = 5382;
UPDATE pmzdcalc SET cisrad = 385 WHERE idmzdcalc = 5383;
UPDATE pmzdcalc SET cisrad = 386 WHERE idmzdcalc = 5384;
UPDATE pmzdcalc SET cisrad = 387 WHERE idmzdcalc = 5385;
UPDATE pmzdcalc SET cisrad = 388 WHERE idmzdcalc = 5386;
UPDATE pmzdcalc SET cisrad = 389 WHERE idmzdcalc = 5387;
UPDATE pmzdcalc SET cisrad = 390 WHERE idmzdcalc = 5388;
UPDATE pmzdcalc SET cisrad = 391 WHERE idmzdcalc = 5389;
UPDATE pmzdcalc SET cisrad = 392 WHERE idmzdcalc = 5390;
UPDATE pmzdcalc SET cisrad = 393 WHERE idmzdcalc = 5391;
UPDATE pmzdcalc SET cisrad = 394 WHERE idmzdcalc = 5392;
UPDATE pmzdcalc SET cisrad = 395, idmzdslozin = 380 WHERE idmzdcalc = 5393;
UPDATE pmzdcalc SET cisrad = 396 WHERE idmzdcalc = 5394;
UPDATE pmzdcalc SET cisrad = 397 WHERE idmzdcalc = 5395;
UPDATE pmzdcalc SET cisrad = 398 WHERE idmzdcalc = 5396;
UPDATE pmzdcalc SET cisrad = 399 WHERE idmzdcalc = 5397;
UPDATE pmzdcalc SET cisrad = 400 WHERE idmzdcalc = 5398;
UPDATE pmzdcalc SET cisrad = 401 WHERE idmzdcalc = 5399;
UPDATE pmzdcalc SET cisrad = 402 WHERE idmzdcalc = 5400;
UPDATE pmzdcalc SET cisrad = 403 WHERE idmzdcalc = 5401;
UPDATE pmzdcalc SET cisrad = 404 WHERE idmzdcalc = 5402;
UPDATE pmzdcalc SET cisrad = 405 WHERE idmzdcalc = 5403;
UPDATE pmzdcalc SET cisrad = 406 WHERE idmzdcalc = 5404;
UPDATE pmzdcalc SET cisrad = 407 WHERE idmzdcalc = 5405;
UPDATE pmzdcalc SET cisrad = 408 WHERE idmzdcalc = 5406;
UPDATE pmzdcalc SET popis = e'10.2.2010\n13.1. 2014 deaktivace', cisrad = 409, koeficient = 0.0 WHERE idmzdcalc = 5407;
UPDATE pmzdcalc SET popis = e'10.2.2010; 15.2.2010 - zrušeno zaokrouhlování základu srážkové daně na 100 Kč\n13.1. 2014 deaktivace', cisrad = 410, koeficient = 0.0 WHERE idmzdcalc = 5408;
UPDATE pmzdcalc SET cisrad = 411 WHERE idmzdcalc = 5409;
UPDATE pmzdcalc SET cisrad = 412 WHERE idmzdcalc = 5410;
UPDATE pmzdcalc SET cisrad = 413 WHERE idmzdcalc = 5411;
UPDATE pmzdcalc SET cisrad = 414 WHERE idmzdcalc = 5412;
UPDATE pmzdcalc SET cisrad = 415 WHERE idmzdcalc = 5413;
UPDATE pmzdcalc SET cisrad = 416 WHERE idmzdcalc = 5414;
UPDATE pmzdcalc SET cisrad = 417 WHERE idmzdcalc = 5415;
UPDATE pmzdcalc SET cisrad = 418 WHERE idmzdcalc = 5416;
UPDATE pmzdcalc SET cisrad = 419 WHERE idmzdcalc = 5417;
UPDATE pmzdcalc SET cisrad = 420 WHERE idmzdcalc = 5418;
UPDATE pmzdcalc SET cisrad = 421 WHERE idmzdcalc = 5419;
UPDATE pmzdcalc SET cisrad = 422, dohodnoty = 151.38 WHERE idmzdcalc = 5420;
UPDATE pmzdcalc SET cisrad = 423, odhodnoty = 151.38, dohodnoty = 227.15 WHERE idmzdcalc = 5421;
UPDATE pmzdcalc SET cisrad = 424, odhodnoty = 227.15, dohodnoty = 454.13 WHERE idmzdcalc = 5422;
UPDATE pmzdcalc SET cisrad = 425 WHERE idmzdcalc = 5423;
UPDATE pmzdcalc SET cisrad = 426 WHERE idmzdcalc = 5424;
UPDATE pmzdcalc SET cisrad = 427 WHERE idmzdcalc = 5425;
UPDATE pmzdcalc SET cisrad = 428 WHERE idmzdcalc = 5426;
UPDATE pmzdcalc SET cisrad = 429 WHERE idmzdcalc = 5427;
UPDATE pmzdcalc SET cisrad = 430 WHERE idmzdcalc = 5428;
UPDATE pmzdcalc SET cisrad = 431 WHERE idmzdcalc = 5429;
UPDATE pmzdcalc SET cisrad = 432 WHERE idmzdcalc = 5430;
UPDATE pmzdcalc SET cisrad = 433 WHERE idmzdcalc = 5431;
UPDATE pmzdcalc SET cisrad = 434 WHERE idmzdcalc = 5432;
UPDATE pmzdcalc SET cisrad = 435 WHERE idmzdcalc = 5433;
UPDATE pmzdcalc SET cisrad = 436 WHERE idmzdcalc = 5434;
UPDATE pmzdcalc SET cisrad = 437 WHERE idmzdcalc = 5435;
UPDATE pmzdcalc SET cisrad = 438 WHERE idmzdcalc = 5436;
UPDATE pmzdcalc SET cisrad = 439 WHERE idmzdcalc = 5437;
UPDATE pmzdcalc SET cisrad = 440 WHERE idmzdcalc = 5438;
UPDATE pmzdcalc SET cisrad = 441 WHERE idmzdcalc = 5439;
UPDATE pmzdcalc SET cisrad = 442 WHERE idmzdcalc = 5440;
UPDATE pmzdcalc SET cisrad = 443 WHERE idmzdcalc = 5441;
UPDATE pmzdcalc SET cisrad = 444 WHERE idmzdcalc = 5442;
UPDATE pmzdcalc SET cisrad = 445 WHERE idmzdcalc = 5443;
UPDATE pmzdcalc SET cisrad = 446 WHERE idmzdcalc = 5444;
UPDATE pmzdcalc SET cisrad = 447 WHERE idmzdcalc = 5445;
UPDATE pmzdcalc SET cisrad = 448 WHERE idmzdcalc = 5446;
UPDATE pmzdcalc SET cisrad = 449 WHERE idmzdcalc = 5447;
UPDATE pmzdcalc SET cisrad = 450 WHERE idmzdcalc = 5448;
UPDATE pmzdcalc SET cisrad = 451 WHERE idmzdcalc = 5449;
UPDATE pmzdcalc SET cisrad = 452 WHERE idmzdcalc = 5450;
UPDATE pmzdcalc SET cisrad = 453 WHERE idmzdcalc = 5451;
UPDATE pmzdcalc SET cisrad = 454 WHERE idmzdcalc = 5452;
UPDATE pmzdcalc SET cisrad = 455 WHERE idmzdcalc = 5453;
UPDATE pmzdcalc SET cisrad = 456 WHERE idmzdcalc = 5454;
UPDATE pmzdcalc SET cisrad = 457 WHERE idmzdcalc = 5455;
UPDATE pmzdcalc SET cisrad = 458 WHERE idmzdcalc = 5456;
UPDATE pmzdcalc SET cisrad = 459 WHERE idmzdcalc = 5457;
UPDATE pmzdcalc SET cisrad = 460 WHERE idmzdcalc = 5458;
UPDATE pmzdcalc SET cisrad = 461 WHERE idmzdcalc = 5459;
UPDATE pmzdcalc SET cisrad = 462 WHERE idmzdcalc = 5460;
UPDATE pmzdcalc SET cisrad = 463 WHERE idmzdcalc = 5461;
UPDATE pmzdcalc SET cisrad = 464 WHERE idmzdcalc = 5462;
UPDATE pmzdcalc SET cisrad = 465 WHERE idmzdcalc = 5463;
UPDATE pmzdcalc SET cisrad = 466 WHERE idmzdcalc = 5464;
UPDATE pmzdcalc SET cisrad = 467 WHERE idmzdcalc = 5465;
UPDATE pmzdcalc SET cisrad = 468 WHERE idmzdcalc = 5466;
UPDATE pmzdcalc SET cisrad = 469 WHERE idmzdcalc = 5467;
UPDATE pmzdcalc SET cisrad = 470 WHERE idmzdcalc = 5468;
UPDATE pmzdcalc SET cisrad = 471 WHERE idmzdcalc = 5469;
UPDATE pmzdcalc SET cisrad = 472 WHERE idmzdcalc = 5470;
UPDATE pmzdcalc SET cisrad = 473 WHERE idmzdcalc = 5471;
UPDATE pmzdcalc SET cisrad = 474 WHERE idmzdcalc = 5472;
UPDATE pmzdcalc SET cisrad = 475 WHERE idmzdcalc = 5473;
UPDATE pmzdcalc SET cisrad = 476 WHERE idmzdcalc = 5474;
UPDATE pmzdcalc SET cisrad = 477 WHERE idmzdcalc = 5475;
UPDATE pmzdcalc SET cisrad = 478 WHERE idmzdcalc = 5476;
UPDATE pmzdcalc SET cisrad = 479 WHERE idmzdcalc = 5477;
UPDATE pmzdcalc SET cisrad = 480 WHERE idmzdcalc = 5478;
UPDATE pmzdcalc SET cisrad = 481 WHERE idmzdcalc = 5479;
UPDATE pmzdcalc SET cisrad = 482 WHERE idmzdcalc = 5480;
UPDATE pmzdcalc SET cisrad = 483 WHERE idmzdcalc = 5481;
UPDATE pmzdcalc SET cisrad = 484 WHERE idmzdcalc = 5482;
UPDATE pmzdcalc SET cisrad = 485 WHERE idmzdcalc = 5483;
UPDATE pmzdcalc SET cisrad = 486 WHERE idmzdcalc = 5484;
UPDATE pmzdcalc SET cisrad = 487 WHERE idmzdcalc = 5485;
UPDATE pmzdcalc SET cisrad = 488 WHERE idmzdcalc = 5486;
UPDATE pmzdcalc SET cisrad = 489 WHERE idmzdcalc = 5487;
UPDATE pmzdcalc SET cisrad = 490 WHERE idmzdcalc = 5488;
UPDATE pmzdcalc SET cisrad = 491 WHERE idmzdcalc = 5489;
UPDATE pmzdcalc SET cisrad = 492 WHERE idmzdcalc = 5490;
UPDATE pmzdcalc SET cisrad = 493 WHERE idmzdcalc = 5491;
UPDATE pmzdcalc SET cisrad = 494 WHERE idmzdcalc = 5492;
UPDATE pmzdcalc SET cisrad = 495 WHERE idmzdcalc = 5493;
UPDATE pmzdcalc SET cisrad = 496 WHERE idmzdcalc = 5494;
UPDATE pmzdcalc SET cisrad = 497 WHERE idmzdcalc = 5495;
UPDATE pmzdcalc SET cisrad = 498 WHERE idmzdcalc = 5496;
UPDATE pmzdcalc SET cisrad = 499 WHERE idmzdcalc = 5497;
UPDATE pmzdcalc SET cisrad = 500 WHERE idmzdcalc = 5498;
UPDATE pmzdcalc SET cisrad = 501 WHERE idmzdcalc = 5499;
UPDATE pmzdcalc SET cisrad = 502 WHERE idmzdcalc = 5500;
UPDATE pmzdcalc SET cisrad = 503 WHERE idmzdcalc = 5501;
UPDATE pmzdcalc SET cisrad = 504 WHERE idmzdcalc = 5502;
UPDATE pmzdcalc SET cisrad = 505 WHERE idmzdcalc = 5503;
UPDATE pmzdcalc SET cisrad = 506 WHERE idmzdcalc = 5504;
UPDATE pmzdcalc SET cisrad = 507 WHERE idmzdcalc = 5505;
UPDATE pmzdcalc SET cisrad = 508 WHERE idmzdcalc = 5506;
UPDATE pmzdcalc SET cisrad = 509 WHERE idmzdcalc = 5507;
UPDATE pmzdcalc SET cisrad = 510 WHERE idmzdcalc = 5508;
UPDATE pmzdcalc SET cisrad = 511 WHERE idmzdcalc = 5509;
UPDATE pmzdcalc SET cisrad = 512 WHERE idmzdcalc = 5510;
UPDATE pmzdcalc SET cisrad = 513 WHERE idmzdcalc = 5511;
UPDATE pmzdcalc SET cisrad = 514 WHERE idmzdcalc = 5512;
UPDATE pmzdcalc SET cisrad = 515 WHERE idmzdcalc = 5513;
UPDATE pmzdcalc SET cisrad = 516 WHERE idmzdcalc = 5514;
UPDATE pmzdcalc SET cisrad = 517 WHERE idmzdcalc = 5515;
UPDATE pmzdcalc SET cisrad = 518 WHERE idmzdcalc = 5516;
UPDATE pmzdcalc SET cisrad = 519 WHERE idmzdcalc = 5517;
UPDATE pmzdcalc SET cisrad = 520 WHERE idmzdcalc = 5518;
UPDATE pmzdcalc SET cisrad = 521 WHERE idmzdcalc = 5519;
UPDATE pmzdcalc SET cisrad = 522 WHERE idmzdcalc = 5520;
UPDATE pmzdcalc SET cisrad = 523 WHERE idmzdcalc = 5521;
UPDATE pmzdcalc SET cisrad = 524 WHERE idmzdcalc = 5522;
UPDATE pmzdcalc SET cisrad = 525 WHERE idmzdcalc = 5523;
UPDATE pmzdcalc SET cisrad = 526 WHERE idmzdcalc = 5524;
UPDATE pmzdcalc SET cisrad = 527 WHERE idmzdcalc = 5525;
UPDATE pmzdcalc SET cisrad = 528 WHERE idmzdcalc = 5526;
UPDATE pmzdcalc SET cisrad = 529 WHERE idmzdcalc = 5527;
UPDATE pmzdcalc SET cisrad = 530 WHERE idmzdcalc = 5528;
UPDATE pmzdcalc SET cisrad = 531 WHERE idmzdcalc = 5529;
UPDATE pmzdcalc SET cisrad = 532 WHERE idmzdcalc = 5530;
UPDATE pmzdcalc SET cisrad = 533 WHERE idmzdcalc = 5531;
UPDATE pmzdcalc SET cisrad = 534 WHERE idmzdcalc = 5532;
UPDATE pmzdcalc SET cisrad = 535 WHERE idmzdcalc = 5533;
UPDATE pmzdcalc SET cisrad = 536 WHERE idmzdcalc = 5534;
UPDATE pmzdcalc SET cisrad = 537 WHERE idmzdcalc = 5535;
UPDATE pmzdcalc SET cisrad = 538 WHERE idmzdcalc = 5536;
UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 5537;
UPDATE pmzdcalc SET cisrad = 540 WHERE idmzdcalc = 5538;
UPDATE pmzdcalc SET cisrad = 541 WHERE idmzdcalc = 5539;
UPDATE pmzdcalc SET cisrad = 542 WHERE idmzdcalc = 5540;
UPDATE pmzdcalc SET cisrad = 543 WHERE idmzdcalc = 5541;
UPDATE pmzdcalc SET cisrad = 544 WHERE idmzdcalc = 5542;
UPDATE pmzdcalc SET cisrad = 545 WHERE idmzdcalc = 5543;
UPDATE pmzdcalc SET cisrad = 546 WHERE idmzdcalc = 5544;
UPDATE pmzdcalc SET cisrad = 547 WHERE idmzdcalc = 5545;
UPDATE pmzdcalc SET cisrad = 548 WHERE idmzdcalc = 5546;
UPDATE pmzdcalc SET cisrad = 549 WHERE idmzdcalc = 5547;
UPDATE pmzdcalc SET cisrad = 550 WHERE idmzdcalc = 5548;
UPDATE pmzdcalc SET cisrad = 551 WHERE idmzdcalc = 5549;
UPDATE pmzdcalc SET cisrad = 552 WHERE idmzdcalc = 5550;
UPDATE pmzdcalc SET cisrad = 553 WHERE idmzdcalc = 5551;
UPDATE pmzdcalc SET cisrad = 554 WHERE idmzdcalc = 5552;
UPDATE pmzdcalc SET cisrad = 555 WHERE idmzdcalc = 5553;
UPDATE pmzdcalc SET cisrad = 556 WHERE idmzdcalc = 5554;
UPDATE pmzdcalc SET cisrad = 557 WHERE idmzdcalc = 5555;
UPDATE pmzdcalc SET cisrad = 558 WHERE idmzdcalc = 5556;
UPDATE pmzdcalc SET cisrad = 559 WHERE idmzdcalc = 5557;
UPDATE pmzdcalc SET cisrad = 560 WHERE idmzdcalc = 5558;
UPDATE pmzdcalc SET cisrad = 561 WHERE idmzdcalc = 5559;
UPDATE pmzdcalc SET cisrad = 562 WHERE idmzdcalc = 5560;
UPDATE pmzdcalc SET cisrad = 563 WHERE idmzdcalc = 5561;
UPDATE pmzdcalc SET cisrad = 564 WHERE idmzdcalc = 5562;
UPDATE pmzdcalc SET cisrad = 565 WHERE idmzdcalc = 5563;
UPDATE pmzdcalc SET cisrad = 566 WHERE idmzdcalc = 5564;
UPDATE pmzdcalc SET cisrad = 567 WHERE idmzdcalc = 5565;
UPDATE pmzdcalc SET cisrad = 568 WHERE idmzdcalc = 5566;
UPDATE pmzdcalc SET cisrad = 569 WHERE idmzdcalc = 5567;
UPDATE pmzdcalc SET cisrad = 570 WHERE idmzdcalc = 5568;
UPDATE pmzdcalc SET cisrad = 571 WHERE idmzdcalc = 5569;
UPDATE pmzdcalc SET cisrad = 572 WHERE idmzdcalc = 5570;
UPDATE pmzdcalc SET cisrad = 573 WHERE idmzdcalc = 5571;
UPDATE pmzdcalc SET cisrad = 574 WHERE idmzdcalc = 5572;
UPDATE pmzdcalc SET cisrad = 575 WHERE idmzdcalc = 5573;
UPDATE pmzdcalc SET cisrad = 576 WHERE idmzdcalc = 5574;
UPDATE pmzdcalc SET cisrad = 577 WHERE idmzdcalc = 5575;
UPDATE pmzdcalc SET cisrad = 578 WHERE idmzdcalc = 5576;
UPDATE pmzdcalc SET cisrad = 579 WHERE idmzdcalc = 5577;
UPDATE pmzdcalc SET cisrad = 580 WHERE idmzdcalc = 5578;
UPDATE pmzdcalc SET cisrad = 581 WHERE idmzdcalc = 5579;
UPDATE pmzdcalc SET cisrad = 582 WHERE idmzdcalc = 5580;
UPDATE pmzdcalc SET cisrad = 583 WHERE idmzdcalc = 5581;
UPDATE pmzdcalc SET cisrad = 584 WHERE idmzdcalc = 5582;
UPDATE pmzdcalc SET cisrad = 585 WHERE idmzdcalc = 5583;
UPDATE pmzdcalc SET cisrad = 586 WHERE idmzdcalc = 5584;
UPDATE pmzdcalc SET cisrad = 587 WHERE idmzdcalc = 5585;
UPDATE pmzdcalc SET cisrad = 588 WHERE idmzdcalc = 5586;
UPDATE pmzdcalc SET cisrad = 589 WHERE idmzdcalc = 5587;
UPDATE pmzdcalc SET cisrad = 590 WHERE idmzdcalc = 5588;
UPDATE pmzdcalc SET cisrad = 591 WHERE idmzdcalc = 5589;
UPDATE pmzdcalc SET cisrad = 592 WHERE idmzdcalc = 5590;
UPDATE pmzdcalc SET cisrad = 593 WHERE idmzdcalc = 5591;
UPDATE pmzdcalc SET cisrad = 594 WHERE idmzdcalc = 5592;
UPDATE pmzdcalc SET cisrad = 595 WHERE idmzdcalc = 5593;
UPDATE pmzdcalc SET cisrad = 596 WHERE idmzdcalc = 5594;
UPDATE pmzdcalc SET cisrad = 597 WHERE idmzdcalc = 5595;
UPDATE pmzdcalc SET cisrad = 598 WHERE idmzdcalc = 5596;
UPDATE pmzdcalc SET cisrad = 599 WHERE idmzdcalc = 5597;
UPDATE pmzdcalc SET cisrad = 600 WHERE idmzdcalc = 5598;
UPDATE pmzdcalc SET cisrad = 601 WHERE idmzdcalc = 5599;
UPDATE pmzdcalc SET cisrad = 602 WHERE idmzdcalc = 5600;
UPDATE pmzdcalc SET cisrad = 603 WHERE idmzdcalc = 5601;
UPDATE pmzdcalc SET cisrad = 604 WHERE idmzdcalc = 5602;
UPDATE pmzdcalc SET cisrad = 605 WHERE idmzdcalc = 5603;
UPDATE pmzdcalc SET cisrad = 606 WHERE idmzdcalc = 5604;
UPDATE pmzdcalc SET cisrad = 607 WHERE idmzdcalc = 5605;
UPDATE pmzdcalc SET cisrad = 608 WHERE idmzdcalc = 5606;
UPDATE pmzdcalc SET cisrad = 609 WHERE idmzdcalc = 5607;
UPDATE pmzdcalc SET cisrad = 610 WHERE idmzdcalc = 5608;
UPDATE pmzdcalc SET cisrad = 611 WHERE idmzdcalc = 5609;
UPDATE pmzdcalc SET cisrad = 612 WHERE idmzdcalc = 5610;
UPDATE pmzdcalc SET cisrad = 613 WHERE idmzdcalc = 5611;
UPDATE pmzdcalc SET cisrad = 614 WHERE idmzdcalc = 5612;
UPDATE pmzdcalc SET cisrad = 615 WHERE idmzdcalc = 5613;
UPDATE pmzdcalc SET cisrad = 616 WHERE idmzdcalc = 5614;
UPDATE pmzdcalc SET cisrad = 617 WHERE idmzdcalc = 5615;
UPDATE pmzdcalc SET cisrad = 618 WHERE idmzdcalc = 5616;
UPDATE pmzdcalc SET cisrad = 619 WHERE idmzdcalc = 5617;
UPDATE pmzdcalc SET cisrad = 620 WHERE idmzdcalc = 5618;
UPDATE pmzdcalc SET cisrad = 621 WHERE idmzdcalc = 5619;
UPDATE pmzdcalc SET cisrad = 622 WHERE idmzdcalc = 5620;
UPDATE pmzdcalc SET cisrad = 623 WHERE idmzdcalc = 5621;
UPDATE pmzdcalc SET cisrad = 624 WHERE idmzdcalc = 5622;
UPDATE pmzdcalc SET cisrad = 625 WHERE idmzdcalc = 5623;
UPDATE pmzdcalc SET cisrad = 626 WHERE idmzdcalc = 5624;
UPDATE pmzdcalc SET cisrad = 627 WHERE idmzdcalc = 5625;
UPDATE pmzdcalc SET cisrad = 628 WHERE idmzdcalc = 5626;
UPDATE pmzdcalc SET cisrad = 629 WHERE idmzdcalc = 5627;
UPDATE pmzdcalc SET cisrad = 630 WHERE idmzdcalc = 5628;
UPDATE pmzdcalc SET cisrad = 631 WHERE idmzdcalc = 5629;
UPDATE pmzdcalc SET cisrad = 632 WHERE idmzdcalc = 5630;
UPDATE pmzdcalc SET cisrad = 633 WHERE idmzdcalc = 5631;
UPDATE pmzdcalc SET cisrad = 634 WHERE idmzdcalc = 5632;
UPDATE pmzdcalc SET cisrad = 635 WHERE idmzdcalc = 5633;
UPDATE pmzdcalc SET cisrad = 636 WHERE idmzdcalc = 5634;
UPDATE pmzdcalc SET cisrad = 637 WHERE idmzdcalc = 5635;
UPDATE pmzdcalc SET cisrad = 638 WHERE idmzdcalc = 5636;
UPDATE pmzdcalc SET cisrad = 639 WHERE idmzdcalc = 5637;
UPDATE pmzdcalc SET cisrad = 640 WHERE idmzdcalc = 5638;
UPDATE pmzdcalc SET cisrad = 641 WHERE idmzdcalc = 5639;
UPDATE pmzdcalc SET cisrad = 642 WHERE idmzdcalc = 5640;
UPDATE pmzdcalc SET cisrad = 643 WHERE idmzdcalc = 5641;
UPDATE pmzdcalc SET cisrad = 644 WHERE idmzdcalc = 5642;
UPDATE pmzdcalc SET cisrad = 645 WHERE idmzdcalc = 5643;
UPDATE pmzdcalc SET cisrad = 646 WHERE idmzdcalc = 5644;
UPDATE pmzdcalc SET cisrad = 647 WHERE idmzdcalc = 5645;
UPDATE pmzdcalc SET cisrad = 648 WHERE idmzdcalc = 5646;
UPDATE pmzdcalc SET cisrad = 649 WHERE idmzdcalc = 5647;
UPDATE pmzdcalc SET cisrad = 650 WHERE idmzdcalc = 5648;
UPDATE pmzdcalc SET cisrad = 651 WHERE idmzdcalc = 5649;
UPDATE pmzdcalc SET cisrad = 652 WHERE idmzdcalc = 5650;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (5651, '2014-01-14 00:00:00.000', 'ZÁKLAD NAD 100 000 ', 'Penzijní připojištění Skupina.Dan - Daněno', true, 371, 1.0, 1.0, 0.0, 'castMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 6, 65, 380);

-- parametry pomeru
UPDATE ptyppracpomparam SET kod = 'ZÁKLAD DANĚ', nazev = 'Základ daně ', popis = '13.1. 2014 zmena na slozku ktera je vazana na pomer castkaDen;procMzd', dohodnoty = 10000.0, poletest = 'zaklMzd', polenuluj = 'zaklMzd', idtyppracpom = 2, idcismzdsloz = 158 WHERE idtyppracpomparam = 150;
UPDATE ptyppracpomparam SET kod = 'ZÁKLAD SRÁŽ.DANĚ', nazev = 'Základ pro výpočet srážkové daně pro pracovní poměr', popis = '13.1. 2014 zmena na slozku ktera je vazana na pomer', cisrad = 31, actnemaprohl = true, idcismzdsloz = 159 WHERE idtyppracpomparam = 151;
UPDATE ptyppracpomparam SET kod = 'ZÁKLAD SRÁŽ.DANĚ', nazev = 'Základ pro výpočet srážkové daně pro pracovní poměr', popis = e'10.2.2010\n13.1. 2014 zmena na slozku ktera je vazana na pomer', odhodnoty = 10000.0001, poletest = 'zaklMzd', idtyppracpom = 2, idcismzdsloz = 159 WHERE idtyppracpomparam = 152;
INSERT INTO ptyppracpomparam (idtyppracpomparam, lastupdate, kod, nazev, popis, show, cisrad, odhodnoty, dohodnoty, koeficient, poletest, polenuluj, actmalyroz, actvelkyroz, actmaprohl, actnemaprohl, actdannerez, actdanrez, actzdrdopl, actzdrnedopl, idmzdcalchlav, idtyppracpom, idcismzdsloz)
 VALUES (177, '2014-01-13 00:00:00.000', 'ZÁKLAD DANĚ', 'Základ daně ', '', true, 11, 0.0, 9.99999999999E11, 0.0, 'zaklMzd', 'zaklMzd', true, true, true, true, true, true, true, true, 6, 6, 158);
INSERT INTO ptyppracpomparam (idtyppracpomparam, lastupdate, kod, nazev, popis, show, cisrad, odhodnoty, dohodnoty, koeficient, poletest, polenuluj, actmalyroz, actvelkyroz, actmaprohl, actnemaprohl, actdannerez, actdanrez, actzdrdopl, actzdrnedopl, idmzdcalchlav, idtyppracpom, idcismzdsloz)
 VALUES (178, '2014-01-13 00:00:00.000', '*', 'od 2014', '', true, 152, 0.0, 9.9999999999E10, 0.0, 'zaklMzd', 'zaklMzd;castMzd;procMzd', true, true, true, true, true, true, true, true, 6, 6, 162);

-- hromadne

PERFORM pg_catalog.setval('seq_pmzdcalc', 5651, true);
PERFORM pg_catalog.setval('seq_ptyppracpomparam', 178, true);

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 813, 't', %appVersion%, clock_timestamp());
