--------------------------------------------------------------------------------
-- Bug 38542 - [WinStrom] Upgrade 825 nastavuje pole zaloha na polfak na true
--------------------------------------------------------------------------------

ALTER TABLE dpolfak DISABLE TRIGGER ALL;

ALTER TABLE dpolfak ALTER COLUMN zaloha SET DEFAULT false;

UPDATE dpolfak SET zaloha = false WHERE zaloha = true;

UPDATE dpolfak SET zaloha = true WHERE idpolfak in
  (select idtabb from dvazebtab where typvazbyk = 'typVazbyDokl.odpocetPolZALOHY');

ALTER TABLE dpolfak ENABLE TRIGGER ALL;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 835, 't', %appVersion%, clock_timestamp());
