--------------------------------------------------------------------------------
-- Bug 35054 – [Legis] Nové účty 416 a 426 + úprava rozvahy - podvoj.účetnictví podnikatelé
-- Bug 38901 – Rozvaha nevýdělečné organizace - označení řádků
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 2) then
-- pridani uctu
UPDATE ustducty SET nazev = 'Samostatné hmotné movité věci a soubory movitých věcí' WHERE uuid = 'CZ_ROZ_022';
UPDATE ustducty SET nazev = 'Oprávky k samostatným hmotným movitým věcem a souborům hmotných movitých věcí' WHERE uuid = 'CZ_ROZ_082';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_ROZ_336';
UPDATE ustducty SET nazev = 'Opravné položky k samostatným hmotným movitým věcem a souborům hmotných movitých věcí' WHERE uuid = 'CZ_505_2010_164';
UPDATE ustducty SET nazev = 'Opravné položky k pohledávkám ze správy daní' WHERE uuid = 'CZ_505_2010_196';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_505_2010_197';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_505_2010_318';
UPDATE ustducty SET nazev = 'Pohledávky z přerozdělovaných daní' WHERE uuid = 'CZ_505_2010_319';
UPDATE ustducty SET nazev = 'Závazky z dělené správy' WHERE uuid = 'CZ_505_2010_325';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_505_2010_327';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_505_2010_328';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_505_2010_329';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_505_2010_351';
UPDATE ustducty SET platido = 2013 WHERE uuid = 'CZ_505_2010_352';
UPDATE ustducty SET nazev = 'Výsledek hospodaření předcházejících účetních období' WHERE uuid = 'CZ_505_2010_432';
UPDATE ustducty SET nazev = 'Vratky nepřímých daní' WHERE uuid = 'CZ_505_2010_539';
UPDATE ustducty SET nazev = 'Dary a jiná bezúplatná předání' WHERE uuid = 'CZ_505_2010_543';
UPDATE ustducty SET nazev = 'Krátkodobé podmíněné závazky z poskytnutých garancí jednorázových' WHERE uuid = 'CZ_505_2010_981';
UPDATE ustducty SET nazev = 'Dlouhodobé podmíněné závazky z poskytnutých garancí jednorázových' WHERE uuid = 'CZ_505_2010_982';
UPDATE ustducty SET nazev = 'Krátkodobé podmíněné závazky z poskytnurých garancí ostatních' WHERE uuid = 'CZ_505_2010_983';
UPDATE ustducty SET nazev = 'Dlouhodobé podmíněné závazky z poskytnurých garancí ostatních' WHERE uuid = 'CZ_505_2010_984';
INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid) VALUES
('2014-05-06 00:00:00.000', '035', 'Dlouhodobý nehmotný majetek určený k prodeji', true, 2014, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_035'),
('2014-05-06 00:00:00.000', '036', 'Dlouhodobý hmotný majetek určený k prodeji', true, 2014, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_036'),
('2014-05-06 00:00:00.000', '337', 'Zdravotní pojištění', true, 2014, 9999, 'druhUctu.aktpasvy', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_337'),
('2014-05-06 00:00:00.000', '338', 'Důchodové spoření', true, 2014, 9999, 'druhUctu.aktpasvy', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_338'),
('2014-05-06 00:00:00.000', '353', 'Přeplatky na daních', true, 2014, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_353'),
('2014-05-06 00:00:00.000', '354', 'Závazky z vratek nepřímých daní', true, 2014, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_354'),
('2014-05-06 00:00:00.000', '355', 'Zúčtování z přerozdělování daní', true, 2014, 9999, 'druhUctu.aktpasvy', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_355'),
('2014-05-06 00:00:00.000', '356', 'Pohledávky z exekuce a ostatního nakládání s cizím majetkem', true, 2014, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_356'),
('2014-05-06 00:00:00.000', '357', 'Závazky z exekuce a ostatního nakládání s cizím majetkem', true, 2014, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_357'),
('2014-05-06 00:00:00.000', '358', 'Ostatní pohledávky ze správy daní', true, 2014, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_358'),
('2014-05-06 00:00:00.000', '359', 'Ostatní závazky ze správy daní', true, 2014, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_359'),
('2014-05-06 00:00:00.000', '336', 'Sociální zabezpečení', true, 2014, 9999, 'druhUctu.aktpasvy', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_336'),
('2014-05-06 00:00:00.000', '351', 'Přijaté zálohy daní', true, 2014, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_351'),
('2014-05-06 00:00:00.000', '352', 'Pohledávky ze správy daní', true, 2014, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 2, 'CZ_505_2014_352');

-- sestavy
UPDATE usestavy SET platido = 2013 WHERE uuid = 'CZ_ROZPOCTOVE_ROZVAHA_2012';
UPDATE usestavy SET platido = 2013 WHERE uuid = 'CZ_ROZPOCTOVE_VYSLEDOVKA_2012';
INSERT INTO usestavy (idsestavy, lastupdate, kod, nazev, show, platiod, platido, typsesk, standard, vypminobd, nazevsloup1, zobrazit1, nazevsloup2, zobrazit2, nazevsloup3, zobrazit3, zobrazit4, zobrazit5, nazevsloup6, zobrazit6, sloupec3sum12, sloupec6sum45, idtyporg, uuid)
 VALUES (131, '2014-05-07 00:00:00.000', 'ROZVAHA_2014', 'Rozvaha dle vyhlášky č.410/2009 od 2014', true, 2014, 9999, 'typSestavy.rozvaha', true, true, 'brutto', true, 'korekce', true, 'netto', true, false, false, 'minulé období netto', true, true, true, 2, 'CZ_ROZPOCTOVE_ROZVAHA_2014');
INSERT INTO usestavy (idsestavy, lastupdate, kod, nazev, show, platiod, platido, typsesk, standard, vypminobd, nazevsloup1, zobrazit1, nazevsloup2, zobrazit2, zobrazit3, nazevsloup4, zobrazit4, nazevsloup5, zobrazit5, zobrazit6, sloupec3sum12, sloupec6sum45, idtyporg, uuid)
 VALUES (132, '2014-05-07 00:00:00.000', 'VÝKAZ_2014', 'Výkaz zisku a ztrát dle vyhlášky č.410/2009 od 2014', true, 2014, 9999, 'typSestavy.vysledov', true, true, 'Hlavní činnost', true, 'Hospodářská', true, false, 'Hlavní činnost - min', true, 'Hospod - min', true, false, false, false, 2, 'CZ_ROZPOCTOVE_VYSLEDOVKA_2014');

-- radky sestavy
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, idsestavy) VALUES
(12001, '2014-05-06 00:00:00.000', 1, 'A', 'AKTIVA CELKEM', false, 131),
(12002, '2014-05-06 00:00:00.000', 2, 'A  A.', 'Stálá aktiva', false, 131),
(12003, '2014-05-06 00:00:00.000', 3, 'A  A.     I.', 'Dlouhodobý nehmotný majetek', false, 131),
(12004, '2014-05-06 00:00:00.000', 4, 'A  A.     I.     1.', 'Nehmotné výsledky výzkumu a vývoje', false, 131),
(12005, '2014-05-06 00:00:00.000', 5, 'A  A.     I.     2.', 'Software', false, 131),
(12006, '2014-05-06 00:00:00.000', 6, 'A  A.     I.     3.', 'Ocenitelná práva', false, 131),
(12007, '2014-05-06 00:00:00.000', 7, 'A  A.     I.     4.', 'Povolenky na emise a preferenční limity', false, 131),
(12008, '2014-05-06 00:00:00.000', 8, 'A  A.     I.     5.', 'Drobný dlouhodobý nehmotný majetek', false, 131),
(12009, '2014-05-06 00:00:00.000', 9, 'A  A.     I.     6.', 'Ostatní dlouhodobý nehmotný majetek', false, 131),
(12010, '2014-05-06 00:00:00.000', 10, 'A  A.     I.     7.', 'Nedokončený dlouhodobý nehmotný majetek', false, 131),
(12011, '2014-05-06 00:00:00.000', 11, 'A  A.     I.     8.', 'Uspořádací účet technického zhodnocení dlouhodobého nehmotného majetku', false, 131),
(12012, '2014-05-06 00:00:00.000', 12, 'A  A.     I.     9.', 'Poskytnuté zálohy na dlouhodobý nehmotný majetek', false, 131),
(12013, '2014-05-06 00:00:00.000', 14, 'A  A.    II.', 'Dlouhodobý hmotný majetek', false, 131),
(12014, '2014-05-06 00:00:00.000', 15, 'A  A.    II.     1.', 'Pozemky', false, 131),
(12015, '2014-05-06 00:00:00.000', 16, 'A  A.    II.     2.', 'Kulturní předměty', false, 131),
(12016, '2014-05-06 00:00:00.000', 17, 'A  A.    II.     3.', 'Stavby', false, 131),
(12017, '2014-05-06 00:00:00.000', 18, 'A  A.    II.     4.', 'Samostatné movité věci a soubory movitých věcí', false, 131),
(12018, '2014-05-06 00:00:00.000', 19, 'A  A.    II.     5.', 'Pěstitelské celky trvalých porostů', false, 131),
(12019, '2014-05-06 00:00:00.000', 20, 'A  A.    II.     6.', 'Drobný dlouhodobý hmotný majetek', false, 131),
(12020, '2014-05-06 00:00:00.000', 21, 'A  A.    II.     7.', 'Ostatní dlouhodobý hmotný majetek', false, 131),
(12021, '2014-05-06 00:00:00.000', 22, 'A  A.    II.     8.', 'Nedokončený dlouhodobý hmotný majetek', false, 131),
(12022, '2014-05-06 00:00:00.000', 23, 'A  A.    II.     9.', 'Uspořádací účet technického zhodnocení dlouhodobého hmotného majetku', false, 131),
(12023, '2014-05-06 00:00:00.000', 24, 'A  A.    II.   10.', 'Poskytnuté zálohy na dlouhodobý hmotný majetek', false, 131),
(12024, '2014-05-06 00:00:00.000', 26, 'A  A.   III.', 'Dlouhodobý finanční majetek', false, 131),
(12025, '2014-05-06 00:00:00.000', 27, 'A  A.   III.     1.', 'Majetkové účasti v osobách s rozhodujícím vlivem', false, 131),
(12026, '2014-05-06 00:00:00.000', 28, 'A  A.   III.     2.', 'Majetkové účasti v osobách s podstatným vlivem', false, 131),
(12027, '2014-05-06 00:00:00.000', 29, 'A  A.   III.     3.', 'Dluhové cenné papíry držené do splatnosti', false, 131),
(12028, '2014-05-06 00:00:00.000', 30, 'A  A.   III.     4.', 'Dlouhodobé půjčky', false, 131),
(12029, '2014-05-06 00:00:00.000', 31, 'A  A.   III.     5.', 'Termínované vklady dlouhodobé', false, 131),
(12030, '2014-05-06 00:00:00.000', 32, 'A  A.   III.     6.', 'Ostatní dlouhodobý finanční majetek', false, 131),
(12031, '2014-05-06 00:00:00.000', 33, 'A  A.   III.     7.', 'Pořizovaný dlouhodobý finanční majetek', false, 131),
(12032, '2014-05-06 00:00:00.000', 34, 'A  A.   III.     8.', 'Poskytnuté zálohy na dlouhodobý finanční majetek', false, 131),
(12033, '2014-05-06 00:00:00.000', 35, 'A  A.    IV.', 'Dlouhodobé pohledávky', false, 131),
(12034, '2014-05-06 00:00:00.000', 36, 'A  A.    IV.     1.', 'Poskytnuté návratné finanční výpomoci dlouhodobé', false, 131),
(12035, '2014-05-06 00:00:00.000', 37, 'A  A.    IV.     2.', 'Dlouhodobé pohledávky z postoupených úvěrů', false, 131),
(12036, '2014-05-06 00:00:00.000', 38, 'A  A.    IV.     3.', 'Dlouhodobé poskytnuté zálohy', false, 131),
(12037, '2014-05-06 00:00:00.000', 39, 'A  A.    IV.     4.', 'Dlouhodobé pohledávky z ručení', false, 131),
(12038, '2014-05-06 00:00:00.000', 40, 'A  A.    IV.     5.', 'Dlouhodobé pohledávky z nástrojů spolufinancovaných ze zahraničí', false, 131),
(12039, '2014-05-06 00:00:00.000', 41, 'A  A.    IV.     6.', 'Ostatní dlouhodobé pohledávky', false, 131),
(12040, '2014-05-06 00:00:00.000', 42, 'A  A.    IV.     7.', 'Dlouhodobé poskytnuté zálohy na trasfery', false, 131),
(12041, '2014-05-06 00:00:00.000', 43, 'A  B.', 'Oběžná aktiva', false, 131),
(12042, '2014-05-06 00:00:00.000', 44, 'A  B.      I.', 'Zásoby', false, 131),
(12043, '2014-05-06 00:00:00.000', 45, 'A  B.      I.     1.', 'Pořízení materiálu', false, 131),
(12044, '2014-05-06 00:00:00.000', 46, 'A  B.      I.     2.', 'Materiál na skladě', false, 131),
(12045, '2014-05-06 00:00:00.000', 47, 'A  B.      I.     3.', 'Materiál na cestě', false, 131),
(12046, '2014-05-06 00:00:00.000', 48, 'A  B.      I.     4.', 'Nedokončená výroba', false, 131),
(12047, '2014-05-06 00:00:00.000', 49, 'A  B.      I.     5.', 'Polotovary vlastní výroby', false, 131),
(12048, '2014-05-06 00:00:00.000', 50, 'A  B.      I.     6.', 'Výrobky', false, 131),
(12049, '2014-05-06 00:00:00.000', 51, 'A  B.      I.     7.', 'Pořízení zboží', false, 131),
(12050, '2014-05-06 00:00:00.000', 52, 'A  B.      I.     8.', 'Zboží na skladě', false, 131),
(12051, '2014-05-06 00:00:00.000', 53, 'A  B.      I.     9.', 'Zboží na cestě', false, 131),
(12052, '2014-05-06 00:00:00.000', 54, 'A  B.      I.   10.', 'Ostatní zásoby', false, 131),
(12053, '2014-05-06 00:00:00.000', 55, 'A  B.     II.', 'Krátkodobé pohledávky', false, 131),
(12054, '2014-05-06 00:00:00.000', 56, 'A  B.     II.     1.', 'Odběratelé', false, 131),
(12055, '2014-05-06 00:00:00.000', 57, 'A  B.     II.     2.', 'Směnky k inkasu', false, 131),
(12056, '2014-05-06 00:00:00.000', 58, 'A  B.     II.     3.', 'Pohledávky za eskontované cenné papíry', false, 131),
(12057, '2014-05-06 00:00:00.000', 59, 'A  B.     II.     4.', 'Krátkodobé poskytnuté zálohy', false, 131),
(12058, '2014-05-06 00:00:00.000', 60, 'A  B.     II.     5.', 'Jiné pohledávky z hlavní činnosti', false, 131),
(12059, '2014-05-06 00:00:00.000', 61, 'A  B.     II.     6.', 'Poskytnuté návratné finanční výpomoci krátkodobé', false, 131),
(12060, '2014-05-06 00:00:00.000', 62, 'A  B.     II.     7.', 'Krátkodobé pohledávky z postoupených úvěrů', false, 131),
(12062, '2014-05-06 00:00:00.000', 63, 'A  B.     II.     8.', 'Pohledávky z přerozdělovaných daní', false, 131),
(12063, '2014-05-06 00:00:00.000', 64, 'A  B.     II.     9.', 'Pohledávky za zaměstnanci', false, 131),
(12064, '2014-05-06 00:00:00.000', 66, 'A  B.     II.   11.', 'Zdravotní pojištění', false, 131),
(12065, '2014-05-06 00:00:00.000', 68, 'A  B.     II.   13.', 'Daň z příjmů', false, 131),
(12066, '2014-05-06 00:00:00.000', 69, 'A  B.     II.   14.', 'Jiné přímé daně', false, 131),
(12067, '2014-05-06 00:00:00.000', 70, 'A  B.     II.   15.', 'Daň z přidané hodnoty', false, 131),
(12068, '2014-05-06 00:00:00.000', 71, 'A  B.     II.   16.', 'Jiné daně a poplatky', false, 131),
(12069, '2014-05-06 00:00:00.000', 72, 'A  B.     II.   17.', 'Pohledávky za vybranými ústředními vládními institucemi', false, 131),
(12070, '2014-05-06 00:00:00.000', 73, 'A  B.     II.   18.', 'Pohledávky za vybranými místními vládními institucemi', false, 131),
(12071, '2014-05-06 00:00:00.000', 67, 'A  B.     II.   12.', 'Důchodové spoření', false, 131),
(12072, '2014-05-06 00:00:00.000', 78, 'A  B.     II.   23.', 'Krátkodobé pohledávky z ručení', false, 131),
(12073, '2014-05-06 00:00:00.000', 79, 'A  B.     II.   24.', 'Pevné termínové operace a opce', false, 131),
(12074, '2014-05-06 00:00:00.000', 80, 'A  B.     II.   25.', 'Pohledávky z finančního zajištění', false, 131),
(12075, '2014-05-06 00:00:00.000', 81, 'A  B.     II.   26.', 'Pohledávky z vydaných dluhopisů', false, 131),
(12076, '2014-05-06 00:00:00.000', 82, 'A  B.     II.   27.', 'Krátkodobé pohledávky z nástrojů spolufinancovaných ze zahraničí', false, 131),
(12077, '2014-05-06 00:00:00.000', 83, 'A  B.     II.   28.', 'Krátkodobé poskytnuté zálohy na transfery', false, 131),
(12078, '2014-05-06 00:00:00.000', 84, 'A  B.     II.   29.', 'Náklady příštích období', false, 131),
(12079, '2014-05-06 00:00:00.000', 85, 'A  B.     II.   30.', 'Příjmy příštích období', false, 131),
(12080, '2014-05-06 00:00:00.000', 86, 'A  B.     II.   31.', 'Dohadné účty aktivní', false, 131),
(12081, '2014-05-06 00:00:00.000', 87, 'A  B.     II.   32.', 'Ostatní krátkodobé pohledávky', false, 131),
(12082, '2014-05-06 00:00:00.000', 88, 'A  B.    III.', 'Krátkodobý finanční majetek', false, 131),
(12083, '2014-05-06 00:00:00.000', 89, 'A  B.    III.    1.', 'Majetkové cenné papíry k obchodování', false, 131),
(12084, '2014-05-06 00:00:00.000', 90, 'A  B.    III.    2.', 'Dluhové cenné papíry k obchodování', false, 131),
(12085, '2014-05-06 00:00:00.000', 91, 'A  B.    III.    3.', 'Jiné cenné papíry', false, 131),
(12086, '2014-05-06 00:00:00.000', 92, 'A  B.    III.    4.', 'Termínované vklady krátkodobé', false, 131),
(12087, '2014-05-06 00:00:00.000', 93, 'A  B.    III.    5.', 'Jiné běžné účty', false, 131),
(12088, '2014-05-06 00:00:00.000', 94, 'A  B.    III.    6.', 'Účty spravovaných prostředků', false, 131),
(12089, '2014-05-06 00:00:00.000', 95, 'A  B.    III.    7.', 'Souhrnné účty', false, 131),
(12090, '2014-05-06 00:00:00.000', 96, 'A  B.    III.    8.', 'Účty pro sdílení daní a pro dělenou správu', false, 131),
(12091, '2014-05-06 00:00:00.000', 97, 'A  B.    III.    9.', 'Běžný účet', false, 131),
(12092, '2014-05-06 00:00:00.000', 98, 'A  B.    III.   10.', 'Běžný účet FKSP', false, 131),
(12093, '2014-05-06 00:00:00.000', 99, 'A  B.    III.   11.', 'Základní běžný účet územních samosprávných celků', false, 131),
(12094, '2014-05-06 00:00:00.000', 100, 'A  B.    III.   12.', 'Běžné účty fondů územních samosprávných celků', false, 131),
(12095, '2014-05-06 00:00:00.000', 101, 'A  B.    III.   13.', 'Běžné účty státních fondů', false, 131),
(12096, '2014-05-06 00:00:00.000', 102, 'A  B.    III.   14.', 'Běžné účty fondů organizačních složek státu', false, 131),
(12097, '2014-05-06 00:00:00.000', 103, 'A  B.    III.   15.', 'Ceniny', false, 131),
(12098, '2014-05-06 00:00:00.000', 104, 'A  B.    III.   16.', 'Peníze na cestě', false, 131),
(12099, '2014-05-06 00:00:00.000', 105, 'A  B.    III.   17.', 'Pokladna', false, 131),
(12100, '2014-05-06 00:00:00.000', 106, 'P', 'PASIVA CELKEM', false, 131),
(12101, '2014-05-06 00:00:00.000', 107, 'P  C.', 'Vlastní kapitál', false, 131),
(12102, '2014-05-06 00:00:00.000', 108, 'P  C.       I.', 'Jmění účetní jednotky a upravující položky', false, 131),
(12103, '2014-05-06 00:00:00.000', 109, 'P  C.       I.    1.', 'Jmění účetní jednotky', false, 131),
(12104, '2014-05-06 00:00:00.000', 110, 'P  C.       I.    2.', 'Fond privatizace', false, 131),
(12105, '2014-05-06 00:00:00.000', 111, 'P  C.       I.    3.', 'Transfery na pořízení dlouhodobého majetku', false, 131),
(12106, '2014-05-06 00:00:00.000', 112, 'P  C.       I.    4.', 'Kurzové rozdíly', false, 131),
(12107, '2014-05-06 00:00:00.000', 113, 'P  C.       I.    5.', 'Oceňovací rozdíly při prvotním použití metody', false, 131),
(12108, '2014-05-06 00:00:00.000', 114, 'P  C.       I.    6.', 'Jiné oceňovací rozdíly', false, 131),
(12109, '2014-05-06 00:00:00.000', 115, 'P  C.       I.    7.', 'Opravy minulých období', false, 131),
(12110, '2014-05-06 00:00:00.000', 116, 'P  C.      II.', 'Fondy účetní jednotky', false, 131),
(12111, '2014-05-06 00:00:00.000', 117, 'P  C.      II.     1.', 'Fond odměn', false, 131),
(12112, '2014-05-06 00:00:00.000', 118, 'P  C.      II.     2.', 'Fond kulturních a sociálních potřeb', false, 131),
(12113, '2014-05-06 00:00:00.000', 119, 'P  C.      II.     3.', 'Rezervní fond tvořený ze zlepšeného výsledku hospodaření', false, 131),
(12114, '2014-05-06 00:00:00.000', 120, 'P  C.      II.     4.', 'Rezervní fond z ostatních titulů', false, 131),
(12115, '2014-05-06 00:00:00.000', 121, 'P  C.      II.     5.', 'Fond reprodukce majetku, investiční fond', false, 131),
(12116, '2014-05-06 00:00:00.000', 122, 'P  C.      II.     6.', 'Ostatní fondy', false, 131),
(12117, '2014-05-06 00:00:00.000', 123, 'P  C.     III.', 'Výsledky hospodaření', false, 131),
(12118, '2014-05-06 00:00:00.000', 124, 'P  C.     III.     1.', 'Výsledek hospodaření běžného účetního období', false, 131),
(12119, '2014-05-06 00:00:00.000', 125, 'P  C.     III.     2.', 'Výsledek hospodaření ve schvalovacím řízení', false, 131),
(12120, '2014-05-06 00:00:00.000', 126, 'P  C.     III.     3.', 'Nerozdělený zisk, neuhrazená ztráta minulých let', false, 131),
(12121, '2014-05-06 00:00:00.000', 127, 'P  C.      IV.', 'Příjmový a výdajový účet rozpočtového hospodaření', false, 131),
(12122, '2014-05-06 00:00:00.000', 128, 'P  C.      IV.    1.', 'Příjmový účet organizačních složek státu', false, 131),
(12123, '2014-05-06 00:00:00.000', 129, 'P  C.      IV.    2.', 'Zvláštní výdajový účet', false, 131),
(12124, '2014-05-06 00:00:00.000', 130, 'P  C.      IV.    3.', 'Účet hospodaření státního rozpočtu', false, 131),
(12125, '2014-05-06 00:00:00.000', 131, 'P  C.      IV.    4.', 'Agregované příjmy a výdaje minulých období', false, 131),
(12126, '2014-05-06 00:00:00.000', 132, 'P  D.', 'Cizí zdroje', false, 131),
(12127, '2014-05-06 00:00:00.000', 133, 'P  D.       I.', 'Rezervy', false, 131),
(12128, '2014-05-06 00:00:00.000', 134, 'P  D.       I.    1.', 'Rezervy', false, 131),
(12129, '2014-05-06 00:00:00.000', 135, 'P  D.      II.', 'Dlouhodobé závazky', false, 131),
(12130, '2014-05-06 00:00:00.000', 136, 'P  D.      II.     1.', 'Dlouhodobé úvěry', false, 131),
(12131, '2014-05-06 00:00:00.000', 137, 'P  D.      II.     2.', 'Přijaté návratné finanční výpomoci dlouhodobé', false, 131),
(12132, '2014-05-06 00:00:00.000', 138, 'P  D.      II.     3.', 'Dlouhodobé závazky z vydaných dluhopisů', false, 131),
(12133, '2014-05-06 00:00:00.000', 139, 'P  D.      II.     4.', 'Dlouhodobé přijaté zálohy', false, 131),
(12134, '2014-05-06 00:00:00.000', 140, 'P  D.      II.     5.', 'Dlouhodobé závazky z ručení', false, 131),
(12135, '2014-05-06 00:00:00.000', 141, 'P  D.      II.     6.', 'Dlouhodobé směnky k úhradě', false, 131),
(12136, '2014-05-06 00:00:00.000', 142, 'P  D.      II.     7.', 'Dlouhodobé závazky z nástrojů spolufinancovaných ze zahraničí', false, 131),
(12137, '2014-05-06 00:00:00.000', 143, 'P  D.      II.     8.', 'Ostatní dlouhodobé závazky', false, 131),
(12138, '2014-05-06 00:00:00.000', 144, 'P  D.      II.     9.', 'Dlouhodobé přijaté zálohy na transfery', false, 131),
(12139, '2014-05-06 00:00:00.000', 145, 'P  D.     III.', 'Krátkodobé závazky', false, 131),
(12140, '2014-05-06 00:00:00.000', 146, 'P  D.     III.    1.', 'Krátkodobé úvěry', false, 131),
(12141, '2014-05-06 00:00:00.000', 147, 'P  D.     III.    2.', 'Eskontované krátkodobé dluhopisy (směnky)', false, 131),
(12142, '2014-05-06 00:00:00.000', 148, 'P  D.     III.    3.', 'Krátkodobé závazky z vydaných dluhopisů', false, 131),
(12143, '2014-05-06 00:00:00.000', 149, 'P  D.     III.    4.', 'Jiné krátkodobé půjčky', false, 131),
(12144, '2014-05-06 00:00:00.000', 150, 'P  D.     III.    5.', 'Dodavatelé', false, 131),
(12145, '2014-05-06 00:00:00.000', 151, 'P  D.     III.    6.', 'Směnky k úhradě', false, 131),
(12146, '2014-05-06 00:00:00.000', 152, 'P  D.     III.    7.', 'Krátkodobé přijaté zálohy', false, 131),
(12147, '2014-05-06 00:00:00.000', 153, 'P  D.     III.    8.', 'Závazky z dělené správy a kaucí', false, 131),
(12148, '2014-05-06 00:00:00.000', 154, 'P  D.     III.    9.', 'Přijaté návratné finanční výpomoci krátkodobé', false, 131),
(12149, '2014-05-06 00:00:00.000', 158, 'P  D.     III.   13.', 'Zdravotní pojištění', false, 131),
(12150, '2014-05-06 00:00:00.000', 159, 'P  D.     III.   14.', 'Důchodové spoření', false, 131),
(12152, '2014-05-06 00:00:00.000', 155, 'P  D.     III.   10.', 'Zaměstnanci', false, 131),
(12153, '2014-05-06 00:00:00.000', 156, 'P  D.     III.   11.', 'Jiné závazky vůči zaměstnancům', false, 131),
(12154, '2014-09-22 00:00:00.000', 157, 'P  D.     III.   12.', 'Sociální zabezpečení', false, 131),
(12155, '2014-05-06 00:00:00.000', 160, 'P  D.     III.   15.', 'Daň z příjmů', false, 131),
(12156, '2014-05-06 00:00:00.000', 161, 'P  D.     III.   16.', 'Jiné přímé daně', false, 131),
(12157, '2014-05-06 00:00:00.000', 162, 'P  D.     III.   17.', 'Daň z přidané hodnoty', false, 131),
(12158, '2014-05-06 00:00:00.000', 163, 'P  D.     III.   18.', 'Jiné daně a poplatky', false, 131),
(12159, '2014-05-06 00:00:00.000', 164, 'P  D.     III.   19.', 'Závazky k osobám mimo vybrané vládní instituce', false, 131),
(12160, '2014-05-06 00:00:00.000', 165, 'P  D.     III.   20.', 'Závazky k vybraným ústředním vládním instutucím', false, 131),
(12161, '2014-05-06 00:00:00.000', 166, 'P  D.     III.   21.', 'Závazky k vybraným místním vládním institucím', false, 131),
(12162, '2014-05-06 00:00:00.000', 172, 'P  D.     III.   27.', 'Ostatní závazky ze správy daní', false, 131),
(12163, '2014-05-06 00:00:00.000', 173, 'P  D.     III.   28.', 'Krátkodobé závazky z ručení', false, 131),
(12164, '2014-05-06 00:00:00.000', 174, 'P  D.     III.   29.', 'Pevné termínové operace a opce', false, 131),
(12165, '2014-05-06 00:00:00.000', 175, 'P  D.     III.   30.', 'Závazky z neukončených finančních operací', false, 131),
(12166, '2014-05-06 00:00:00.000', 176, 'P  D.     III.   31.', 'Závazky z finančního zajištění', false, 131),
(12167, '2014-05-06 00:00:00.000', 177, 'P  D.     III.   32.', 'Závazky z upsaných nesplacených cenných papírů a podílů', false, 131),
(12168, '2014-05-06 00:00:00.000', 178, 'P  D.     III.   33.', 'Krátkodobé závazky z nástrojů spolufinancovaných ze zahraničí', false, 131),
(12169, '2014-05-06 00:00:00.000', 179, 'P  D.     III.   34.', 'Krátkodobé přijaté zálohy na transfery', false, 131),
(12170, '2014-05-06 00:00:00.000', 180, 'P  D.     III.   35.', 'Výdaje příštích období', false, 131),
(12171, '2014-05-06 00:00:00.000', 181, 'P  D.     III.   36.', 'Výnosy příštích období', false, 131),
(12172, '2014-05-06 00:00:00.000', 182, 'P  D.     III.   37.', 'Dohadné účty pasivní', false, 131),
(12173, '2014-05-06 00:00:00.000', 183, 'P  D.     III.   38.', 'Ostatní krátkodobé závazky', false, 131),
(12174, '2014-05-06 00:00:00.000', 171, 'P  D.     III.   26.', 'Závazky z exekuce a ostatního nakládání s cizím majetkem', false, 131),
(12175, '2014-05-06 00:00:00.000', 170, 'P  D.     III.   25.', 'Zúčtování z přerozdělování daní', false, 131),
(12176, '2014-05-06 00:00:00.000', 169, 'P  D.     III.   24.', 'Závazky z vratek nepřímých daní', false, 131),
(12177, '2014-05-06 00:00:00.000', 168, 'P  D.     III.   23.', 'Přeplatky na daních', false, 131),
(12178, '2014-05-06 00:00:00.000', 167, 'P  D.     III.   22.', 'Přijaté zálohy daní', false, 131),
(12179, '2014-06-16 00:00:00.000', 77, 'A  B.     II.   22.', 'Ostatní pohledávky ze správy daní ', false, 131),
(12180, '2014-06-16 00:00:00.000', 76, 'A  B.     II.   21.', 'Pohledávky z exekuce a ostatního nakládání s cizím majetkem', false, 131),
(12181, '2014-06-16 00:00:00.000', 75, 'A  B.     II.   20.', 'Zúčtování a přerozdělování daní', false, 131),
(12182, '2014-06-13 00:00:00.000', 74, 'A  B.     II.   19.', 'Pohledávky ze správy daní', false, 131),
(12183, '2014-09-22 00:00:00.000', 65, 'A  B.     II.   10.', 'Sociální zabezpečení', false, 131),
(12184, '2014-05-06 00:00:00.000', 25, 'A  A.    II.   11.', 'Dlouhodobý hmotný majetek určený k prodeji', false, 131),
(12185, '2014-05-06 00:00:00.000', 13, 'A  A.     I.    10.', 'Dlouhodobý nehmotný majetek určený k prodeji ', false, 131),
(12186, '2014-05-07 00:00:00.000', 1, 'A.', 'NÁKLADY CELKEM', false, 132),
(12187, '2014-05-07 00:00:00.000', 2, 'A.     I.', 'Náklady z činnosti', false, 132),
(12188, '2014-05-07 00:00:00.000', 3, 'A.     I.     1.', 'Spotřeba materiálu', false, 132),
(12189, '2014-05-07 00:00:00.000', 4, 'A.     I.     2.', 'Spotřeba energie', false, 132),
(12190, '2014-05-07 00:00:00.000', 5, 'A.     I.     3.', 'Spotřeba jiných neskladovatelných dodávek', false, 132),
(12191, '2014-05-07 00:00:00.000', 6, 'A.     I.     4.', 'Prodané zboží', false, 132),
(12192, '2014-05-07 00:00:00.000', 7, 'A.     I.     5.', 'Aktivace dlouhodobého majetku', false, 132),
(12193, '2014-05-07 00:00:00.000', 8, 'A.     I.     6.', 'Aktivace oběžného majetku', false, 132),
(12194, '2014-05-07 00:00:00.000', 9, 'A.     I.     7.', 'Změna stavu zásob vlastní výroby', false, 132),
(12195, '2014-05-07 00:00:00.000', 10, 'A.     I.     8.', 'Opravy a udržování', false, 132),
(12196, '2014-05-07 00:00:00.000', 11, 'A.     I.     9.', 'Cestovné', false, 132),
(12197, '2014-05-07 00:00:00.000', 12, 'A.     I.   10.', 'Náklady na reprezentaci', false, 132),
(12198, '2014-05-07 00:00:00.000', 13, 'A.     I.   11.', 'Aktivace vnitroorganizačních služeb', false, 132),
(12199, '2014-05-07 00:00:00.000', 14, 'A.     I.   12.', 'Ostatní služby', false, 132),
(12200, '2014-05-07 00:00:00.000', 15, 'A.     I.   13.', 'Mzdové náklady', false, 132),
(12201, '2014-05-07 00:00:00.000', 16, 'A.     I.   14.', 'Zákonné sociální pojištění', false, 132),
(12202, '2014-05-07 00:00:00.000', 17, 'A.     I.   15.', 'Jiné sociální pojištění', false, 132),
(12203, '2014-05-07 00:00:00.000', 18, 'A.     I.   16.', 'Zákonné sociální náklady', false, 132),
(12204, '2014-05-07 00:00:00.000', 19, 'A.     I.   17.', 'Jiné sociální náklady', false, 132),
(12205, '2014-05-07 00:00:00.000', 20, 'A.     I.   18.', 'Daň silniční', false, 132),
(12206, '2014-05-07 00:00:00.000', 21, 'A.     I.   19.', 'Daň z nemovitostí', false, 132),
(12207, '2014-05-07 00:00:00.000', 22, 'A.     I.   20.', 'Jiné daně a poplatky', false, 132),
(12208, '2014-05-07 00:00:00.000', 23, 'A.     I.   21.', 'Vratky nepřímých daní', false, 132),
(12209, '2014-05-07 00:00:00.000', 24, 'A.     I.   22.', 'Smluvní pokuty a úroky z prodlení', false, 132),
(12210, '2014-05-07 00:00:00.000', 25, 'A.     I.   23.', 'Jiné pokuty a penále', false, 132),
(12211, '2014-05-07 00:00:00.000', 26, 'A.     I.   24.', 'Dary a jiná bezúplatná plnění', false, 132),
(12212, '2014-05-07 00:00:00.000', 27, 'A.     I.   25.', 'Prodaný materiál', false, 132),
(12213, '2014-05-07 00:00:00.000', 28, 'A.     I.   26.', 'Manka a škody', false, 132),
(12214, '2014-05-07 00:00:00.000', 29, 'A.     I.   27.', 'Tvorba fondů', false, 132),
(12215, '2014-05-07 00:00:00.000', 30, 'A.     I.   28.', 'Odpisy dlouhodobého majetku', false, 132),
(12216, '2014-05-07 00:00:00.000', 31, 'A.     I.   29.', 'Prodaný dlouhodobý nehmotný majetek', false, 132),
(12217, '2014-05-07 00:00:00.000', 32, 'A.     I.   30.', 'Prodaný dlouhodobý hmotný majetek', false, 132),
(12218, '2014-05-07 00:00:00.000', 33, 'A.     I.   31.', 'Prodané pozemky', false, 132),
(12219, '2014-05-07 00:00:00.000', 34, 'A.     I.   32.', 'Tvorba a zúčtování rezerv', false, 132),
(12220, '2014-05-07 00:00:00.000', 35, 'A.     I.   33.', 'Tvorba a zúčtování opravných položek', false, 132),
(12221, '2014-05-07 00:00:00.000', 36, 'A.     I.   34.', 'Náklady z vyřazených pohledávek', false, 132),
(12222, '2014-05-07 00:00:00.000', 37, 'A.     I.   35.', 'Náklady z drobného dlouhodobého  majetku', false, 132),
(12223, '2014-05-07 00:00:00.000', 38, 'A.     I.   36.', 'Ostatní náklady z činnosti', false, 132),
(12224, '2014-05-07 00:00:00.000', 39, 'A.    II.', 'Finanční náklady', false, 132),
(12225, '2014-05-07 00:00:00.000', 40, 'A.    II.    1.', 'Prodané cenné papíry a podíly', false, 132),
(12226, '2014-05-07 00:00:00.000', 41, 'A.    II.    2.', 'Úroky', false, 132),
(12227, '2014-05-07 00:00:00.000', 42, 'A.    II.    3.', 'Kurzové ztráty', false, 132),
(12228, '2014-05-07 00:00:00.000', 43, 'A.    II.    4.', 'Náklady z přecenění reálnou hodnotou', false, 132),
(12229, '2014-05-07 00:00:00.000', 44, 'A.    II.    5.', 'Ostatní finanční náklady', false, 132),
(12230, '2014-05-07 00:00:00.000', 45, 'A.   III.', 'Náklady na transfery', false, 132),
(12231, '2014-05-07 00:00:00.000', 46, 'A.   III.    1.', 'Náklady vybraných ústředních vládních institucí na transfery', false, 132),
(12232, '2014-05-07 00:00:00.000', 47, 'A.   III.    2.', 'Náklady vybraných místních vládních institucí na transfery', false, 132),
(12233, '2014-05-07 00:00:00.000', 48, 'A.    IV.', 'Náklady ze sdílených daní a poplatků', false, 132),
(12234, '2014-05-07 00:00:00.000', 49, 'A.    IV.    1.', 'Náklady ze sdílené daně z příjmů fyzických osob', false, 132),
(12235, '2014-05-07 00:00:00.000', 50, 'A.    IV.    2.', 'Náklady ze sdílené daně z příjmů právnických osob', false, 132),
(12236, '2014-05-07 00:00:00.000', 51, 'A.    IV.    3.', 'Náklady ze sdílené daně z přidané hodnoty', false, 132),
(12237, '2014-05-07 00:00:00.000', 52, 'A.    IV.    4.', 'Náklady ze sdílených spotřebních daní', false, 132),
(12238, '2014-05-07 00:00:00.000', 53, 'A.    IV.    5.', 'Náklady z ostatních sdílených daní a poplatků', false, 132),
(12239, '2014-05-07 00:00:00.000', 54, 'A.     V.', 'Daň z příjmů', false, 132),
(12240, '2014-05-07 00:00:00.000', 55, 'A.     V.    1.', 'Daň z příjmů', false, 132),
(12241, '2014-05-07 00:00:00.000', 56, 'A.     V.    2.', 'Dodatečné odvody daně z příjmů', false, 132),
(12242, '2014-05-07 00:00:00.000', 57, 'B.', 'VÝNOSY CELKEM', false, 132),
(12243, '2014-05-07 00:00:00.000', 58, 'B.     I.', 'Výnosy z činností', false, 132),
(12244, '2014-05-07 00:00:00.000', 59, 'B.     I.     1.', 'Výnosy z prodeje vlastních výrobků', false, 132),
(12245, '2014-05-07 00:00:00.000', 60, 'B.     I.     2.', 'Výnosy z prodeje služeb', false, 132),
(12246, '2014-05-07 00:00:00.000', 61, 'B.     I.     3.', 'Výnosy z pronájmu', false, 132),
(12247, '2014-05-07 00:00:00.000', 62, 'B.     I.     4.', 'Výnosy z prodaného zboží', false, 132),
(12248, '2014-05-07 00:00:00.000', 63, 'B.     I.     5.', 'Výnosy ze správních poplatků', false, 132),
(12249, '2014-05-07 00:00:00.000', 64, 'B.     I.     6.', 'Výnosy z místních poplatků', false, 132),
(12250, '2014-05-07 00:00:00.000', 65, 'B.     I.     7.', 'Výnosy ze soudních poplatků', false, 132),
(12251, '2014-05-07 00:00:00.000', 66, 'B.     I.     8.', 'Jiné výnosy z vlastních výkonů', false, 132),
(12252, '2014-05-07 00:00:00.000', 67, 'B.     I.     9.', 'Smluvní pokuty a úroky z prodlení', false, 132),
(12253, '2014-05-07 00:00:00.000', 68, 'B.     I.   10.', 'Jiné pokuty a penále', false, 132),
(12254, '2014-05-07 00:00:00.000', 69, 'B.     I.   11.', 'Výnosy z vyřazených pohledávek', false, 132),
(12255, '2014-05-07 00:00:00.000', 70, 'B.     I.   12.', 'Výnosy z prodeje materiálu', false, 132),
(12256, '2014-05-07 00:00:00.000', 71, 'B.     I.   13.', 'Výnosy z prodeje dlouhodobého nehmotného majetku', false, 132),
(12257, '2014-05-07 00:00:00.000', 72, 'B.     I.   14.', 'Výnosy z prodeje dlouhodobého hmotného majetku kromě pozemků', false, 132),
(12258, '2014-05-07 00:00:00.000', 73, 'B.     I.   15.', 'Výnosy z prodeje pozemků', false, 132),
(12259, '2014-05-07 00:00:00.000', 74, 'B.     I.   16.', 'Čerpání fondů', false, 132),
(12260, '2014-05-07 00:00:00.000', 75, 'B.     I.   17.', 'Ostatní výnosy z činnosti', false, 132),
(12261, '2014-05-07 00:00:00.000', 76, 'B.    II.', 'Finanční výnosy', false, 132),
(12262, '2014-05-07 00:00:00.000', 77, 'B.    II.     1.', 'Výnosy z prodeje cenných papírů a podílů', false, 132),
(12263, '2014-05-07 00:00:00.000', 78, 'B.    II.     2.', 'Úroky', false, 132),
(12264, '2014-05-07 00:00:00.000', 79, 'B.    II.     3.', 'Kursové zisky', false, 132),
(12265, '2014-05-07 00:00:00.000', 80, 'B.    II.     4.', 'Výnosy z přecenění reálnou hodnotou', false, 132),
(12266, '2014-05-07 00:00:00.000', 81, 'B.    II.     5.', 'Výnosy z dlouhodobého finančního majetku', false, 132),
(12267, '2014-05-07 00:00:00.000', 82, 'B.    II.     6.', 'Ostatní finanční výnosy', false, 132),
(12268, '2014-05-07 00:00:00.000', 83, 'B.   III.', 'Výnosy z daní a poplatků', false, 132),
(12269, '2014-05-07 00:00:00.000', 84, 'B.   III.     1.', 'Výnosy z daně z příjmů fyzických osob', false, 132),
(12270, '2014-05-07 00:00:00.000', 85, 'B.   III.     2.', 'Výnosy z daně z příjmů právnických osob', false, 132),
(12271, '2014-05-07 00:00:00.000', 86, 'B.   III.     3.', 'Výnosy ze sociálního pojištění', false, 132),
(12272, '2014-05-07 00:00:00.000', 87, 'B.   III.     4.', 'Výnosy z daně z přidané hodnoty', false, 132),
(12273, '2014-05-07 00:00:00.000', 88, 'B.   III.     5.', 'Výnosy ze spotřebních daní', false, 132),
(12274, '2014-05-07 00:00:00.000', 89, 'B.   III.     6.', 'Výnosy z majetkových daní', false, 132),
(12275, '2014-05-07 00:00:00.000', 90, 'B.   III.     7.', 'Výnosy z energetických daní', false, 132),
(12276, '2014-05-07 00:00:00.000', 91, 'B.   III.     8.', 'Výnosy z daně silniční', false, 132),
(12277, '2014-05-07 00:00:00.000', 92, 'B.   III.     9.', 'Výnosy z ostatních daní a poplatků', false, 132),
(12278, '2014-05-07 00:00:00.000', 93, 'B.    IV.', 'Výnosy z transferů', false, 132),
(12279, '2014-05-07 00:00:00.000', 94, 'B.    IV.     1.', 'Výnosy vybraných ústředních vládních institucí z transferů', false, 132),
(12280, '2014-05-07 00:00:00.000', 95, 'B.    IV.     2.', 'Výnosy vybraných místních vládních institucí z transferů', false, 132),
(12281, '2014-05-07 00:00:00.000', 96, 'B.     V.', 'Výnosy ze sdílených daní a poplatků', false, 132),
(12282, '2014-05-07 00:00:00.000', 97, 'B.     V.     1.', 'Výnosy ze sdílené daně z příjmů fyzických osob', false, 132),
(12283, '2014-05-07 00:00:00.000', 98, 'B.     V.     2.', 'Výnosy ze sdílené daně z příjmů právnických osob', false, 132),
(12284, '2014-05-07 00:00:00.000', 99, 'B.     V.     3.', 'Výnosy ze sdílené daně z přidané hodnoty', false, 132),
(12285, '2014-05-07 00:00:00.000', 100, 'B.     V.     4.', 'Výnosy ze sdílených spotřebních daní', false, 132),
(12286, '2014-05-07 00:00:00.000', 101, 'B.     V.     5.', 'Výnosy ze sdílených majetkových daní', false, 132),
(12287, '2014-05-07 00:00:00.000', 102, 'B.     V.     6.', 'Výnosy z ostatních sdílených daní a poplatků', false, 132),
(12288, '2014-05-07 00:00:00.000', 103, 'C.', 'VÝSLEDEK HOSPODAŘENÍ', false, 132),
(12289, '2014-05-07 00:00:00.000', 104, 'C.    1.', 'Výsledek hospodaření před zdaněním', false, 132),
(12290, '2014-05-07 00:00:00.000', 105, 'C.    2.', 'Výsledek hospodaření běžného účetního období', false, 132);

-- sumace
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum) VALUES
(12001, '2014-05-06 00:00:00.000', false, 12001, 12041),
(12002, '2014-05-06 00:00:00.000', false, 12001, 12002),
(12003, '2014-05-06 00:00:00.000', false, 12002, 12024),
(12004, '2014-05-06 00:00:00.000', false, 12002, 12003),
(12005, '2014-05-06 00:00:00.000', false, 12002, 12013),
(12006, '2014-05-06 00:00:00.000', false, 12002, 12033),
(12007, '2014-05-06 00:00:00.000', false, 12003, 12004),
(12008, '2014-05-06 00:00:00.000', false, 12003, 12005),
(12009, '2014-05-06 00:00:00.000', false, 12003, 12008),
(12010, '2014-05-06 00:00:00.000', false, 12003, 12010),
(12011, '2014-05-06 00:00:00.000', false, 12003, 12006),
(12012, '2014-05-06 00:00:00.000', false, 12003, 12009),
(12013, '2014-05-06 00:00:00.000', false, 12003, 12012),
(12014, '2014-05-06 00:00:00.000', false, 12003, 12007),
(12015, '2014-05-06 00:00:00.000', false, 12003, 12011),
(12016, '2014-05-06 00:00:00.000', false, 12013, 12018),
(12017, '2014-05-06 00:00:00.000', false, 12013, 12019),
(12018, '2014-05-06 00:00:00.000', false, 12013, 12023),
(12019, '2014-05-06 00:00:00.000', false, 12013, 12022),
(12020, '2014-05-06 00:00:00.000', false, 12013, 12017),
(12021, '2014-05-06 00:00:00.000', false, 12013, 12016),
(12022, '2014-05-06 00:00:00.000', false, 12013, 12015),
(12023, '2014-05-06 00:00:00.000', false, 12013, 12014),
(12024, '2014-05-06 00:00:00.000', false, 12013, 12021),
(12025, '2014-05-06 00:00:00.000', false, 12013, 12020),
(12026, '2014-05-06 00:00:00.000', false, 12024, 12025),
(12027, '2014-05-06 00:00:00.000', false, 12024, 12026),
(12028, '2014-05-06 00:00:00.000', false, 12024, 12032),
(12029, '2014-05-06 00:00:00.000', false, 12024, 12027),
(12030, '2014-05-06 00:00:00.000', false, 12024, 12028),
(12031, '2014-05-06 00:00:00.000', false, 12024, 12029),
(12032, '2014-05-06 00:00:00.000', false, 12024, 12030),
(12033, '2014-05-06 00:00:00.000', false, 12024, 12031),
(12034, '2014-05-06 00:00:00.000', false, 12033, 12037),
(12035, '2014-05-06 00:00:00.000', false, 12033, 12038),
(12036, '2014-05-06 00:00:00.000', false, 12033, 12035),
(12037, '2014-05-06 00:00:00.000', false, 12033, 12036),
(12038, '2014-05-06 00:00:00.000', false, 12033, 12039),
(12039, '2014-05-06 00:00:00.000', false, 12033, 12040),
(12040, '2014-05-06 00:00:00.000', false, 12033, 12034),
(12041, '2014-05-06 00:00:00.000', false, 12041, 12042),
(12042, '2014-05-06 00:00:00.000', false, 12041, 12082),
(12043, '2014-05-06 00:00:00.000', false, 12041, 12053),
(12044, '2014-05-06 00:00:00.000', false, 12042, 12047),
(12045, '2014-05-06 00:00:00.000', false, 12042, 12046),
(12046, '2014-05-06 00:00:00.000', false, 12042, 12044),
(12047, '2014-05-06 00:00:00.000', false, 12042, 12043),
(12048, '2014-05-06 00:00:00.000', false, 12042, 12045),
(12049, '2014-05-06 00:00:00.000', false, 12042, 12052),
(12050, '2014-05-06 00:00:00.000', false, 12042, 12051),
(12051, '2014-05-06 00:00:00.000', false, 12042, 12050),
(12052, '2014-05-06 00:00:00.000', false, 12042, 12049),
(12053, '2014-05-06 00:00:00.000', false, 12042, 12048),
(12055, '2014-05-06 00:00:00.000', false, 12053, 12062),
(12056, '2014-05-06 00:00:00.000', false, 12053, 12054),
(12057, '2014-05-06 00:00:00.000', false, 12053, 12078),
(12058, '2014-05-06 00:00:00.000', false, 12053, 12077),
(12059, '2014-05-06 00:00:00.000', false, 12053, 12064),
(12060, '2014-05-06 00:00:00.000', false, 12053, 12063),
(12061, '2014-05-06 00:00:00.000', false, 12053, 12066),
(12062, '2014-05-06 00:00:00.000', false, 12053, 12065),
(12063, '2014-05-06 00:00:00.000', false, 12053, 12068),
(12064, '2014-05-06 00:00:00.000', false, 12053, 12067),
(12065, '2014-05-06 00:00:00.000', false, 12053, 12070),
(12066, '2014-05-06 00:00:00.000', false, 12053, 12069),
(12067, '2014-05-06 00:00:00.000', false, 12053, 12055),
(12068, '2014-05-06 00:00:00.000', false, 12053, 12056),
(12069, '2014-05-06 00:00:00.000', false, 12053, 12057),
(12070, '2014-05-06 00:00:00.000', false, 12053, 12058),
(12071, '2014-05-06 00:00:00.000', false, 12053, 12059),
(12072, '2014-05-06 00:00:00.000', false, 12053, 12060),
(12073, '2014-05-06 00:00:00.000', false, 12053, 12080),
(12074, '2014-05-06 00:00:00.000', false, 12053, 12079),
(12075, '2014-05-06 00:00:00.000', false, 12053, 12071),
(12076, '2014-05-06 00:00:00.000', false, 12053, 12072),
(12077, '2014-05-06 00:00:00.000', false, 12053, 12073),
(12078, '2014-05-06 00:00:00.000', false, 12053, 12074),
(12079, '2014-05-06 00:00:00.000', false, 12053, 12075),
(12080, '2014-05-06 00:00:00.000', false, 12053, 12076),
(12081, '2014-05-06 00:00:00.000', false, 12053, 12081),
(12082, '2014-05-06 00:00:00.000', false, 12082, 12096),
(12083, '2014-05-06 00:00:00.000', false, 12082, 12095),
(12084, '2014-05-06 00:00:00.000', false, 12082, 12098),
(12085, '2014-05-06 00:00:00.000', false, 12082, 12097),
(12086, '2014-05-06 00:00:00.000', false, 12082, 12094),
(12087, '2014-05-06 00:00:00.000', false, 12082, 12091),
(12088, '2014-05-06 00:00:00.000', false, 12082, 12088),
(12089, '2014-05-06 00:00:00.000', false, 12082, 12090),
(12090, '2014-05-06 00:00:00.000', false, 12082, 12093),
(12091, '2014-05-06 00:00:00.000', false, 12082, 12099),
(12092, '2014-05-06 00:00:00.000', false, 12082, 12087),
(12093, '2014-05-06 00:00:00.000', false, 12082, 12084),
(12094, '2014-05-06 00:00:00.000', false, 12082, 12089),
(12095, '2014-05-06 00:00:00.000', false, 12082, 12092),
(12096, '2014-05-06 00:00:00.000', false, 12082, 12085),
(12097, '2014-05-06 00:00:00.000', false, 12082, 12086),
(12098, '2014-05-06 00:00:00.000', false, 12082, 12083),
(12099, '2014-05-06 00:00:00.000', false, 12100, 12101),
(12100, '2014-05-06 00:00:00.000', false, 12100, 12126),
(12101, '2014-05-06 00:00:00.000', false, 12101, 12102),
(12102, '2014-05-06 00:00:00.000', false, 12101, 12121),
(12103, '2014-05-06 00:00:00.000', false, 12101, 12117),
(12104, '2014-05-06 00:00:00.000', false, 12101, 12110),
(12105, '2014-05-06 00:00:00.000', false, 12102, 12106),
(12106, '2014-05-06 00:00:00.000', false, 12102, 12108),
(12107, '2014-05-06 00:00:00.000', false, 12102, 12107),
(12108, '2014-05-06 00:00:00.000', false, 12102, 12109),
(12109, '2014-05-06 00:00:00.000', false, 12102, 12103),
(12110, '2014-05-06 00:00:00.000', false, 12102, 12104),
(12111, '2014-05-06 00:00:00.000', false, 12102, 12105),
(12112, '2014-05-06 00:00:00.000', false, 12110, 12116),
(12113, '2014-05-06 00:00:00.000', false, 12110, 12115),
(12114, '2014-05-06 00:00:00.000', false, 12110, 12114),
(12115, '2014-05-06 00:00:00.000', false, 12110, 12113),
(12116, '2014-05-06 00:00:00.000', false, 12110, 12112),
(12117, '2014-05-06 00:00:00.000', false, 12110, 12111),
(12118, '2014-05-06 00:00:00.000', false, 12117, 12120),
(12119, '2014-05-06 00:00:00.000', false, 12117, 12119),
(12120, '2014-05-06 00:00:00.000', false, 12117, 12118),
(12121, '2014-05-06 00:00:00.000', true, 12118, 12119),
(12122, '2014-05-06 00:00:00.000', true, 12118, 12120),
(12123, '2014-05-06 00:00:00.000', true, 12118, 12102),
(12124, '2014-05-06 00:00:00.000', true, 12118, 12110),
(12125, '2014-05-06 00:00:00.000', false, 12118, 12001),
(12126, '2014-05-06 00:00:00.000', true, 12118, 12126),
(12127, '2014-05-06 00:00:00.000', false, 12121, 12125),
(12128, '2014-05-06 00:00:00.000', false, 12121, 12124),
(12129, '2014-05-06 00:00:00.000', false, 12121, 12123),
(12130, '2014-05-06 00:00:00.000', false, 12121, 12122),
(12131, '2014-05-06 00:00:00.000', false, 12126, 12129),
(12132, '2014-05-06 00:00:00.000', false, 12126, 12127),
(12133, '2014-05-06 00:00:00.000', false, 12126, 12139),
(12134, '2014-05-06 00:00:00.000', false, 12127, 12128),
(12135, '2014-05-06 00:00:00.000', false, 12129, 12134),
(12136, '2014-05-06 00:00:00.000', false, 12129, 12135),
(12137, '2014-05-06 00:00:00.000', false, 12129, 12130),
(12138, '2014-05-06 00:00:00.000', false, 12129, 12132),
(12139, '2014-05-06 00:00:00.000', false, 12129, 12131),
(12140, '2014-05-06 00:00:00.000', false, 12129, 12136),
(12141, '2014-05-06 00:00:00.000', false, 12129, 12138),
(12142, '2014-05-06 00:00:00.000', false, 12129, 12137),
(12143, '2014-05-06 00:00:00.000', false, 12129, 12133),
(12144, '2014-05-06 00:00:00.000', false, 12139, 12144),
(12145, '2014-05-06 00:00:00.000', false, 12139, 12145),
(12146, '2014-05-06 00:00:00.000', false, 12139, 12150),
(12147, '2014-05-06 00:00:00.000', false, 12139, 12173),
(12148, '2014-05-06 00:00:00.000', false, 12139, 12152),
(12149, '2014-05-06 00:00:00.000', false, 12139, 12149),
(12150, '2014-05-06 00:00:00.000', false, 12139, 12170),
(12151, '2014-05-06 00:00:00.000', false, 12139, 12165),
(12152, '2014-05-06 00:00:00.000', false, 12139, 12172),
(12153, '2014-05-06 00:00:00.000', false, 12139, 12171),
(12154, '2014-05-06 00:00:00.000', false, 12139, 12162),
(12155, '2014-05-06 00:00:00.000', false, 12139, 12169),
(12156, '2014-05-06 00:00:00.000', false, 12139, 12164),
(12157, '2014-05-06 00:00:00.000', false, 12139, 12163),
(12158, '2014-05-06 00:00:00.000', false, 12139, 12166),
(12159, '2014-05-06 00:00:00.000', false, 12139, 12168),
(12160, '2014-05-06 00:00:00.000', false, 12139, 12167),
(12161, '2014-05-06 00:00:00.000', false, 12139, 12159),
(12162, '2014-05-06 00:00:00.000', false, 12139, 12153),
(12163, '2014-05-06 00:00:00.000', false, 12139, 12154),
(12164, '2014-05-06 00:00:00.000', false, 12139, 12143),
(12165, '2014-05-06 00:00:00.000', false, 12139, 12142),
(12166, '2014-05-06 00:00:00.000', false, 12139, 12157),
(12167, '2014-05-06 00:00:00.000', false, 12139, 12158),
(12168, '2014-05-06 00:00:00.000', false, 12139, 12155),
(12169, '2014-05-06 00:00:00.000', false, 12139, 12156),
(12170, '2014-05-06 00:00:00.000', false, 12139, 12148),
(12171, '2014-05-06 00:00:00.000', false, 12139, 12146),
(12172, '2014-05-06 00:00:00.000', false, 12139, 12160),
(12173, '2014-05-06 00:00:00.000', false, 12139, 12161),
(12175, '2014-05-06 00:00:00.000', false, 12139, 12140),
(12176, '2014-05-06 00:00:00.000', false, 12139, 12141),
(12177, '2014-05-06 00:00:00.000', false, 12139, 12147),
(12178, '2014-05-06 00:00:00.000', false, 12003, 12185),
(12179, '2014-05-06 00:00:00.000', false, 12013, 12184),
(12180, '2014-05-06 00:00:00.000', false, 12053, 12183),
(12181, '2014-05-06 00:00:00.000', false, 12053, 12182),
(12182, '2014-05-06 00:00:00.000', false, 12053, 12181),
(12183, '2014-05-06 00:00:00.000', false, 12053, 12180),
(12184, '2014-05-06 00:00:00.000', false, 12053, 12179),
(12185, '2014-05-06 00:00:00.000', false, 12139, 12178),
(12186, '2014-05-06 00:00:00.000', false, 12139, 12177),
(12187, '2014-05-06 00:00:00.000', false, 12139, 12176),
(12188, '2014-05-06 00:00:00.000', false, 12139, 12175),
(12189, '2014-05-06 00:00:00.000', false, 12139, 12174),
(12190, '2014-05-07 00:00:00.000', false, 12186, 12230),
(12191, '2014-05-07 00:00:00.000', false, 12186, 12187),
(12192, '2014-05-07 00:00:00.000', false, 12186, 12233),
(12193, '2014-05-07 00:00:00.000', false, 12186, 12224),
(12194, '2014-05-07 00:00:00.000', false, 12187, 12216),
(12195, '2014-05-07 00:00:00.000', false, 12187, 12215),
(12196, '2014-05-07 00:00:00.000', false, 12187, 12214),
(12197, '2014-05-07 00:00:00.000', false, 12187, 12213),
(12198, '2014-05-07 00:00:00.000', false, 12187, 12190),
(12199, '2014-05-07 00:00:00.000', false, 12187, 12191),
(12200, '2014-05-07 00:00:00.000', false, 12187, 12195),
(12201, '2014-05-07 00:00:00.000', false, 12187, 12196),
(12202, '2014-05-07 00:00:00.000', false, 12187, 12223),
(12203, '2014-05-07 00:00:00.000', false, 12187, 12221),
(12204, '2014-05-07 00:00:00.000', false, 12187, 12188),
(12205, '2014-05-07 00:00:00.000', false, 12187, 12189),
(12206, '2014-05-07 00:00:00.000', false, 12187, 12199),
(12207, '2014-05-07 00:00:00.000', false, 12187, 12200),
(12208, '2014-05-07 00:00:00.000', false, 12187, 12197),
(12209, '2014-05-07 00:00:00.000', false, 12187, 12203),
(12210, '2014-05-07 00:00:00.000', false, 12187, 12192),
(12211, '2014-05-07 00:00:00.000', false, 12187, 12204),
(12212, '2014-05-07 00:00:00.000', false, 12187, 12193),
(12213, '2014-05-07 00:00:00.000', false, 12187, 12207),
(12214, '2014-05-07 00:00:00.000', false, 12187, 12194),
(12215, '2014-05-07 00:00:00.000', false, 12187, 12208),
(12216, '2014-05-07 00:00:00.000', false, 12187, 12198),
(12217, '2014-05-07 00:00:00.000', false, 12187, 12209),
(12218, '2014-05-07 00:00:00.000', false, 12187, 12222),
(12219, '2014-05-07 00:00:00.000', false, 12187, 12210),
(12220, '2014-05-07 00:00:00.000', false, 12187, 12211),
(12221, '2014-05-07 00:00:00.000', false, 12187, 12212),
(12222, '2014-05-07 00:00:00.000', false, 12187, 12217),
(12223, '2014-05-07 00:00:00.000', false, 12187, 12218),
(12224, '2014-05-07 00:00:00.000', false, 12187, 12219),
(12225, '2014-05-07 00:00:00.000', false, 12187, 12220),
(12226, '2014-05-07 00:00:00.000', false, 12187, 12205),
(12227, '2014-05-07 00:00:00.000', false, 12187, 12206),
(12228, '2014-05-07 00:00:00.000', false, 12187, 12201),
(12229, '2014-05-07 00:00:00.000', false, 12187, 12202),
(12230, '2014-05-07 00:00:00.000', false, 12224, 12228),
(12231, '2014-05-07 00:00:00.000', false, 12224, 12227),
(12232, '2014-05-07 00:00:00.000', false, 12224, 12229),
(12233, '2014-05-07 00:00:00.000', false, 12224, 12226),
(12234, '2014-05-07 00:00:00.000', false, 12224, 12225),
(12235, '2014-05-07 00:00:00.000', false, 12230, 12232),
(12236, '2014-05-07 00:00:00.000', false, 12230, 12231),
(12237, '2014-05-07 00:00:00.000', false, 12233, 12236),
(12238, '2014-05-07 00:00:00.000', false, 12233, 12234),
(12239, '2014-05-07 00:00:00.000', false, 12233, 12235),
(12240, '2014-05-07 00:00:00.000', false, 12233, 12238),
(12241, '2014-05-07 00:00:00.000', false, 12233, 12237),
(12242, '2014-05-07 00:00:00.000', false, 12239, 12240),
(12243, '2014-05-07 00:00:00.000', false, 12239, 12241),
(12244, '2014-05-07 00:00:00.000', false, 12242, 12281),
(12245, '2014-05-07 00:00:00.000', false, 12242, 12261),
(12246, '2014-05-07 00:00:00.000', false, 12242, 12243),
(12247, '2014-05-07 00:00:00.000', false, 12242, 12268),
(12248, '2014-05-07 00:00:00.000', false, 12242, 12278),
(12249, '2014-05-07 00:00:00.000', false, 12243, 12250),
(12250, '2014-05-07 00:00:00.000', false, 12243, 12246),
(12251, '2014-05-07 00:00:00.000', false, 12243, 12260),
(12252, '2014-05-07 00:00:00.000', false, 12243, 12249),
(12253, '2014-05-07 00:00:00.000', false, 12243, 12258),
(12254, '2014-05-07 00:00:00.000', false, 12243, 12257),
(12255, '2014-05-07 00:00:00.000', false, 12243, 12244),
(12256, '2014-05-07 00:00:00.000', false, 12243, 12245),
(12257, '2014-05-07 00:00:00.000', false, 12243, 12253),
(12258, '2014-05-07 00:00:00.000', false, 12243, 12251),
(12259, '2014-05-07 00:00:00.000', false, 12243, 12252),
(12260, '2014-05-07 00:00:00.000', false, 12243, 12254),
(12261, '2014-05-07 00:00:00.000', false, 12243, 12256),
(12262, '2014-05-07 00:00:00.000', false, 12243, 12259),
(12263, '2014-05-07 00:00:00.000', false, 12243, 12248),
(12264, '2014-05-07 00:00:00.000', false, 12243, 12247),
(12265, '2014-05-07 00:00:00.000', false, 12243, 12255),
(12266, '2014-05-07 00:00:00.000', false, 12261, 12265),
(12267, '2014-05-07 00:00:00.000', false, 12261, 12264),
(12268, '2014-05-07 00:00:00.000', false, 12261, 12267),
(12269, '2014-05-07 00:00:00.000', false, 12261, 12266),
(12270, '2014-05-07 00:00:00.000', false, 12261, 12262),
(12271, '2014-05-07 00:00:00.000', false, 12261, 12263),
(12272, '2014-05-07 00:00:00.000', false, 12268, 12270),
(12273, '2014-05-07 00:00:00.000', false, 12268, 12269),
(12274, '2014-05-07 00:00:00.000', false, 12268, 12272),
(12275, '2014-05-07 00:00:00.000', false, 12268, 12271),
(12276, '2014-05-07 00:00:00.000', false, 12268, 12274),
(12277, '2014-05-07 00:00:00.000', false, 12268, 12273),
(12278, '2014-05-07 00:00:00.000', false, 12268, 12275),
(12279, '2014-05-07 00:00:00.000', false, 12268, 12276),
(12280, '2014-05-07 00:00:00.000', false, 12268, 12277),
(12281, '2014-05-07 00:00:00.000', false, 12278, 12279),
(12282, '2014-05-07 00:00:00.000', false, 12278, 12280),
(12283, '2014-05-07 00:00:00.000', false, 12281, 12287),
(12284, '2014-05-07 00:00:00.000', false, 12281, 12285),
(12285, '2014-05-07 00:00:00.000', false, 12281, 12286),
(12286, '2014-05-07 00:00:00.000', false, 12281, 12283),
(12287, '2014-05-07 00:00:00.000', false, 12281, 12282),
(12288, '2014-05-07 00:00:00.000', false, 12281, 12284),
(12289, '2014-05-07 00:00:00.000', true, 12289, 12230),
(12290, '2014-05-07 00:00:00.000', true, 12289, 12224),
(12291, '2014-05-07 00:00:00.000', true, 12289, 12187),
(12292, '2014-05-07 00:00:00.000', true, 12289, 12233),
(12293, '2014-05-07 00:00:00.000', false, 12289, 12242),
(12294, '2014-05-07 00:00:00.000', false, 12290, 12242),
(12295, '2014-05-07 00:00:00.000', true, 12290, 12186);

-- standardni predpisy
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet) VALUES
(12001, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12004, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_151')),
(12002, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12004, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_012')),
(12003, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12004, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_072')),
(12004, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12005, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_013')),
(12005, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12005, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_152')),
(12006, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12005, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_073')),
(12007, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12006, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_153')),
(12008, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12006, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_014')),
(12009, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12006, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_074')),
(12010, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12007, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_154')),
(12011, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12007, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_015')),
(12012, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12008, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_078')),
(12013, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12008, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_018')),
(12014, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12009, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_156')),
(12015, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12009, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_019')),
(12016, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12009, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_079')),
(12017, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12010, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_041')),
(12018, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12010, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_157')),
(12019, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12011, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_044')),
(12020, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12012, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_051')),
(12021, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12014, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_031')),
(12022, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12014, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_161')),
(12023, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12015, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_032')),
(12024, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12015, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_162')),
(12025, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12016, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_081')),
(12026, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12016, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_163')),
(12027, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12016, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_021')),
(12028, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12017, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_164')),
(12029, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12017, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_082')),
(12030, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12017, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_022')),
(12031, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12018, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_025')),
(12032, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12018, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_165')),
(12033, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12018, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_085')),
(12034, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12019, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_028')),
(12035, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12019, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_088')),
(12036, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12020, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_167')),
(12037, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12020, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_029')),
(12038, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12020, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_089')),
(12039, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12021, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_042')),
(12040, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12021, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_168')),
(12041, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12022, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_045')),
(12042, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12023, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_052')),
(12043, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12025, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_061')),
(12044, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12025, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_171')),
(12045, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12026, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_062')),
(12046, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12026, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_172')),
(12047, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12027, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_173')),
(12048, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12027, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_063')),
(12049, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12028, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_067')),
(12050, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12028, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_175')),
(12051, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12029, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_068')),
(12052, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12030, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_176')),
(12053, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12030, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_069')),
(12054, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12031, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_177')),
(12055, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12031, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_043')),
(12056, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12032, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_053')),
(12057, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12034, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_142')),
(12058, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12034, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_462')),
(12059, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12035, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_464')),
(12060, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12035, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_144')),
(12061, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12036, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_465')),
(12062, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12037, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_146')),
(12063, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12037, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_466')),
(12064, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12038, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_468')),
(12065, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12039, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_149')),
(12066, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12039, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_469')),
(12067, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12040, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_471')),
(12068, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12043, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_111')),
(12069, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12044, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_112')),
(12070, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12044, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_181')),
(12071, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12045, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_119')),
(12072, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12046, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_182')),
(12073, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12046, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_121')),
(12074, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12047, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_183')),
(12075, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12047, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_122')),
(12076, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12048, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_184')),
(12077, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12048, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_123')),
(12078, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12049, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_131')),
(12079, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12050, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_185')),
(12080, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12050, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_132')),
(12081, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12051, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_138')),
(12082, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12052, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_139')),
(12083, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12052, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_186')),
(12084, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12054, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_194')),
(12085, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12054, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_395')),
(12086, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12054, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_396')),
(12087, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12054, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_311')),
(12088, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12055, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_191')),
(12089, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12055, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_312')),
(12090, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12056, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_313')),
(12091, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12057, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_314')),
(12092, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12058, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_315')),
(12093, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12058, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_192')),
(12094, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12059, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_316')),
(12095, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12059, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_193')),
(12096, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12060, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_317')),
(12097, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12060, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_195')),
(12100, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12062, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_319')),
(12101, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12063, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_335')),
(12102, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12064, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_337')),
(12103, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12065, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_341')),
(12104, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12066, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_342')),
(12105, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12067, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_343')),
(12106, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12068, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_344')),
(12107, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12069, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_346')),
(12108, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12070, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_348')),
(12110, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12071, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_338')),
(12111, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12072, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_198')),
(12112, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12072, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_361')),
(12113, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12073, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_363')),
(12114, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12074, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_365')),
(12115, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12075, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_367')),
(12116, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12076, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_371')),
(12117, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12077, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_373')),
(12118, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12078, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_381')),
(12119, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12079, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_385')),
(12120, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12080, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_388')),
(12121, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12081, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_377')),
(12122, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12081, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_199')),
(12123, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12083, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_251')),
(12124, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12084, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_253')),
(12125, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12085, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_256')),
(12126, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12086, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_244')),
(12127, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12087, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_245')),
(12128, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12088, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_247')),
(12129, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12089, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_248')),
(12130, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12090, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_249')),
(12131, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12091, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_241')),
(12132, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12092, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_243')),
(12133, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12093, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_231')),
(12134, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12094, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_236')),
(12135, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12095, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_224')),
(12136, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12096, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_225')),
(12137, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12097, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_263')),
(12138, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12098, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_262')),
(12139, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12099, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_261')),
(12140, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12103, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_401')),
(12141, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12104, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_402')),
(12142, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12105, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_403')),
(12143, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12106, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_405')),
(12144, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12107, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_406')),
(12145, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12108, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_407')),
(12146, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12109, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_408')),
(12147, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12111, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_411')),
(12148, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12112, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_412')),
(12149, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12113, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_413')),
(12150, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12114, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_414')),
(12151, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12115, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_416')),
(12152, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12116, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_419')),
(12153, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12119, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_431')),
(12154, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12120, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_432')),
(12155, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12122, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_222')),
(12156, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12123, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_223')),
(12157, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12124, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_227')),
(12158, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12125, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_404')),
(12159, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12128, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_441')),
(12160, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12130, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_451')),
(12161, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12131, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_452')),
(12162, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12132, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_453')),
(12163, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12133, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_455')),
(12164, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12134, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_456')),
(12165, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12135, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_457')),
(12166, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12136, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_458')),
(12167, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12137, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_459')),
(12168, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12138, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_472')),
(12169, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12140, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_281')),
(12170, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12141, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_282')),
(12171, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12142, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_283')),
(12172, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12143, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_289')),
(12173, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12144, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_321')),
(12174, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12145, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_322')),
(12175, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12146, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_324')),
(12176, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12147, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_325')),
(12177, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12148, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_326')),
(12178, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12149, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_337')),
(12179, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12150, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_338')),
(12181, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12152, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_331')),
(12182, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12153, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_333')),
(12184, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12155, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_341')),
(12185, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12156, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_342')),
(12186, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12157, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_343')),
(12187, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12158, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_344')),
(12188, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12159, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_345')),
(12189, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12160, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_347')),
(12190, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12161, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_349')),
(12191, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12162, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_359')),
(12192, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12163, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_362')),
(12193, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12164, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_363')),
(12194, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12165, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_364')),
(12195, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12166, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_366')),
(12196, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12167, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_368')),
(12197, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12168, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_372')),
(12198, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12169, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_374')),
(12199, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12170, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_383')),
(12200, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12171, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_384')),
(12201, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12172, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_389')),
(12202, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12173, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_378')),
(12204, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12185, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_035')),
(12205, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12184, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_036')),
(12206, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12182, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_352')),
(12207, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12181, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_355')),
(12208, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12180, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_356')),
(12209, '2014-05-06 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 12179, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_358')),
(12210, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12178, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_351')),
(12211, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12177, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_353')),
(12212, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12176, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_354')),
(12213, '2014-05-07 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12175, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_355')),
(12214, '2014-05-06 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 12174, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_357')),
(12215, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12188, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_501')),
(12216, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12189, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_502')),
(12217, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12190, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_503')),
(12218, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12191, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_504')),
(12219, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12192, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_506')),
(12220, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12193, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_507')),
(12221, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12194, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_508')),
(12222, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12195, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_511')),
(12223, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12196, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_512')),
(12224, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12197, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_513')),
(12225, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12198, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_516')),
(12226, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12199, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_518')),
(12227, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12200, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_521')),
(12228, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12201, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_524')),
(12229, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12202, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_525')),
(12230, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12203, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_527')),
(12231, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12204, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_528')),
(12232, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12205, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_531')),
(12233, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12206, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_532')),
(12234, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12207, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_538')),
(12235, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12208, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_539')),
(12236, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12209, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_541')),
(12237, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12210, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_542')),
(12238, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12211, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_543')),
(12239, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12212, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_544')),
(12240, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12213, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_547')),
(12241, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12214, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_548')),
(12242, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12215, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_551')),
(12243, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12216, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_552')),
(12244, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12217, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_553')),
(12245, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12218, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_554')),
(12246, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12219, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_555')),
(12247, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12220, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_556')),
(12248, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12221, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_557')),
(12249, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12222, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2012_558')),
(12250, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12223, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_549')),
(12251, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12225, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_561')),
(12252, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12226, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_562')),
(12253, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12227, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_563')),
(12254, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12228, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_564')),
(12255, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12229, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_569')),
(12256, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12231, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_571')),
(12257, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12232, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_572')),
(12258, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12234, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_581')),
(12259, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12235, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_582')),
(12260, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12236, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_584')),
(12261, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12237, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_585')),
(12262, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12238, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_586')),
(12263, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12240, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_591')),
(12264, '2014-05-07 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 12241, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_595')),
(12265, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12244, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_601')),
(12266, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12245, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_602')),
(12267, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12246, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_603')),
(12268, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12247, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_604')),
(12269, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12248, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_605')),
(12270, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12249, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_606')),
(12271, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12250, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_607')),
(12272, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12251, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_609')),
(12273, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12252, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_641')),
(12274, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12253, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_642')),
(12275, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12254, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_643')),
(12276, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12255, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_644')),
(12277, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12256, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_645')),
(12278, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12257, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_646')),
(12279, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12258, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_647')),
(12280, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12259, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_648')),
(12281, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12260, (select IdStdUcet from uStdUcty where uuid = 'CZ_ROZ_649')),
(12282, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12262, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_661')),
(12283, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12263, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_662')),
(12284, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12264, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_663')),
(12285, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12265, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_664')),
(12286, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12266, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_665')),
(12287, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12267, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_669')),
(12288, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12269, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_631')),
(12289, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12270, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_632')),
(12290, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12271, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_633')),
(12291, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12272, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_634')),
(12292, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12273, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_635')),
(12293, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12274, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_636')),
(12294, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12275, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_637')),
(12295, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12276, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_638')),
(12296, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12277, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_639')),
(12297, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12279, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_671')),
(12298, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12280, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_672')),
(12299, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12282, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_681')),
(12300, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12283, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_682')),
(12301, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12284, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_684')),
(12302, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12285, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_685')),
(12303, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12286, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_686')),
(12304, '2014-05-07 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 12287, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_688')),
(12305, '2014-06-13 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12182, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_196')),
(12306, '2014-06-16 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12181, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_196')),
(12307, '2014-06-16 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12180, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_196')),
(12308, '2014-06-16 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 12179, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2010_196')),
(12309, '2014-09-22 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 12154, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_336')),
(12311, '2014-09-22 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 12183, (select IdStdUcet from uStdUcty where uuid = 'CZ_505_2014_336'));

update usestavy set idradrozdil1 = 12001, idradrozdil2 = 12100, idradzaokr1 = 12001, idradzaokr2 = 12118
  where idsestavy = 131;
update usestavy set idradzaokr1 = 12290
  where idsestavy = 132;

  end if;
  
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 868, 't', %appVersion%, clock_timestamp());

