---------------------------------------------
-- Bug 43035 - Nová evidence DashboardSharing
---------------------------------------------

CREATE SEQUENCE seq_wdashboardsharing
 INCREMENT BY 1
 NO MAXVALUE
 NO MINVALUE
 CACHE 1;
ALTER TABLE public.seq_wdashboardsharing OWNER TO %firmaRole%;


CREATE TABLE wdashboardsharing (
 idwdashboardsharing integer DEFAULT nextval('seq_wdashboardsharing'::regclass) NOT NULL,
 lastupdate timestamp without time zone DEFAULT '2008-01-01 00:00:00'::timestamp without time zone NOT NULL,
 hidden boolean DEFAULT false NOT NULL,
 priority integer,
 iduser integer NOT NULL,
 iddashboardpanel integer NOT NULL,
 CONSTRAINT wdashboardsharing_pkey PRIMARY KEY (idwdashboardsharing),
 CONSTRAINT wdashboardsharing_idpanel FOREIGN KEY (iddashboardpanel)
      REFERENCES wdashboardpanel (idwdashboardpanel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
CONSTRAINT wdashboardsharing_iduser FOREIGN KEY (iduser)
      REFERENCES wuzivatel (iduzivatel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);
ALTER TABLE public.wdashboardsharing OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 939, 't', %appVersion%, clock_timestamp());
