<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java">
    <!-- import z ISP Admin -->
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

<!--
	flexibee2xml -x output-tarify.xml -t cenik-in.xslt -o cenik.xml
-->

    <xsl:template match="resultset">
	<winstrom version="1.0">
		<xsl:apply-templates />
	</winstrom>
    </xsl:template>

    <xsl:template match="row">

    	<cenik>
    		<id>ext:ISPADMIN:<xsl:value-of select="field[@name='id']" /></id>
<!--    		<id>code:<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.toUpper(field[@name='zkratka']), 0, 20)" /></id> -->
<!--    		<kod><xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.toUpper(field[@name='zkratka']), 0, 20)" /></kod> -->
    		<nazev><xsl:value-of select="field[@name='popis']" /></nazev>
    		<cenaZakl><xsl:value-of select="field[@name='cena']" /></cenaZakl>
    		<typCenyDphK>typCeny.sDph</typCenyDphK>
    		<typSzbDphK>typSzbDph.dphZakl</typSzbDphK>
    		<skladove>false</skladove>
    		<desetinMj>0</desetinMj>
    	</cenik>
    </xsl:template>
</xsl:stylesheet>
