<?xml version="1.0" encoding="utf-8" ?>
<!-- nutno založit všechny sklady které jsou v PREMIERu -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
      <xsl:apply-templates select="cenik"/>
    </winstrom>
  </xsl:template>
    <!--

	INTER,N,8,0	ok
	ZDROJ,C,1	
	SKLAD,N,3,0	ok
	CISLO,C,20	ok
	C_KOD,C,14	
	TEXT,C,96	ok
	TEXT_2,C,64	
	SORTIMENT,C,12	
	MJ,C,6		ok
	CENA_MJ,N,15,5	ok
	SAZBA_DPH,N,5,2	ok
	KOD_DPH,C,2	
	OPERACE,C,3	
	ANALYT,C,3	
	OPERACE2,C,3	
	ANALYT2,C,3	
	DAL_O,C,3	
	DAL_A,C,3	
	DAL_O2,C,3	
	DAL_A2,C,3	
	PRIJEM,N,15,3	
	VYDEJ,N,15,3	
	MIN,N,15,3	
	MAX,N,15,3	
	IDEAL,N,15,3	
	OBAL_MJ,C,20	
	OBAL_MJ2,C,20	
	OBAL_MJ3,C,20	
	OBAL_BAL,C,20	
	OBAL_BAL2,C,20	
	OBAL_PAL,C,20	
	OBAL_PAL2,C,20	
	ZAOK,N,1,0	
	RAB_PR0,N,6,2	
	RAB_PR1,N,6,2	
	RAB_PR2,N,6,2
	RAB_PR3,N,6,2	RAB_PR4,N,6,2	RAB_PR5,N,6,2	RAB_CN0,N,15,5
	RAB_CN0D,N,15,5	RAB_CN1,N,15,5	RAB_CN1D,N,15,5	RAB_CN2,N,15,5
	RAB_CN2D,N,15,5	RAB_CN3,N,15,5	RAB_CN3D,N,15,5	RAB_CN4,N,15,5
	RAB_CN4D,N,15,5	RAB_CN5,N,15,5	RAB_CN5D,N,15,5	ZPUSOB,N,1,0
	IS_SKUP,L	SKUPINA,N,8,0	UMISTENI,C,12	MN_KG,N,19,11
	MN_BAL,N,12,5	
	BAL_PAL,N,10,3	
	IDEN1,C,3	
	IDEN2,C,3	
	IDEN3,C,3	
	IDEN4,C,3	
	IDEN5,C,3	
	RABINV,L	
	UCTY_IND,L	
	U112,C,6	
	U111,C,6	
	U500,C,6	
	U600,C,6	U119,C,6	UC_NAK,C,3	UC_NAKA,C,3
	UC_PROD,C,3	UC_PRODA,C,3	DIM_1,N,6,0	DIM_2,N,6,0
	DIM_3,N,6,0	DIM_1EDIT,L	DIM_2EDIT,L	DIM_3EDIT,L
	DIM_MJ,C,4	DIM_ZAKL,N,1,0	ISNOT_SLV,L
	PEVNA_CENA,N,15,5	ZPEVNA,N,15,5	RAB_CN0Z,N,15,5
	RAB_CN1Z,N,15,5	RAB_CN2Z,N,15,5	RAB_CN3Z,N,15,5	RAB_CN4Z,N,15,5
	RAB_CN5Z,N,15,5	POPIS1,C,240	POPIS2,C,240	IS_OBAL,L
	ROZ_SN,L	ROZ_OS1,L	TROZ_OS1,C,20	ROZ_LAR,L
	ROZ_COL,L	ROZ_TRV,L	ROZ_PRI,L	ROZ_OS2,L
	TROZ_OS2,C,20	ROZ_OS3,L	TROZ_OS3,C,20	ROZ_BAL,L
	ROZ_PAL,L	ZARUK_IN,N,1,0	ZARUK_OUT,N,1,0	ZMES_IN,N,6,0
	ZMES_OUT,N,6,0	RAB_0Z2,N,15,5	RAB_1Z2,N,15,5	RAB_2Z2,N,15,5
	RAB_3Z2,N,15,5	RAB_4Z2,N,15,5	RAB_5Z2,N,15,5	RAB_0Z3,N,15,5
	RAB_1Z3,N,15,5	RAB_2Z3,N,15,5	RAB_3Z3,N,15,5	RAB_4Z3,N,15,5
	RAB_5Z3,N,15,5	RAB_0Z4,N,15,5	RAB_1Z4,N,15,5	RAB_2Z4,N,15,5
	RAB_3Z4,N,15,5	RAB_4Z4,N,15,5	RAB_5Z4,N,15,5	RAB_0Z5,N,15,5
	RAB_1Z5,N,15,5	RAB_2Z5,N,15,5	RAB_3Z5,N,15,5	RAB_4Z5,N,15,5
	RAB_5Z5,N,15,5	RAB_PZ2,N,15,5	RAB_PZ3,N,15,5	RAB_PZ4,N,15,5
	RAB_PZ5,N,15,5	VAR_BAL,L	VAR_PAL,L	K_PLATNOST,N,4,0
	NAKL_CENA,N,15,5	NAKL_CM1,N,15,5	NAKL_CM2,N,15,5
	NAKL_CM3,N,15,5	IS_VYROBEK,L	ROZ_OS1IN,L	ROZ_OS1OU,L
	ROZ_OS1VY,L	ROZ_LARIN,L	ROZ_LAROU,L	ROZ_LARVY,L
	ROZ_COLIN,L	ROZ_COLOU,L	ROZ_COLVY,L	ROZ_TRVIN,L
	ROZ_TRVOU,L	ROZ_TRVVY,L	ROZ_OS2IN,L	ROZ_OS2OU,L
	ROZ_OS2VY,L	ROZ_OS3IN,L	ROZ_OS3OU,L	ROZ_OS3VY,L
	MJ_2,C,6	
	MJ_3,C,6	
	MJ_4,C,6	
	MN_MJ_2,N,15,7	
	MN_MJ_3,N,15,7	
	MN_MJ_4,N,15,7	
	IS_OS1AUT,L	
	TEXT_3,C,64	
	TEXT_4,C,64	
	BARVA,N,8,0	
	PS_TIME,C,16	
	ISNOT_DN,L	
	VAHA_OBL1,N,15,7
	VAHA_OBL2,N,15,7	VAHA_OBL3,N,15,7
	VAHA_OBL4,N,15,7	VAHA_OBL5,N,15,7	VAHA_OBL6,N,15,7
	OBAL1,C,15	OBAL2,C,15	OBAL3,C,15	OBAL4,C,15
	OBAL5,C,15	OBAL6,C,15	ZPUS_OBL1,N,1,0	ZPUS_OBL2,N,1,0
	ZPUS_OBL3,N,1,0	ZPUS_OBL4,N,1,0	ZPUS_OBL5,N,1,0	ZPUS_OBL6,N,1,0
	IS_AOBAL,L	TS,C,40	NADRAZ,C,20	ID,C,36	IN_ZTRATA,N,5,3
	RAZ_ROZ1,N,2,0	
	RAZ_ROZ2,N,2,0	
	OBRAZEK,C,64	
	EAN_BAL,C,14
	HUSTOTA,N,7,2	
	ROZ_LAR3D,L	
	JAKA_EXPIR,N,1,0
	ROZ_PALIN,L	
	POPIS2B,C,240	
	POPIS2C,C,240	
	POPIS2D,C,240
	ROZ_LARSEL,N,1,0
	KOD_KN,C,10	
	PUVOD_KRAJ,C,2
	PUVOD_STAT,C,2	
	SPOT_DAN,C,10	
	IS_SLUZBA,L		ok
	MNOZ_DECI,N,1,0	
	FREE_DOK,C,80	
	KASA_UPCN,L	
	USER_C01,C,48	
	USER_C02,C,48	
	USER_C03,C,48	
	USER_C04,C,48	
	USER_C05,C,48	
	USER_C06,C,48	
	USER_C07,C,48	
	USER_C08,C,48	
	BEZ_SPOTD,L


    -->
  <xsl:variable name="sklady"/>
  
  <xsl:template match="cenik">
  
    <xsl:if test="MJ != ''">
      <merna-jednotka update="ignore">
        <id>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MJ)"/></id>
        <kod><xsl:value-of select="java:flexibee.Tool.toUpper(MJ)"/></kod>
        <nazev><xsl:value-of select="MJ"/></nazev>
      </merna-jednotka>
    </xsl:if>
    
    <xsl:if test="SKLAD != ''" >
      <sklad update="ignore">
        <id>code:<xsl:value-of select="java:flexibee.Tool.toUpper(SKLAD)"/></id>
        <kod><xsl:value-of select="java:flexibee.Tool.toUpper(SKLAD)"/></kod>
        <nazev><xsl:value-of select="SKLAD"/></nazev>
      </sklad>
    </xsl:if>
    
    <cenik>
      <id>code:<xsl:value-of select="CISLO"/></id>
      <xsl:if test="INTER != 0">
        <!--<id>ext:PREMIER:<xsl:value-of select="INTER"/></id>-->
      </xsl:if>
      <kod><xsl:value-of select="java:flexibee.Tool.toUpper(CISLO)"/></kod>
      <nazev><xsl:value-of select="java:flexibee.Tool.trim(TEXT)"/></nazev>
      <popis><xsl:value-of select="POPIS1"/></popis>
      <xsl:if test="MJ != ''">
        <mj1>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MJ)"/></mj1>
      </xsl:if>
      <cenaZakl><xsl:value-of select="java:flexibee.Tool.parseMoney(CENA_MJ)"/></cenaZakl>
      <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
      <typZasobyK>
        <xsl:choose>
          <xsl:when test="IS_SLUZBA = 'PRAVDA'">typZasoby.sluzba</xsl:when>
          <xsl:otherwise>typZasoby.skladem</xsl:otherwise>
        </xsl:choose>
      </typZasobyK>
      <skladKarty>
        <SkladKarta>
          <cenik>code:<xsl:value-of select="CISLO"/></cenik>
          <typDokl>code:<xsl:value-of select="SKLAD"/></typDokl>
          <ucetObdobi>code:<xsl:value-of select="java:flexibee.Tool.formatDate(java:flexibee.Tool.currentDate(), 'yyyy')"/></ucetObdobi>
        </SkladKarta>
      </skladKarty>
    </cenik>
    
  </xsl:template>
</xsl:stylesheet>