<?xml version="1.0" encoding="utf-8" ?>
<!-- je třeba nastavit v csv u prvních dvou sloupečků aby se doplnili zepředu nulama (min 3 číslice v těchto sloupečcích) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" >
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
      <xsl:apply-templates select="ucet"/>
    </winstrom>
  </xsl:template>

    <!--

	UCET,C,3	ok
    	ANALYT,C,3	ok
    	TEXT,C,96
	ROK,N,4,0	
	RMD,N,3,0	
	RDAL,N,3,0	
	TEXT_1,C,80	
	TEXT_2,C,80	
	TEXT_3,C,80	
	ZAKAZKA,N,1,0	
	STREDISKO,N,1,0	
	NEDANOVY,L	
	US_ADD,C,16	
	US_EDI,C,16	
	USD_ADD,C,16	
	USD_EDI,C,16	
	IDEN1,C,3	
	IDEN2,C,3	
	IDEN3,C,3	
	IDEN4,C,3	
	IDEN5,C,3	
	ISNOT_ZK,L	
	ISNOT_ST,L	
	IS_SALDO,L	
	IS_111,L	
	IS_311,L	
	IS_321,L	
	UCET_1,C,10	
	UCET_2,C,10	
	UCET_3,C,10	
	RMD1,N,4,0	
	RDAL1,N,4,0	
	RMD2,N,4,0	
	RDAL2,N,4,0	
	RMD3,N,4,0	
	RDAL3,N,4,0	
	SKUPINA,C,10	
	IS_POZAST,L	
	UPGR_OS,N,4,0	
	TS,C,40	
	ID,C,36	
	STRIKT_VS,L	
	PRED_SLED,N,1,0	
	RMD_MIN,N,3,0	
	RDAL_MIN,N,3,0	
	KATEGORIE,N,1,0	
	PRIME_CFP,C,10	
	PRIME_CFV,C,10	
	ROZP_KAL,C,4	
	ISNOT_NV,L	
	MORE_SPEC,N,1,0	
	IS_KOREK,L	
	CIS_TO_VS,L	
	NENABIZET,L	
	UCE_TO_VS,L	
	PEVNY_VS,C,10
    -->

  <xsl:template match="ucet">
  
    <xsl:if test="ANALYT != ''">
      <ucet update="ignore">
        <id>code:<xsl:value-of select="java:flexibee.Tool.padNumber(3,UCET)"/><xsl:value-of select="java:flexibee.Tool.padNumber(3,ANALYT)"/></id>
        <kod><xsl:value-of select="java:flexibee.Tool.padNumber(3,UCET)"/><xsl:value-of select="java:flexibee.Tool.padNumber(3,ANALYT)"/></kod>
        <stdUcet>code:<xsl:value-of select="java:flexibee.Tool.padNumber(3,UCET)"/></stdUcet>
        <nazev><xsl:value-of select="TEXT"/></nazev>
      </ucet>
    </xsl:if>
    
  </xsl:template>
</xsl:stylesheet>