<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:template match="winstrom">
	<winstrom version="1.0"  atomic="false">
	<xsl:apply-templates select="adresar"/>
	</winstrom>
    </xsl:template>

    <xsl:template match="adresar">
	<adresar update="ignore">
		<id>in:<xsl:value-of select="ICO"/></id>
		<ic><xsl:value-of select="ICO"/></ic>
		<nazev><xsl:value-of select="FNAZEV"/></nazev>
		<ulice><xsl:value-of select="ULICE"/></ulice>
	        <psc><xsl:value-of select="PSC"/></psc>
	        <mesto><xsl:value-of select="MESTO"/></mesto>

		<postovniShodna>false</postovniShodna>
		<faNazev><xsl:value-of select="DNAZEV"/></faNazev>
		<faUlice><xsl:value-of select="DULICE"/></faUlice>
		<faPsc><xsl:value-of select="DPSC"/></faPsc>
		<faMesto><xsl:value-of select="DMESTO"/></faMesto>
	</adresar>
	<xsl:if test="SID_UCET != ''">
	<bankovni-ucet update="ignore">
	        <id>ext:SOFIX-UCTY:<xsl:value-of select="SID_UCET"/></id>
	        <firma>in:<xsl:value-of select="ICO"/></firma>
	        <nazev><xsl:value-of select="FIRMA_NAZEV_UCTU"/></nazev>
	        <buc><xsl:value-of select="FIRMA_CISLO_UCTU"/></buc>
	        <smerKod>code:<xsl:value-of select="FIRMA_BANKA"/></smerKod>
	        <iban><xsl:value-of select="FIRMA_IBAN"/></iban>
	</bankovni-ucet>
	</xsl:if>

    </xsl:template>

</xsl:stylesheet>